## 7.12.18 [9th July 2024]

### Fixed

- Smooth Scroll confliction with scroll top issue fixed (Thanks to Steffen Heinz)
- Deprecated speed option on Smooth Scroll extension
- Minor issue fixed in Timeline widget

## 7.12.17 [8th July 2024]

### Added

- Individual item Background style added in Timeline widget
- Open In a new Tab feature added in Post Grid & Post Grid Tab widget

### Fixed

- Responsive issue fixed in table widget (Thanks to Gerry Ogris)
- Background overlay undefined issue fixed in trailer box widget (Thanks to Lihong)
- Offcanvas produts title selector issue fixed in Mini Cart widget (Thanks to Nick Weirens)
- Warning error fixed in Post Gallery widget (Thanks to John Reddy)

### Depricated

- OnClick Event depricated in all widgets

### Updated

- UIKit framework updated
- Translation improved
- Text Domain improved for Admin Dashborad

## 7.12.16 [29th June 2024]

### Added

- Extend Page option added in Table of Content widget

### Fixed

- Pretty HasGenerator issue fixed (Thanks to Omar Ali)
- Icon align issue fixed in accordion widget

### Updated

- Item Gap improved in Accordion widget

## 7.12.15 [24th June 2024]

### Fixed

- Critical error fixed WC Products widget (Thanks to Devon)

## 7.12.14 [24th June 2024]

### Fixed

- Text Domain and Translation issue fixed (Thanks to itapress)
- Security issue improved in countdown widget

## 7.12.13 [13th June 2024]

### Added

- Image style shadow mode option added in marquee widget

### Fixed

- Skin tiny countdown issue fixed
- Typography issue fixed in Animated Heading widget (Thanks to Renata Furtner)
- Security issue improved

## 7.12.12 [11th June 2024]

### Added

- Shadow mode option added in marquee widget
- Pre title & text controls added in trailer box widget
- Keyboard option added in slider widget

### Fixed

- Image parallax issue fixed
- Cache issue fixed in Vertical Menu widget (Thanks to Steffen Heinz)
- Image position issue fixed in post slider widget

## 7.12.11 [4th June 2024]

### Fixed

- Mega menu dropdown issue fixed (Thanks Stefan)

## 7.12.10 [2nd June 2024]

### Added

- Modal close icon size option added in search widget

## 7.12.9 [2nd June 2024]

### Added

- Content align option added in panel slider widget
- Modal Close Button controls added in search widget

### Fixed

- Skin modal button icon not showing issue fixed in user login widget
- Dropdown delay hide issue fixed in mega menu widget (Thanks to Nick)
- Itam mouse interaction & opacity controls issue fixed in panel slider widget
- Underline appear issue fixed in table of content widget (Thanks to Nick)

## 7.12.8 [26th May 2024]

### Fixed

- Tags showing issue fixed in Post Gallery widget (Thanks to Gabriel Sirbu)
- Close Button issue fixed in Search widget (Thanks to Andre Head)
- Submit Button Style issue fixed in Gravity Form widget (Thanks to Hermann)
- Content protector extension issue fixed in safari browser
- Swiper carousel autoplay interaction issue fixed
- Nested Container issue fixed in Horizontal Scroller widget
- Skin trosia design issue fixed in post gallery widget

## 7.12.7 [18th May 2024]

### Fixed

- HTML tag issue fixed in Business Hours widget (Thanks to Charles)

### Updated

- Security improved in Creative Button widget
- Email Spamming improved in Contact Form widget

## 7.12.6 [17th May 2024]

### Fixed

- Folder structure issue fixed

## 7.12.5 [16th May 2024]

### Fixed

- Column Selector issue fixed in Equal Height extension (Thanks to Joy)

## 7.12.4 [15th May 2024]

### Fixed

- Title issue fixed in Post Grid widget
- Fatal error issue fixed in Weather widget (Thanks to John)

## 7.12.3 [8th May 2024]

### Fixed

- Error fixed in WC Products widget (Thanks to Zbynek Krobot)
- Accessibility issue fixed in Search widget (Thanks to Steffen Heinz)

## 7.12.2 [2nd May 2024]

### Fixed

- Equal Height extension issue fixed
- RTL issue fixed in Cursor Effect extension (Thanks to MAX)

## 7.12.1 [24th April 2024]

### Added

- Wrapper width control added in comparison list widget

## 7.12.0 [23th April 2024]

### Added

- Alignment justify option added in accordion widget
- Additional settings controls added in comparison list widget

### Fixed

- FAQ Schema issue fixed in Accordion widget
- Read more button rtl issue fixed in interactive card widget
- Arrow color issue fixed in Mega Menu widget (Thanks to Nick)
- Link target issue fixed in Portfolio widgets (Thanks to Luis Alfredo Hernandez)
- Tag printing on output issue fixed in Table widgets (Thanks to Nick)

## 7.11.5 [16th April 2024]

### Fixed

- Mega menu save button issue fixed
- Container issue fixed in switcher widget (Thanks to Naeem)

## 7.11.4 [15th April 2024]

### Fixed

- API Settings problem fixed (Thanks to Stan Robin)
- Error fixed in WC Element widget (Thanks to Zbynek Krobot)
- Marker icon issue fixed in Open Street Map widget
- ACF widgets optimized
- Link issue fixed in price list widget
- Undefine variable issue fixed in tabs widget
- PHP Fatal error fixed (Thanks to Alex Lim)
- Ribbon align issue fixed in price table widget (Thanks to Naeem)

## 7.11.3 [6th April 2024]

### Fixed

- Link issue fixed in Custom Carousel (Thanks to Dartym)

## 7.11.2 [2nd April 2024]

### Fixed

- Templates Library issue fixed

## 7.11.1 [2nd April 2024]

### Fixed

- WC Mini cart widget issue fixed

## 7.11.0 [1st April 2024]

### Added

- Google Tag feature added in Cookie Consent widget

### Fixed

- User login issue fixed (Thanks to Lajos)
- Iframe code embedded issue was fixed in the Tabs widget (Thanks to Windsor Brokers)
- Element Pack dashboard issue fixed (Thanks to Chris Crawford)
- Blinking issue fixed in Navbar widget (Thanks to Rosanna Fazio)
- Dynamic Loop issue fixed in Audio Player (Thanks to Siphamandla)
- Widget Visibility issue fixed in Toggle widget (Thanks to Trí)

### Updated

- Plugin Security improved
- ACF all widget assets source updated

## 7.10.0 [17th March 2024]

### Added

- ACF Tabs widget added
- ACF List widget added

### Fixed

- JS issue fixed on Horizontal Scroller widget (Thanks to Emir Corovic)
- CSS issue fixed on Circle Info widget (Thanks to Jones)
- SVG image widget issue fixed (Thanks to Maximilien LELEU)
- Icon align and space in hamburger issue fixed on Mega Menu widget (Thanks to John)

### Updated

- Admin dashboard license notice improved

## 7.9.1 [5th March 2024]

### Fixed

- Security issue fixed
- Ajax query terms issue fixed in Search Widget
- Image overflow issue fixed in Scroll Image widget (Thanks to Angelique Norman)
- Load more duplicate items issue fixed in post grid widget
- Translate issue fixed
- Uikit CSS 404 error fixed

### Updated

- UIKit framework updated

## 7.9.0 [15th February 2024]

### Added

- ACF slider widget added

### Fixed

- Video cover issue fixed in device slider widget
- jQuery dependency fixed in Slinky Vertical Menu widget (Thanks to William Dias Morais)
- Image height issue fixed in slideshow widget
- Category accents issue fixed in Portfolio type all widget (Thanks to Mullo Alfredo)
- Simple Contact form issue fixed
- Lightbox autoplay issue fixed

## 7.8.0 [29th January 2024]

### Added

- ACF Accordion widget added
- ACF Gallery widget added
- ACF Slider widget added
- Wincher tool for track your keyword positions & monitor your SEO feature added
- Title hover color added in timeline widget
- Auto height option added in testimonial slider widget

### Fixed

- Title color issue fixed in timeline widget (Thanks to Nick Weirens)
- Error fixed in Table widget (Thanks to Michael Esguerra)
- Translations issue fixed in WC mini cart widget (Thanks to Ivan Polák)
- Text cropped issue fixed in comparison list widget
- Code Radius fixed in QR Code widget (Thanks to Marco Barbera)
- Unclose tag issue fixed in Post Grid widget (Thanks to Peter Ganster)
- Device slider widget cropping issue fixed
- Lightbox issue fixed in custom carousel widget

## 7.7.5 [15th January 2024]

### Added

- reCAPTCHA feature added in Webhook form widget
- Image position responsive option added in review card widget
- Content border radius added in carousel skin ramble widget
- Content overlay spacing added in carousel skin ramble widget
- Content Padding option added in custom gallery widget

### Fixed

- Link Error fixed in device slider widget (Thanks to Joshua)
- Marker content initial image loading issue fixed in advanced google map widget (Thanks to Michał Marcjanik)
- Link to widget option fixed in switcher widget (Thanks to Gabriel Sirbu)
- Uikit print css issue fixed
- Submit button Justified issue fixed in webhook form widget
- Responsive mode badge style controls not working issue fixed in mega menu widget

## 7.7.4 [6th January 2024]

### Fixed

- Duplicator Critical issue fixed

## 7.7.3 [4th January 2024]

### Added

- Badge horizontal offset & hover border color options added in sub menu widget

### Fixed

- Duplicator issue fixed
- URL issue fixed in Advanced Button widget (Thanks to David Gilfillan)
- Image height issue fixed in Slider widget (Thanks to Ray Clark)

## 7.7.2 [21th December 2023]

### Fixed

- Input fields style issue fixed in gravity forms widget (Thanks to Matt)
- Swiper carousel hidden item opacity issue fixed
- Title, Button Link Error fixed in Hover Box widget (Thanks to Hakan Yılmaz)
- Hover issue fixed in Advanced Icon Box widget (Thanks to Gregor Kramberger)

### Deleted

- Deprecated EDD Grid widget deleted
- Deprecated bbPress widget deleted

## 7.7.1 [10th December 2023]

### Added

- Purchased Date, First Purchased Date module added in Visibility Controls extension

### Fixed

- Elementor container default width issue fixed in Mega menu widget
- Image size & RTL issue fixed in Slider widget (Thanks to Reza)

## 7.7.0 [5th December 2023]

### Added

- Ripple effects extension added
- Smooth scroller feature added
- Shortcode, Tags in Cart, Orders Placed module added in visibility control extensions
- Ribbon border added in price table widget
- Active item feature added in sub menu widget
- Unlock badge options in mega menu widget
- Custom attributes compatibility added in fancy card, fancy slider, fancy tabs, featured box, flip box, honeycombs, hover box, icon mobile menu, icon nav, image accordion, image expand, image stack, interactive card, interactive tabs, logo carousel, logo grid, lottie icon box, lottie image, marker, panel slider, price table, product carousel, product grid, profile card, slideshow, slinky vertical menu, static carousel, static grid tab, svg image, trailer box, vertical menu widgets
- Icon option added in reading timer widget

### Fixed

- Live copy paste issue fixed
- Alignment issue fixed in social share widget
- Vertical offset issue fixed in mega menu widget
- Hamburger menu alignment compatibility issue fixed
- Ajax Load more not working in current query issue fixed in WC Products widget
- Active Menu issue fixed in Sub Menu widget
- Remove Dots from Menu in Offcanvas widget
- Active item issue fixed in interactive tabs widget

### Updated

- UIKit framework updated

### Noted

- “Live Copy” and “Live Paste” functionality is deprecated, ""Use Elementor's built-in feature instead of the deprecated 'Live Copy' and 'Live Paste' functionality."

## 7.6.5 [22th November 2023]

### Added

- Custom attributes compatibility added in advanced heading, animated card, animated heading, animated link, brand carousel, brand grid, call out, circle info, circle menu, comparison list, creative button, slider, custom carousel, custom gallery, device slider, dual button, fancy icons, fancy list widgets

### Fixed

- Link target issue fixed in slider widget (Thanks to Meromora)
- Icon issue fixed in Reading Progress widget
- Responsive issue fixed Table widget
- Responsive issue fixed WC Products skin table widget
- Linkable issue fixed in marquee widget

## 7.6.4 [19th November 2023]

### Added

- Custom attribute compatibility added in advanced button, advanced icon box, marquee, scroll navigation & step flow widgets

### Fixed

- Loading issue fixed in advanced button widget
- Direction left align issue fixed in google reviews widget
- Static table DataTables issue fixed in table widget
- Panel slider column error issue fixed
- Warning Error fixed in Custom Carousel widget

### Noted

- Instagram profile removed from Profile Card widget because of API limitation

## 7.6.3 [15th November 2023]

### Added

- Ajax loadmore feature added in wc product widget
- Country & Date feature added in Analog Clock of Time Zone widget
- Title, address & rating margin added in testimonial slider widget
- Button max width option added in advanced button widget
- Success Text Field added in Webhook Form widget
- Image size option added in step flow & advanced counter widgets

### Fixed

- PHP 8.2 issue fixed
- Undefined issue fixed in Custom Carousel widget
- Hamburger menu conflict in elementor container issue fixed in Mega Menu Widget
- Badge color issue fixed in wc product widget
- Cache issue fixed in Instagram widget
- Ajax error fixed in Notification widget
- Link issue fixed in Comparison List widget

### Updated

- Backdrop filter extension improved
- Dual button alignment improved
- Image expand, price table, price list, hover box widgets text or image hide controls improved
- Testimonial slider alignment improved
- System update in Webhook widget
- Ajax loadmore feature improved in post grid widget

## 7.6.2 [11th November 2023]

### Added

- Image size option added in advanced icon box widget

### Fixed

- Font size issue fixed in WC Product widget
- Image cropped issue fixed in Marquee Widget
- Error fixed in Countdown Widget
- Responsive sticky issue fixed in Table of Content Widget

## 7.6.1 [9th November 2023]

### Fixed

- Icon size issue fixed in advanced icon box widget


## 7.6.0 [9th November 2023]

### Added

- Scroll fill effect extension added
- Image hover effects extension added in image widget
- Creative button reklo style Added
- Image mask new shape added
- Image effects 3 added in hover box widget
- Draggable and Clickable features added in Marquee widget
- Direction control added in google review widget
- Item & image margin options control added in review card widget
- URL Parameters, URL string, ACF Text, ACF Choice module added in Visibility Control extension
- Analog clock added in timezone widget
- Icon & Text align(when alignment justify) added in button widget

### Updated

- Marquee widget js improved

### Fixed

- Focus issue fixed in Social Share widget
- Ajax Search dropdown styling Control & translated issue fixed in Search Widget
- Read more spacing issue fixed in panel slider widget
- Menu items shows in delay issue fixed in Mega Menu widget
- Advanced button conflict issue fixed
- Align justify issue fixed in button widget

## 7.5.4 [15th October 2023]

### Added

- Backdrop Filter support added for Container
- Icon Box Shadow option added in fancy list widget
- Hide Arrows and Dots on Mobile option added in google reviews widget
- Navigation spacing responsive & border option added in google reviews widget
- Custom Shapes from SVG and Emoji added in Confetti Effects extension
- Rotate features added in Marquee widget

### Fixed

- Navigation anchor tag seo issue fixed
- Skin table issue fixed in wc product widget
- Filter bar & Border Radius issue fixed in Post Gallery widget (Thanks to Agnes)
- Target Link issue fixed in Logo Grid widget (Thanks to Red Wolf)
- Border Radius issue fixed in Modal widget (Thanks to Nick)
- Translatable issue fixed in Table widget (Thanks to Rene)
- Lightbox hover issue fixed in image expand widget
- Script error fixed in Mini Cart widget (Thanks to Sheenahall)
- Accordion W3c Validation issue fixed


### Updated

- Post Gallery Widget improved (Thanks to Agnes)
- Price list control improved

## 7.5.3 [1st October 2023]

### Added

- Fancy list style 3 added
- Icon Size option added in modal widget
- Full Width Button added in advanced icon box widget

### Fixed

- SVG Image widget issue fixed (Thanks to Philipp Ekstrand)
- Link section issue fixed in Tabs widget

### Updated

- Webhook Form updated
- Trigger on Cart feature update in WC Mini Cart

## 7.5.2 [11th September 2023]

### Added

- Transparent on scroll options added in Stacker widget
- Icon background size & font size option added in brand skin member widget

### Fixed

- Pulse animation issue fixed in marker widget
- Main heading line position issue fixed in advanced heading
- Minor issue fixed in Post Grid widget (Thanks to Krupa Patel)
- Instagram widget fixed (Thanks to Mark Prince)
- License manual de-activate issue fixed

## 7.5.1 [3rd September 2023]

### Fixed

- Pro widget lock issue fixed

## 7.5.0 [3rd September 2023]

### Added

- Stacker widget added
- Reading timer widget added
- Required feature & Textarea added in Webhook form widget
- Item row gap & auto hiding menu shadow option added in navbar widget
- Open Offcanvas on Cart Update added in WC Mini Cart widget
- Sub Heading icon & advanced style option added in advanced heading widget
- Image advanced size & inline option added in review card, review card grid & review card carousel widgets
- Excerpt Ellipsis added in Google Review widget (Thanks to George)

### Fixed

- Hash Location issue fixed in Post Gallery widget
- Style control issue fixed in forminator form widget
- Button Small, Large, full-width issue fix Webhook Form widget
- Cursoe pushes to 3rd line when animated text wraps issue fixed in Animated Heading widget (Thanks to Caleb Weeks)
- License auto de-activate issue fix for AWS hosting (Thanks to kerryang)

### Updated

- Advanced Image Gallery improved (Thanks to Suzanne van Breda)
- Circle Menu widget improved
- Admin Widget Analytics Notice improved
- Admin System memory lagging improved

## 7.4.0 [14th August 2023]

### Added

- Webhook Form widget added
- Schema feature added in Accordion widget

### Fixed

- Cryptocurrency table issue fixed

## 7.3.1 [10th August 2023]

### Added

- Floating Knowledgebase widget header icon, title, text & resizer options added

### Fixed

- Fix Mega Menu auto expand in mobile devices
- Fix Parallax component responsiveness on resize of scroll container
- Fix keyboard navigation in Navbar component
- Fix aria-roledescription attribute in Slider nav component
- Fix delayed show in Drop component shows drop, although toggle is no longer hovered
- Fix potential rounding issues in offset() function, when used as setter
- Fix to ensure Slider items have max-width: 100%

## 7.3.0 [30th July 2023]

### Added

- MP3 audio fallback added in Sound Effects Extensions
- Row Gap option added in tabs widget

### Updated

- Cache Time feature updated in Facebook Feed & Facebook Carousel widgets

### Fixed

- Arrow icon issue fixed in sub menu widget
- Lightbox conflict issue fixed in advanced image gallery widget
- PHP warning issue fixed in Slider (Thanks to Dimon)

## 7.2.0 [9th July 2023]

### Added

- Item wrapper link option added in product carousel widget
- Link to button, title, image, item option added in static carousel widget
- One column added in Logo Grid widget (Thanks to David Gilfillan)

### Fixed

- Z-Index fixed in Cursor Effect extension (Thanks to Kelley Wilson)
- Swiper Library v8.45 compatiblity added in Remote Arrows, Fraction, Pagination and Thumbs widgets

## 7.1.2 [21st June 2023]

### Fixed

- Elementor pro (swiper carousel) Compatibility issue fixed

## 7.1.1 [20th June 2023]

### Added

- Decimal Value will work in the Advanced Calculator widget

### Fixed

- WooCommerce 7.8 Compatibility issue fixed for Mini Cart (Thanks to Guy Whettam)
- Image Mask issue fixed in Interactive card widget (Thanks to Sergio Sánchez López)

## 7.1.0 [8th June 2023]

### Added

- Badge arrow option added in content switcher widget
- Empty product icon size option added in wc mini cart widget
- No events warning message added in Events Calendar widget (Thanks to Rory Smith)
- Testimonial carousel widget quotation offset option added

### Fixed

- Filter error fixed in WC Product widget(Thanks to Webber)
- Style 4 border radius issue fixed in content switcher widget
- Glitching issue fixed in Mega Menu widget(Thanks to Shawn Palmer)
- Target blank issue fixed in Icon Mobile Menu widget (Thanks to Charles-Dominique MAZY)
- Age Gate Blink Modal issue fixed

### Updated

- Map display region updated in SVG maps widget

## 7.0.1 [18th May 2023]

### Fixed

- Post gallery fatal error issue fixed
- Comparison list Item style issue fixed
- Future version compatibility notice removed
- SVG Image widget code improved
- Cryptocurrency Table width issue fixed

## 7.0.0 [15th May 2023]

### Added

- Marquee widget added
- SVG maps widget added
- SVG Blob widget added
- Icon mobile menu widget added
- Content switcher widget added
- Floating Knowledgebase widget added
- Comparison List widget added
- Content protector extension added
- Realistic image shadow extension added
- AdBlock Detector extension added
- Crypto currency card widget added
- Crypto currency table widget added
- Crypto currency grid widget added
- Crypto currency list widget added
- Crypto currency carousel widget added
- Crypto currency ticker widget added
- Crypto currency chart widget added
- Crypto currency chart carousel widget added
- Fancy List 3d style added
- Visibility Controls feature improved
- Testimonial slider single skin design improved
- Testimonial carousel twyla skin 2 style added
- Ajax Load More option added in post grid widget

### Fixed

- SVG issue fixed in SVG image widget
- Query "All" issue fixed in Charitable Campaign widget
- Lightbox conflict issue fixed (Thanks to Thomas)
- Skin Dropdown glitch issue fixed in User Login widget (Thanks to Lajos Kovács)
- Image radius issue fixed in tutor lms course carousel widget
- Tooltip issue fixed in Image Stack Widget (Thanks to Christos Kovousoglou)
- JavaScript error issue fixed in Parallax component
- Tooltip generates duplicate id issue fixed
- Auto pausing videos issue fixed in Video component
- Switcher component not initializing properly issue fixed
- Tooltips are not removed from Dom if showing is prevented issue fixed
- Toggle component uses anchor element's hash as target fallback issue fixed

## 6.15.5 [17th April 2023]

### Added

- Add support for YouTube Shorts URLs in Lightbox component
- Add Dropnav component
- Add parent icon to Drop component
- Add WAI-ARIA roles, states and properties to interactive JavaScript components
- Add WAI-ARIA keyboard interaction pattern to interactive JavaScript components
- Add language internationalization (i18n) for interactive JavaScript components

### Fixed

- Fix Scrollspy Nav component updates state once shown
- Fix Slider/Slideshow component autoplay in Firefox
- Fix pause-on-hover option in Slider/Slideshow component
- Fix Slideshow initially shows last slide first
- Fix Slider reactivity when a slide is hidden/shown
- Fix prevent background scrolling in Safari
- Fix opened Drop component prevents smooth scrolling of document on iOS
- Fix focusable elements within none visible slides are no longer focusable in Slider component
- Fix Dropbar partially closing before opening when switching between Navbar items
- Fix Parallax component updating too late during slide animation in Filter component
- Readmore issue fixed in interactive card widget

## 6.15.3 [11th April 2023]

### Added

- Pagination featured added in Dynamic Grid Widget
- Wrapper Link upgraded for popup workable in Panel Slider widget (Thanks to Illuspic)

### Fixed

- Fatal error issue fixed in Post gallery widget all skin

## 6.15.2 [9th April 2023]

### Fixed

- Post gallery filter issue fixed
- Portfolio gallery filter issue fixed
- Global box sizing border box css issue fixed
- Icon Image Broken issue fixed in Hover Video widget (Thanks to Michael Lux)

## 6.15.1 [30th March 2023]

### Added

- WordPress v6.2.0 compatibility added
- Repeater Content background option added in hover box widget

### Fixed

- Portfolio gallery filter badge issue fixed
- Column gap & button advanced radius issue fixed in hover box widget

## 6.15.0 [28th March 2023]

### Added

- Trigger Type option added in Flip Box Widget
- Hover box layout style option added
- Filter hover style option added in WC Product widget

### Fixed

- News Ticker arrows RTL issue fixed

## 6.14.1 [16th March 2023]

### Added

- Title advanced style added in timeline widget
- Responsive Mode added in Item Height control of Post Gallery (Thanks to Nguyen Hong Danh)

### Fixed

- Tabs alignment issue fixed
- Columns Gap issue fixed in Advanced Image Gallery widget
- Dione border radius option added in creative button widget

## 6.14.0 [12th March 2023]

### Added

- Name Field added in MailChimp Widget
- Style sliding box added in image accordion widget
- Vertical align & active item expand option added in image accordion widget
- None option added for the Visibility of hamburger menu in Mega Menu Widget
- Border & border radius option added in audio player widget
- Lightbox & item gap option added in image accordion widget
- Sliding box style & lightbox option added in image expand widget
- Header & pricing inline style nine option added in price table widget

### Fixed

- Filter issue fixed
- Icon issue fixed in EDD Mini Cart Widget
- Purchase Button issue fixed in EDD Product Widget
- Custom column gap issue fixed in hover box widget
- Purchase Button issue fixed in EDD Product Carousel Widget
- Horizontal Scroller widget is now compatible with Elementor Container

## 6.13.0 [28th February 2023]

### Added

- Background Expand Extension added
- Style four added in sub menu widget
- Add support for YouTube Shorts URLs in Lightbox widget
- Rating Bullet, address & text spacing option added in Testimonial Carousel widget
- 'none' option added for the hamburger menu in Mega Menu Widget

### Fixed

- Elementor Pro slider navigation dots conflict issue fixed (Thanks to Jennifer Burns)

### Updated

- The result will be to remove unnecessary values after dot of Advanced Calculator widget

## 6.12.2 [20th February 2023]

### Fixed

- Visibility control issue fixed (Thanks to Danilo)

## 6.12.1 [19th February 2023]

### Added

- Swiper Library v8.4.5 compatibility added
- Quick View Margin option added in WC Product widget
- Content active color option added in Testimonial Carousel widget

### Fixed

- Slide image cover not working issue fixed in Slider widget
- Image size issue fixed in Post Grid Tab widget

## 6.12.0 [6th February 2023]

### Added

- Facebook Feed widget added
- Facebook Feed Carousel widget added
- Product carousel widget added
- Lazy loading compatibility added
- Star Shape added in Confetti Effects extension
- Infinite Snow Effect feature added in Confetti Effects extension
- Icon position bottom option added in advanced icon box widget
- Icon vertical & horizontal offset option added in advanced icon box widget
- Offset Responsive control added in Mega menu widget
- Item box shadow option added in custom gallery widget
- Navigation arrows option added in hover box skin envelope widget
- Testimonial carousel rating position and bullet style added

### Fixed

- Alignment issue fixed in social share widget

## 6.11.3 [21th January 2023]

### Added

- Condition Group, Custom Page ID added in Visibility Controls Extension
- Post slider skin vast navigation arrows style option added

### Fixed

- The dropdown style not working issue was fixed in the user register widget
- Mobile devices Accordion hidden issue fixed in Mega Menu widget
- Post slider skin style issue fixed

## 6.11.2 [10th January 2023]

### Fixed

- Elementor v3.10.0 compatibility issue fixed
- Controls error issue fixed in product grid widget
- Advanced Google Map Icon cropped issue fixed

## 6.11.1 [9th January 2023]

### Added

- Individual Style label margin option added in Countdown widget
- Hash Location feature added in Coupon widget
- Fieldset border radius option added in Edd Profile Editor widget
- Primary Item Hide option added in Post Grid alite & harold skins

### Fixed

- Textarea height issue fixed in bbPress single Topic widget
- Post Slider image RTL issue fixed
- Post Gallery style issue fixed
- Remote arrow icon not showing issue fixed
- Mega Menu conflict with the accordion issue fixed (Thanks to Valentin Vuckovic-Martin)

## 6.11.0 [20th December 2022]

### Added

- Product Grid widget added
- Z-index option added in Confetti Effects Extensions (Thanks to SD Bell)

### Fixed

- Icon Size issue fixed in Sub Menu Widget (Thanks to Sergio)
- Deprecated: Required parameter output issue fixed in Sub Menu Widget.

## 6.10.0 [7th December 2022]

### Added

- bbPress Forum Form widget added
- bbPress Forum Index widget added
- bbPress Single Forum widget added
- bbPress Topic Index widget added
- bbPress Topic Form widget added
- bbPress Single Topic widget added
- bbPress Reply Form widget added
- bbPress Single Reply widget added
- bbPress Topic Tags widget added
- bbPress Single Tag widget added
- bbPress Single View widget added
- bbPress Stats widget added
- Waypoint Offset option added in Notation Extensions

### Fixed

- Instagram cache issue fixed
- Image border color issue fixed in Marker widget
- Transform Rotate RTL issue fixed in Tile Scroll extension

## 6.9.0 [24th November 2022]

### Added

- Hash Link Extensions added
- Dynamic field support added in Username field in Calendly Widget (Thanks Maximilien Leleu )
- Review platform option added in Testimonial Grid, Testimonial Carousel & Testimonial Slider widgets

### Fixed

- Rtl issue fixed in Iconnav widget
- Tile Scroll options disappeared issue fixed
- Column gap rtl issue fixed in Advanced Image Gallery widget

## 6.8.1 [16th November 2022]

### Updated

- System Updated for Slower Activation of License

## 6.8.0 [8th November 2022]

### Added

- Features list alignment, footer radius option added in Price Table
- Last Purchased Date, Purchased Item Number, Single Products Price, Stock and Category conditions added in Visibility Controls Extension
- Quotation offset & image background options added in Testimonial Slider Widget
- Tab wrapper style option added in tabs widget
- Query Order options Added in WC Products widget
- EDD Mini Cart Widget Added
- EDD Product Reviews Widget Added
- EDD Product Review Carousel Widget Added

### Fixed

- Manual Selection issue fixed in all Events Calendar related Widget & Skin
- Tippy JS missing issue fixed in Circle Menu Widget (Thanks Maximilien LELEU)
- Manual Category selection issue fixed in Event List Widget (Thanks Carole McNally)

### Updated

- New animation mechanism added in SVG widget
- Original price control updated in price table widget

## 6.7.0 [18th October 2022]

### Added

- LearnPress Grid Widget added
- LearnPress Carousel Widget added
- Header Sticky feature added in Pricing Table Widget
- Categories Count Hide option added in WC Category widget

### Fixed

- WC mini cart conflict issue fixed (Thanks Atriumlabs)

### Updated

- Columns option updated in WC Category widget

## 6.6.2 [13th October 2022]

### Fixed

- Icon color issue fixed in Search Widget
- Columns issue fixed in Skin Envelope of Hover Box Widget (Thanks to Maximilian Kraaz)
- Border Radius issue fixed in Interactive Card Widget (Thanks to Rusty C Lindquist)
- Filter Item issue fixed in Post Gallery Widget (Thanks to Matt Watkins)
- List Style Type CSS issue fixed in Fancy List and Breadcrumbs Widget (Thanks to Josh Robertson)

## 6.6.1 [11th October 2022]

### Added

- Copy Link feature added in Social Share Widget
- Search Field Placeholder Customize option added in Advanced Google Map Widget (Thanks to Rene Broll)
- Empty Product Notice added in WC Mini Cart widget

### Fixed

- Ajax search issue fixed in Search widget
- Label color issue fixed in Chart Widget Radar mode

## 6.6.0 [8th October 2022]

### Added

- Mega Menu Feature + Mega Menu widget added
- Sub Menu widget added
- Container Support added in all Extensions
- Image Size option added in Post Slider widget
- Tooltip Text dynamic option added in Circle Menu widget (Thanks to Abdoul Ouedraogo)
- Alignment, Subtitle spacing, original price offset option added in Price Table widget
- Table header, body radius option added in Table widget
- Drop bar stretch, animation out, animation, boundary, target, and alignment options added in the Drop bar widget
- Columns, columns gap, match the height, google icon option added in Google Reviews widget
- Image Size option added in Logo Grid, Carousel widget
- Alignment responsive option added in Flip Box widget
- Image style controls added in the Testimonial Slider widget
- Text Hide on responsive option added in Hover Box, Image Expand widgets
- Close button text & align, button vertical & rotate, icon position top & bottom option added in Offcanvas widget
- Products in Cart, Categories in Cart, Cart Item Number, Cart Subtotal Price conditions added in Visibility Controls Extension
- Divider option added in Image Accordion widget vertical skin (Thanks to Stefan)
- Skin style horizontal & vertical responsive option added in Image Accordion & Image Expand widgets (Thanks to Stefan)
- Navbar Style 4 animation option added in Navbar & Scroll Navigation widgets

### Fixed

- Hidden issue fixed in Advanced Google Maps widget (Thanks to EG)
- Editor Save conflict issue fixed in Visibility Control extension (Thanks to Gabriel Sirbu)
- Strip issue fixed in QR Code widget (Thanks to Jason D Corbett)
- Read more icon position not working issue fixed in the Post Block skin Genesis widget
- Scroll animation issue fixed in Timeline widget
- Portfolio carousel style not working issue fixed (Thanks to Chris)
- Category Filter issue fixed in Events Calendar widget (Thanks to Lubna Shaikh)
- Position issue fixed in Marker widget (Thanks to Gabriel Sirbu)
- Filter issue fixed on (Post Gallery, Portfolio Gallery, FAQ, Testimonial Grid)
- Prefix and Suffix issue fixed in Chart Widget  (Alex Szram)

## 6.5.0 [25th August 2022]

### Added

- Elementor 3.7.x Compatibility added (Make sure your are using core 3.7.2+ and pro 3.7.3+)
- Visit Count and Session Count condition added in Visibility Controls Extension (Thanks to alden20)
- Chart Widget vendor updated and compatibility added

### Fixed

- Horizontal scroller navigation issue fixed
- Post Slider thumbs rtl issue fixed (Thanks to Media Felix)
- Button Highlight color issue fixed in Offcanvas widget (Thanks to Watcharachai)
- Subject Encoding issue fixed in Simple Contact Form Widget
- ACF Loop issue fixed in Hover Video Widget (Thanks to Will Smith)

## 6.4.1 [29th July 2022]

### Added

- Content Style added in Slideshow widget ( Thanks to Tonyzeoli )
- Content Reverse (Mobile Device) option added in Featured Box Widget (Thanks to Saroj)

### Fixed

- Dropdown width issue fixed in User Login Widget (Thanks to Alex Nasla)
- Fullwidth issue fixed in WC Product Widget
- Target link issue fixed in Brand grid, brand carousel and slider widgets
- Translation issue fixed in Search Widget (Thanks to Sergio Rodriguez)
- Tooltip Hide issue fixed in Circle Menu Widget
- Minor issue solved in Advanced Progress Bar (Thanks to Rolling Hills)

### Updated

- Tooltip feature updated in Circle Menu Widget
- Hash Location updated in Tabs Widget

## 6.4.0 [5th July 2022]

### Added

- Remote Thumbs widget added
- Remote Fraction widget added
- Remote Pagination widget added
- Link Section feature added in Tabs Widget
- Tabs content source option added in Interactive Tabs Widget
- Custom Device option added in Scroll image widget

### Fixed

- Filter query issue fixed in FAQ Widget
- Multi-column filter not working issue fixed in FAQ Widget
- Editor issue fixed in Post Grid Tab Widget
- Duplicator issue fixed (Thanks to Thomas Breher)

## 6.3.0 [28th June 2022]

### Added

- Remote Arrows Widget added
- EDD Login Widget added
- EDD Register Widget added
- EDD Cart Widget added
- EDD Checkout Widget added
- Tabs offset option added in Interactive Tabs Widget
- Responsive single column option added in Post List Widget
- Visibility on Admin mode feature added in Modal Widget

### Fixed

- Icon size issue fixed in Marker Widget (Thanks to Gustavo Rubacha)
- Section Parallax/Scrolling opacity issue fixed (Thanks to  Gabriel Sirbu)

### Updated

- Social Login Authentication Improved in User Login Widget

## 6.2.1 [23th June 2022]

### Added

- Alignment responsive option added in WC Product Widget

### Fixed

- Svg icon height issue fixed
- Add to Cart Button fullwidth issue fixed in WC Product Widget
- Rating not showing issue fixed in WC Slider Widget

### Noted

- Duplicator naming little bit mistake so please save again if you already enabled this option.

## 6.2.0 [20th June 2022]

### Added

- Duplicate Post / Page / Elementor Template Feature Added
- Connect Section Background Feature added in Tabs Widget
- Dots advanced style options added in Slider Widget

### Fixed

- Custom skin not showing issue fixed in Thumb Gallery Widget
- ViewPort issue fixed in Animated Heading Widget (Thanks to Frederics Cooper)
- Section Parallax/Scrolling Effects issue fixed (Thanks to  Gabriel Sirbu)
- Search Translation issue fixed (Thanks to mrpc1)
- Sanitize issue fixed in Simple Contact form widget (Thanks to Sarwar Hasan)
- Editor Broken issue fixed Static Grid Tab Widget

## 6.1.3 [12th June 2022]

### Added

- hide free product, hide out of stock options added on manual selection and related query in WooCommerce (WC - Product, WC - Carousel and WC - Slider) widgets

### Fixed

- Navigation arrow not showing issue fixed
- Change badge label Sold out to Out of Stock in WooCommerce (WC - Product, WC - Carousel and WC - Slider) widgets

### Noted

- EDD Product, EDD Product Carousel, EDD Category Grid, and EDD Category Carousel widget were released on version 6.1.0, due to the some minor issues we're changing the core name of those widgets. so if you're already used these widgets we recommend to backup your design first. then if you're faced any difficulties please contact to our support system.

## 6.1.2 [9th June 2022]

### Fixed

- Post Format icon not showing issue fixed in Timeline Widget
- Readmore inline issue fixed in Alter skin Post Grid Widget
- Image and icon conflict issue fixed in Image Stack Widget
- Minor Animation issue fixed in Image Expand Widget
- Link widget issue fixed in Tabs Widget (Thanks to Gabriel Sirbu)
- Columns issue solved in Instagram Widget (Thanks to Nicolas QUINTARD)

## 6.1.1 [1st June 2022]

### Fixed

- Icon height issue fixed in Fancy List Widget
- SVG Icon minor issue fixed (Thanks to Jonas Strambach)
- Variable style issue fixed in Mini-Cart Widget (Thanks to Thomas Breher)

## 6.1.0 [26th May 2022]

### Added

- Easy Digital Download (EDD Product) Widget Added
- Easy Digital Download (EDD Product Carousel) Widget Added
- Easy Digital Download (EDD Category Grid) Widget Added
- Easy Digital Download (EDD Category Carousel) Widget Added
- Easy Digital Download (EDD Tabs) Widget Added
- Multi columns option added in Faq Widget

### Fixed

- RTL issue fixed in Horizontal Scroller Widget (Thanks to Yosef)
- Icon color issue fixed in lottie icon box and search widget

## 6.0.13 [21th May 2022]

### Added

- Column and icon align option added in Faq Widget
- Right Click Context Menu logged in user option added
- External URL, Confetti Connect Features added in Notification widget

### Fixed

- Position RTL issue fixed
- Right Click Context Menu issue fixed
- Fatal error fixed in Crypto Currency Card Widget
- Icon color issue fixed in lottie image, svg image, step flow widgets

## 6.0.12 [12th May 2022]

### Added

- Age Invalid Message Field added in Age Gate Widget
- API v2 support added in Twitter grid, Slider and Carousel Widget (Thanks to Karan Shah)
- Dismissible Button added in Allow Tracker Notice

### Fixed

- Icon Size not working issue fixed in Weather Widget
- Icon Spacing issue fixed in Dropbar, User Register Widget
- Link Target issue fixed in Static Grid Tab Widget (Thanks to Boy Laban)
- DataTables UIKIT RTL CSS file missing issue fixed in Table widget (Thanks to Tfourc)
- Link Image to Post option issue fixed in Instagram Widget (Thanks to Stefan Zahnd)
- Multi element issue fixed in Notation Widget (Thanks to Sean Vosler)
- Icon issue fixed in Accordion Widget (Thanks to Adam Doll)
- Thumbnav Offset issue fixed in Slideshow Widget (Thanks to Peter Sheppard)
- Icon color issue fixed in Circle Info Widget
- Skin Partait issue fixed in Member Widget (Thanks to ali ali)
- Column link issue fixed in Wrapper Link (Thanks to Davy Willy Michiels)

### Updated

- API system updated on Mailchimp Widget

## 6.0.11 [18th April 2022]

### Fixed

- Query Offset issue fixed in WC Products Widget

### Updated

- Animation view port position updated in Animated Heading Widget (Thanks to Marc Eggleton)

## 6.0.10 [12th April 2022]

### Added

- Header Column width option added in static type Table Widget

### Fixed

- WC Mini Cart style issue fixed
- Kenburn Animation issue fixed in Slider Widget
- Skin Oliver issue fixed in Timeline Widget (Thanks to Alex Preyer)

## 6.0.9 [9th April 2022]

### Fixed

- Element Pack Lite and Pro Admin Conflict Issue fixed
- Faq widget query building issue fixed

## 6.0.8 [9th April 2022]

### Added

- Marker hover controls and item multiple controls option added in Marker Widget
- CSS Filter and border option added in Open Street Map Widget
- Button size option added in creative button Surtur style

### Fixed

- Live copy paste issue fixed for the elementor new container
- Offset issue fixed in Query Builder
- Query Builder Filter issue fixed in Post Gallery and Portfolio gallery Widgets
- WPForms issue fixed (Thanks to Kai Gossens and Bjørn-Magnus Syversen)
- Global Lightbox and Tooltip Styling part missing issue fixed (Thanks to David Stauble)
- Minor issue fixed in Notation Extensions (Thanks Oliver Heuft)
- Array offset error fixed in Honeycombs Widget

## 6.0.7 [24th March 2022]

### Fixed

- Templates are not importing issue fixed in Template Library (Thanks to Nancy Loef)
- Elementor Deprecated issue fixed
- Column name index not defined issue fixed
- Skin name duplicate issue fixed
- Follow me issue fixed in Instagram Widget
- CSS/JS File not found issue fixed in Tutor Lms grid and Carousel Widgets
- Parallax Effects opacity custom option added

## 6.0.6 [21th March 2022]

### Added

- X, Y parallax custom value option added in Parallax Effects Extension

### Fixed

- Arrows position issue fixed in Slideshow Widget
- RTL issue fixed for cursor effects extension (Thanks to maxwebone)

## 6.0.5 [20th March 2022]

### Fixed

- Column issue fixed in WC Product Widget
- Product loop fatal error fixed in WC Product Table Skin widget
- Arrows position issue fixed in Slideshow Widget
- Global Typography issue fixed (Thanks to Caleb Weeks)
- Global Link underline issue fixed (Thanks to Gabriel Sirbu)

## 6.0.4 [18th March 2022]

### Fixed

- Timeline script error fixed (Thanks to Stanislav Roschkov)
- JS issue fixed in WC Carousel Widget (Thanks to Oliver Nokel)

### Updated

- Viewport settings changes with start and end position in Parallax Effects Extension
- Register Skin deprecated notice fixed for upcoming elementor version 3.6

## 6.0.3 [14th March 2022]

### Fixed

- Reveal Effects missing js file issue fixed
- PHP Fatal error issue fixed in Minify Class (Thanks to Dan Sonic, Kevin Neal)

## 6.0.2 [13th March 2022]

### Added

- Icon Text option added in Lightbox Widget
- Some controls added in User Login Widget
- Close button, Modal Header and Recaptcha text style option added in User Register Widget

### Fixed

- Wrapper Link not working issue fixed
- Ignore Elements issue fixed in Dark Mode Widget
- Woocommerce Related Query Fixed for Carousel, Slider and Product Widget
- Effect visibility issue fixed for Reveal Effect Extension
- Alignment Justified responsive issue fixed in advanced button widget
- Latest version gravity form editor style issue fixed (Thanks to mblack005)
- Twitter developer link issue fixed in Dashboard API Settings
- Admin Feeds issue fixed in Welcome Panel (Thanks to Anny Wu)
- GlassMorphism Repeating issue fixed for Back Drop Filter extension in column (Thanks to Fafarafiel Fin)

## 6.0.1 [2nd March 2022]

### Fixed

- Table of Content not working issue fixed
- Editor mode not working issue fixed in Notation Extension
- Minor Issue fixed in WC Products widget (Thanks to Trevor Edwards)
- Website/phone field visibility issue fixed in Advanced Google Map Widget (Thanks to Nuno Madeira)

## 6.0.0 [23th February 2022]

### Added

- Dashboard Widget Analytics Added
- [Sound Effects](https://elementpack.pro/demo/element/sound-effects/) Extension Added
- [3D Text](https://elementpack.pro/demo/element/threed-text/) Extension Added
- [Notation](https://elementpack.pro/demo/element/notation/) Extension Added
- [Reveal Effects](https://elementpack.pro/demo/element/reveal-effects/) Extension Added
- [Cursor Effects](https://elementpack.pro/demo/element/cursor-effects/) Extension Added
- [Animated Gradient Background](https://elementpack.pro/demo/element/animated-gradient-background/) Extension Added
- [Dynamic Grid](https://elementpack.pro/demo/element/dynamic-grid/) Widget Added
- [Dynamic Carousel](https://elementpack.pro/demo/element/dynamic-carousel/) Widget Added
- [Horizontal Scroller](https://elementpack.pro/demo/element/horizontal-scroller/) Widget Added
- [Slinky Vertical Menu](https://elementpack.pro/demo/element/slinky-vertical-menu/) Widget Added
- [Age Gate](https://elementpack.pro/demo/element/age-gate/) Widget Added
- [Animated Link](https://elementpack.pro/demo/element/animated-link/) Widget Added
- [Animated Card](https://elementpack.pro/demo/element/animated-card/) Widget Added
- [Brand Grid](https://elementpack.pro/demo/element/brand-grid/) Widget Added
- [Brand Carousel](https://elementpack.pro/demo/element/brand-carousel/) Widget Added
- [Creative Button](https://elementpack.pro/demo/element/creative-button/) Widget Added
- [Review Card Grid](https://elementpack.pro/demo/element/review-card-grid/) Widget Added
- [Review-card-carousel](https://elementpack.pro/demo/element/review-card-carousel/) Widget Added
- [Static Grid Tab](https://elementpack.pro/demo/element/static-grid-tab/) Widget Added
- Context Menu Feature Added
- Assets Manager Feature Added
- Elementor template edit with modal option added in tabs widget
- Navigation Arrows new default icon added
- Thumbnav Size Option added in Thumbs Gallery Widget
- Typography option added in User Login & User Register Widgets
- Tabs alignment & box shadow option added in Switcher Widget
- Badge typography option added in Advanced Button Widget
- Box Shadow option added Circle Menu Widget

### Fixed

- Height responsive issue fixed in Advanced Google Map Widget (Thanks to Andy Higgins)
- Target link issue fixed in Static Carousel Widget (Thanks to Roih)
- SVG issue fixed in Fancy Card Widget (Thanks to Graham Milligan)
- Title tag issue fixed in Post Block skins Widget (Thanks to Marco Barbera)
- Navigation Arrows color issue fixed in Google Reviews Widget
- Minor click event issue fixed in Notification Widget
- Target link issue fixed in Slider Widget
- Style issue fixed in Scrollnav Widget

### Updated

- Navigation default arrow changed

### Replaced

-  Testimonial Grid Widget Query replaced by New Query System
-  Testimonial Carousel Widget Query replaced by New Query System
-  Testimonial Slider Widget Query replaced by New Query System
-  All gallery overlay default color replaced with dark color

### Deleted

- Deprecated Query Deleted
- Schedule Content extension deleted
- Visibility control old extension deleted

### Noted

- Background Filter, Background Overlay, Custom CSS/JS, Equal Height, Floating Effects, Scroll Box, Tile Scroll, Tooltip, Transform Effects, Visibility Controls, Wrapper Line Extensions need to be activated after installation

## 5.15.1 [16th January 2022]

### Added

- Single Column and column reverse on desktop option added in Interactive Tabs Widget
- Split Text text-shadow option added in Advanced Heading Widget
- Link Type Image option added in Advanced Image Gallery Widget (Thanks to David Stauble)
- Navigation style option added in Global Lightbox Extension (Thanks to David Stauble)

### Fixed

- Tooltip issue fixed in Image Stack Widget (Thanks to Benjamin Wazin)
- Dropdown width issue fixed in User Login Widget (Thanks to Alex Nasla)
- Target issue fixed in Logo Carousel Widget (Thanks to Dimitri max)
- Target issue fixed in Marker Widget (Thanks to Nuno Madeira)
- Thumbnav, Arrows Alignment issue fixed in Thumbs Gallery Widget (Thanks to Gabriel Sirbu)
- Navigation Arrows size issue fixed in Google reviews Widget
- Icon alignment RTL issue fixed in Accordion Widget


## 5.15.0 [22th December 2021]

### Added

- [Image Stack](https://elementpack.pro/demo/element/image-stack/) Widget Added
- [Review Card](https://elementpack.pro/demo/element/review-card/) Widget Added
- [Static Carousel](https://elementpack.pro/demo/element/static-carousel/) Widget Added
- Form Fields Focus text, placeholder, background color option added in User Login and User Register Widgets
- Hidden Item Opacity option added in all carousel type widgets
- Counter Text Inline option added in Advanced Counter Widget
- Display Times Expiry option added in Modal Widget
- List View features added in Advanced Google Map Widget
- Alignment option added in Post Grid Widget
- Domain Link On/Off, Dropdown Content Menu Typography, Dropdown button icon size, Avatar Icon option added in User Login Widget (Thanks to Alex Nasla)
- Icon, Overlay, Link Target option added in Instagram Widget (Thanks to Stefan Zahnd)
- Offset option added in new Query Control

### Fixed

- Improved Asset Loading issue fixed in all Carousel and Slider Widgets
- Rating Shortcodes issue fixed
- Image width issue fixed in skin vartical carousel widget
- Hover opacity issue fixed in skin alice carousel widget
- Dynamic Field issue fixed in Member Widget (Thanks to Thomas Crawford)
- Editor page style issue fixed in Gravity Forms Widget
- Live copy conflict issue fixed

## 5.14.1 [23th November 2021]

### Added

- Radio Field Added in Advanced Calculator Widget

### Fixed

- Minor issue fixed in Modal Widget

## 5.14.0 [22th November 2021]

### Added

- [Advanced Calculator](https://elementpack.pro/demo/element/advanced-calculator/) widget added
- [Grid Line](https://elementpack.pro/demo/element/grid-line/) Extension added
- [Scroll Box](https://elementpack.pro/demo/element/scroll-box/) Extension added
- [Tile Scroll](https://elementpack.pro/demo/element/tile-scroll/) Extension added
- Dynamic Field Option added in Cookie Consent Widget (Thanks to Rene Bolsenbroek)
- New query system added for FAQ widget (Thanks to George Kepnick)
- Overflow Hidden show/hide option added in Price Table Widget
- Overlay, Content Max Width options added in Slider Widget
- Button Margin option added in custom gallery widget
- Target option added in parallax effect extension

### Fixed

- Required fields issues fixed in Simple Contact Form Widget (Thanks to Gabriel Sirbu)
- Icon issue fixed in Circle Menu Widget (Thanks to Chris)
- Trigger Dynamically option fixed in Switcher Widget (Thanks to Martin Hancko)
- WooCommerce new query optimized
- 360 Product Viewer, Custom carousel, Social Proof and Scroll image widgets icon issue fixed
- Empty URL glitch issue fixed in Advanced Google Maps widget
- Align issue fixed for Add to Cart Widget

## 5.13.0 [8th November 2021]

### Added

- [Wrapper Link](https://elementpack.pro/demo/element/wrapper-link/) Extension added
- Skin Flux Added in Fancy Card Widget
- Data Label option show/hide option Added in Fancy Card Widget
- Header border radius option added in Price Table Widget
- New query system added in WooCommerce WC - Product, WC - Carousel and WC - Slider widget

### Fixed

- Some widgets icon not showing issue fixed
- Thumb Alignment issue fixed in Audio Player Widget
- Title issue fixed in Hover Video Widget (Thanks to Gabriel-Stefan Hobjila)

## 5.12.0 [30th October 2021]

### Added

- [Confetti Effects](https://elementpack.pro/demo/element/confetti-effects/) Extension added
- Inline Before Icon option added in Mailchimp Widget
- Close Button hover style controls added in Modal Widget
- Button Alignment option added in Mailchimp Widget
- Custom Section option added in Modal Widget
- Show poster again on video reset option added in Hover Video Widget (Thanks to Jordan Seirer)
- Mouse Interaction animation option added in Panel Slider Widget
- Content Glassmorphism option added in Faq Widget
- Content position and margin option added in Fancy List Widget
- Main Heading spacing option added in Advanced Heading Widget
- Content always visible option added in Panel Slider Widget
- Show Hidden Item option added in All Carousel Type Widget (Thanks to Tariq)
- Icon Size option added in Faq Widget

### Fixed

- Navigation style not working issue fixed in Tutor Lms Course Carousel Widget
- Margin issue fixed on the top fixed mode in Notification widget
- Auto Login Feature issue fixed in User Register Widget (Thanks to SAYEED AFZAL)
- Form submit Ajax issue fixed in Gravity Forms Widget (Thanks Amir Kay)
- In Custom Content layout image delete issue fixed in Timeline Widget (Thanks Barbara)
- Pause on hover option issue fixed in Post Slider Widget (Thanks Martin Hermansen)
- Post format icon not showing issue fixed in Timeline Widget
- Skin Fedara, Janes icon issue fixed in Portfolio Gallery and Portfolio Carousel Widgets (Thanks to Ramon Jose)
- Map loading issue fixed in Advanced Google Map Widget (Thanks Ray Methvin)
- Icon active color fixed in Iconnav Widget (Thanks to Daniel Büssen)
- Language translations issue fixed in User Login and User Register Widget (Thanks Sandor Nemeth)
- Custom Date Format issue fixed in Timezone Widget (Thanks Loftmyndch Gmbh)

## 5.11.1 [22th September 2021]

### Added

- Search Widget option Added in Element Pack Dashboard
- Open In a New Window option added in Tags Cloud widget
- Pagination option added in Post List Widget
- Link option added in Interactive Tabs Widget
- Logo Size Cover option added in Logo Grid Widget
- Responsive Ratio option added in Iframe Widget
- Column Gap, Counter style controls, and image multiple show/hide option added in Price List Widget
- Tags padding, space between option added in Post Slider Widget
- Button ID option added in Advanced Icon Box, Call Out, Dual Button, Featured Box, Interactive Card, Lottie Icon Box, Price Table, Step Flow, Trailer Box Widgets
- Poster size option added in Video Gallery Widget (Thanks to Gavin Von Der Heyden)
- Background Image option added on Backside in Honeycombs Widget
- Content Alignment option added in Modal Widget

### Fixed

- Arrow style issue fixed for Helpdesk Widget
- Navigation issue fixed in Panel Slider Widget
- Item height issue fixed in Logo Grid Widget (Thanks to David Stauble)
- Date range condition UTC issue fixed for Visibility controls extension

### Updated

- Navigation updated in Panel Slider Widget

## 5.11.0 [10th September 2021]

### Added

- [Barcode](https://elementpack.pro/demo/element/barcode/) widget added
- External URL and Search Engine condition option added in Visibility Controls Widget
- Icon Alignment option added in Fancy Card Widget
- Item Invisible option added in Honeycombs Widget
- Background, padding, radius option added in QR Code widget

### Fixed

- Infinite rotate issue fixed in Floating effect widget
- Template library data drop issue some rare case fixed.
- Ajax Search Dropdown title color, typography and target attribute issue fixed in Search widget(Thanks Justin James)
- Editor loading issue fixed for Background Particles Effects Extension


## 5.10.2 [6th September 2021]

### Added

- Layout box style grid gap option added in Logo Grid Widget
- Text Shadow control added in Tags Cloud Widget (Thanks Melanie Morschel)
- Column and number hover controls option added in Fancy List
- Ajax search dropdown close button added in search widget

### Fixed

- Minor issue fixed in Logo Grid Widget
- Controls improvement in Floating Effects extension
- Box Shadow problem for Safari Browser fixed in Reading Progress Widget (Thanks A Jccpa)
- Tooltip animation and p tag spacing issue fixed for Marker Widget
- Ajax search post type issue fixed in Search Widget (Thanks Justin James)
- Category issue fixed for Custom Post Type in all widgets


## 5.10.1 [30th August 2021]

### Added

- Elementor Template select option added in Interactive Tabs Widget
- Days area width option added in Business Hour Widget
- Text Stroke Width option added in Advanced Heading, WC Slider, Animated Heading, Device Slider, Fancy Icons, Fancy Slider, Fancy Tabs, Featured Box, Image Accordion, Image Expand, Interactive Cards, Panel Slider, Slider, Slideshow Widgets
- Navigation Drag Free Mode and Dots advanced size, space between option added in All Carousel type widgets
- Overlay Spacing option added in Custom Carousel Widget

### Fixed

- Invalid copy condition fixed for coupon code Widget
- Badge(step) Color issue fixed in Step Flow Widget (Thanks to Gavin Edson)
- Skin partait test style issue fixed in Member Widget (Thanks to Mohammad Mobasheri)
- Link Target issue fixed in Scroll Image Widget (Thanks to Francesco Matturro)
- Editor Tilt issue fixed in advanced image gallery, custom gallery, portfolio gallery, post gallery and tutor lms course grid widgets

## 5.10.0 [25th August 2021]

### Added

- [Coupon Code](https://elementpack.pro/demo/element/coupon-code/) Widget Added
- [Interactive Tabs](https://elementpack.pro/demo/element/interactive-tabs/) Widget Added
- Floating effects extension added for all widgets
- Background overlay extension added for all widgets
- Visibility controls extension fully re-coded with massive conditions
- Related query options added in query section for all post widgets
- Current query options added in query section for all post widgets
- Device, max-width and align option added in iframe widget (thanks to grey mckenzie)
- Image show/hide option added in post list widget
- Z-index option added in tooltip extension (thanks to ray clark)
- Item link option added in device slider widget (thanks to grey mckenzie)
- Layout, item background option added in circle info widget (thanks to adie d)
- Navigation icon change option added in the slideshow, Woocommerce slider thumb gallery widget
- Custom text option added for the filter in post gallery widget (thanks to lubomír černý)
- Ellipse and image caption option added in carousel widget (thanks to david stauble)
- Glassmorphism effect added in faq widget
- Spam email and reset form option added in simple contact form widget (thanks to for sarwar hasan)
- Slide global link option added in device slider widget
- Arrow selection option added in google review widget

### Fixed

- Couple of options improved in the circle info widget
- Template render issue fixed in advanced button widget (thanks to jason maki)
- Auto height issue fixed in iframe widget (thanks to jason maki)
- Spacing issue fixed in breadcrumbs widget (thanks to omar ali)
- Editor live preview issue fixed and fully rewrite the tooltip extension
- Active item style issue fixed in custom carousel widget (thanks to bernd kleinschrod)
- Align control icon not showing for some widget that issue fixed
- Tooltip editor visibility issue fixed in help desk, icon nav, logo carousel, logo grid, marker, price table, scroll nav widgets
- Editor conflict issue fixed in live copy feature
- Custom gallery link color issue fixed
- Translation issue fixed in user register widget

### Noted

- Visibility control extension will be removed on the next major version so please use the new version of the visibility controls widget
- A massive code updated in tooltip extension and tooltip related widgets (Helpdesk, Icon Nav, Logo Carousel, Logo Grid, Marker, Price Table, Scroll Nav) so please regenerate CSS from elementor tools after update this version. Also please review the pages where you used those widgets.

## 5.9.4 [28th July 2021]

### Added

- Alignment option added in skin Partait Member Widget

### Fixed

- Border issue fixed in vertical skin Image Accordion Widget
- Query control issue fixed in carousel widget all skin

## 5.9.3 [19th July 2021]

### Added

- Navigation arrow change option added in Device Slider Widget
- Avatar size, rating size and spacing option added in Testimonial grid and carousel Widget
- Active item option added in image accordion widget


### Fixed

- Parallax Start From option fixed in Parallax Effects
- Portfolio gallery and Carousel widget query issue fixed
- Tooltip body placement and style issue fixed
- Compatibility issue fixed for elementor 3.3.x


## 5.9.2 [13th July 2021]

### Added

- Text hide on mobile & tablet show/hide option added in Post Slider Widget

### Fixed

- Countdown widget ajax call in loop issue fixed

## 5.9.1 [12th July 2021]

### Fixed

- Navigation issue fixed in Custom Carousel Widget

### Noted

- For Countdown widget individual style apear now based on a switcher

## 5.9.0 [11th July 2021]

### Added

- [Air Pollution](https://elementpack.pro/demo/element/air-pollution/) Widget Added
- Custom device option added in Device Slider Widget
- New Query Controls system added in all post type widget
- Item hover & normal option, Add to cart, before price, multi column, badge feature added in Price List Widget
- Direction Hover & Infinite Animation option in Step Flow Widget
- Video Replay option added in Hover Video Widget
- Link Widget option added in Tabs, Switcher Widgets
- Local Time option added in Timezone Widget
- Loop time option added in countdown Widget
- Filter count option added in portfolio gallery widget
- Item hover background option added in fancy list widget

### Fixed

- Leading column cell padding fixed in Table Widget
- Human Diff Time not working issue fixed in Post Slider skin hazel and vast Widget
- Title alignment option added in accordion widget
- Each item background color adding option fixed in countdown widget

### Note

- For the Countdown widget, individual style appears now based on a switcher please switch yes if you already using the individual color for each countdown item.

## 5.8.2 [9th June 2021]

### Added

- Wrapper Link added in Hover Video Widget (Thanks Jorge Mario)
- Default Mode,Toggle Position, Ignore Elements, Save User Action Options added in Dark Mode Widget.
- Item Counter features added in Price List Widget

### Fixed

- Fixed module base error for some rare cases
- JS issue fixed in Circle Info Widget (Thanks Julien Luciani)
- HTML Input fixed on Static type in Table Widget  (Thanks to Justin James)
- Avatar Size fixed in User Login Widget  (Thanks to Patrick Mullner)
- Couple of Options improved in Dark Mode Widget

## 5.8.1 [3rd June 2021]

### Added

- Transition, scale, skew and overflow option added in Transform Effects Extend
- Follow Button spacing option added in Profile Card Widget
- Location Redirect on submit, reCAPTCHA Enabled options added in Simple Contact Form Widget
- Aspect Ratio Option Added in Hover Video Widget (Thanks Andrea Napierkowski)
- First Name and Last Name Remove Options Added in User Register Widget (Thanks jasim pk)

### Fixed

- Thumbnav opacity issue fixed in Thumb Gallery Widget
- Parallax/Scrolling Effect editor live view issue fixed

## 5.8.0 [12th May 2021]

### Added

- Features Hide On option added in Price Table Widget
- Badge Option added in Advanced Button Widget
- Arrows Hide on Mobile option added in Slideshow Widget (Thanks Gabriel Sirbu)
- Scroll Button Hide issue fixed (Thanks Sam Kary)
- Show Arrows always control added in Video Gallery Widget
- Parallax/Scrolling effects added in Section and Column
- Background Parallax/Scrolling effect added border and background color option
- Hover border color added in tabs widget


### Fixed

- 189 Widgets minor markup validation fixed and properly checked by W3C validator.
- Admin email overriding fixed in Simple Contact Form Widget (Thanks Ruben Romero)
- Hide On Before Scrolling simple bug fixed
- Link Attribute issue fixed in Trailer Box Widget (Thanks Jason)
- JS error fixed in Open Street Map Widget (Thanks Sailer)
- Marketing Tab Disappears issue fixed (Thanks Josh Eastman)
- User Login and Register widget Recaptcha JS issue fixed


## 5.7.7 [15th April 2021]

### Added

- Hide On Before Scrolling added on Scroll Button widget
- Glassmorphism option added in Lightbox Widget for some special cases
- Two Columns option added in Simple Contact Form Widget
- Human Different Time option added in Post Grid, Post Block, Post Block Modern, Post Card, Post Grid Tab, Post List, Post Slider Widgets

### Fixed

- Panel Slider title color fixed (Thanks to Greg Allman)
- Navbar widget issue fixed that conflict with hello elementor theme (Thanks to Mike Kandela and PHC Software)
- Featured Image not showing issue fixed in Post Block skin Genesis Widget
- Responsive column gap issue fixed in Woocommerce Carousel Widget

## 5.7.6 [22th March 2021]

### Fixed

- Active and deactivation error fixed
- Carousel, testimonial slider and carousel speed slider control issue fixed
- Advanced Heading + Animated Heading, accordion, Advanced Counter, Advanced Icon Box, Carousel, Circle Info, Custom Gallery etc widgets tag size security issue fixed
- Total count widget RTL css missing issue fixed

## 5.7.5 [18th March 2021]

### Added

- [Total Count](https://elementpack.pro/demo/element/total-count/) Widget Added (Thanks to Radzio)
- Glassmorphism option added in Countdown Widget for some special cases
- Vertical Border remove option added in Table Widget (Thanks to Randhir ek)
- Features Icon Hover Color, Pricing Border, border radius and margin, hover background option added in Price Table Widget
- Title and readmore button spacing option added in Panel Slider Widget
- Layout Style Eight Option added in Price Table Widget
- Global Link Option added in Interactive Card Widget
- Strip Emoji option added in Twitter Slider, Twitter Carousel, Twitter Grid Widgets (Thanks to Lukas Baeuerle)
- Item Match Height Option Added In Events Calendar Carousel Widget
- Image Ratio and Item Match Height Option Added In Events Calendar Grid Widget
- Navigation position center left, right option added in All carousel type Widgets
- Next/Previous day, month and year (offset) option added in current date shortcode


### Fixed

- Features Icon Color issue fixed in Price Table Widget
- Carousel date format issue fixed (Thanks to Sytze Notebomer)
- Dropdown issue fixed in User Login Widget (Thanks to Doron Yosha)

## 5.7.4 [01st March 2021]

### Added

- Backdrop Filter (Glassmorphism) Extended Features added in column and all widgets
- Glassmorphism option added in Advanced Icon Box, Circle Info, Fancy Card, Featured Box, Fancy Tabs Widget for some special cases
- Text Stroke option added in Advanced Heading, Animated Heading, Device Slider, Fancy Slider, Fancy Icons, Fancy Tabs, Featured Box, Image Accordion, Image Expand, Interactive Card, Slider, Slideshow, Wc Slider, Panel Slider Widget
- Some Control Option added in Trailer Box, Twitter Grid Widget
- Responsive Horizontal Scroll Option added in Table Widget (Thanks to Saar Kerem)
- All field Inline (horizontal), Show Subject, Show message, Alignment option added in Simple Contact Form Widget

### Fixed

- Minor issue fixed in Custom Carousel Widget ( Thanks to Benjamin Leber )
- User login dropdown issue fixed
- User Register dropdown issue fixed
- Button Icon RTL issue fixed in Advanced Button, Advanced Icon Box, Call Out, Carousel, Dual Button, Fancy Card, Featured box, Lottie Icon Box, Panel Slider, Post Card, Post Block, Post Grid, Post Grid Tab, Post Block Modern, Post Slider, Slider, Slideshow, Step Flow, Timeline, Thumb Gallery Widget (Thanks to Ahmad Almousa)

## 5.7.3 [18th February 2021]

### Added

- Style control option added in Weather Widget
- Border color control option added in Social Share Widget
- Background and padding option added in Post Block Modern Widget
- Title Icon and title hover border color option added in Accordion Widget
- Label hide and spacing, Input and textarea hover controls and button box shadow options added in Forminator Widget
- Item normal and hover control options added in Portfolio Gallery, Portfolio Carousel Widget
- Some Control and condition option added in Crypto Currency Card Widget
- Show Cart always option added in WC-Carousel Widget (Thanks Maxime Imbert)
- Some style option added in Post Card Widget
- All widgets on/off control added by filter hook for developers. more control hooks are coming soon :)

### Fixed

- Button full width and alignment issue fixed in Forminator Widget
- WC Table add to cart quantity issue fixed
- Skin Envelope item padding issue fixed in Hover Box Widget (Thanks Gabriel Sirbu)
- Some PHP 8.1 issue fixed
- Some jQuery deprecated function issue fixed

## 5.7.2 [8th February 2021]

### Added

- Item Active Style option added in Events Calendar Carousel, Twitter Carousel, Testimonial Carousel Widget
- Custom Language Option added in Google Review Widget (Thanks Davide Pasqualini)
- Some control options added in Portfolio Gallery, Portfolio Carousel Widget

### Fixed

- Item style issue fixed in Events Calendar Carousel and Events Calendar Grid skin Acara, Altra, Annal, Fable Widget
- Item Match Height option added in Twitter Carousel Widget
- Skin accordion style issue fixed in Hover Video Widget

## 5.7.1 [6th February 2021]

### Added

- Custom Calendar select option added in Booked Calendar Widget
- Active item style option added in Custom Carousel Widget
- Item limit option added in Post Grid skin default Widget
- Active Overlay Color option added in Panel Slider Skin Middle Widget
- Item Active Style option added in Carousel Widget

### Fixed

- Icon Area Size responsive issue fixed in Circle Info Widget
- Loading issue fixed in Custom Carousel Widget (Thanks Benjamin Leber)
- Pricing table EDD existing checking issue fixed

## 5.7.0 [1st February 2021]

### Added

- Element Pack Template Library added in editor
- [Forminator Forms](https://elementpack.pro/demo/element/forminator-forms/) Widget Added
- Vertical skin added in Hover Video Widget
- Vertical skin added in Image Accordion Widget
- Vertical skin added in Image Expand Widget
- Typography control added in Source Code Widget (Thanks Harry Austen)
- Repeater Item Alignment option added in Slideshow Widget
- Overlay Blur Effect option added in Carousel skin Alice, Custom Gallery, Post Block Skin Trinity, Single Post, Post Grid Skin Trosia, Post Gallery Widgets
- Link Title on/off option added in Post Gallery Widget
- Offset Horizontal, Vertical, Rotate option added in Advanced Divider
- Repeater menu icon style option added in Circle Menu Widget
- End Action, Separator, individual style options added in Countdown Widget
- Image Mask option added in Custom Carousel, Custom Gallery, Featured Box, Interactive Card, Logo Grid, Logo Carousel, Post Gallery Widgets
- Toggle active background color option added in Fancy Card skin climax Widget (Thanks GLAM GLAM)
- Line Highlight and Line Numbers Controls added in Source Code Widget
- Thousand Separator Controls added in Chart Widget
- Column option added in Post Grid skin default, Elenza, Trosia, Reverse Widget (Thanks @DaDarkMan)
- WPML compatibility added in Advanced Progress Bar, Business Hours, Circle Info, Fancy Icons, Fancy List, Fancy Slider, Fancy Tabs, Honeycombs, Hover Box, Hover Video, Image Accordion, Image Expand, Logo Carousel, Logo Grid, Profile Card, Vertical Menu, Advanced Counter, Fancy Card, Featured Box, Interactive Card, Lottie Icon Box, Lottie Image, Step Flow, Svg Image Widget
- Cache on/off option added in Google Review Widget

### Fixed

- Popup issue fixed in Honeycombs Widget (Thanks Kelsey cossifos)
- Content Format issue fixed in Protected Content Widget (Thanks Katrina Willis)
- Tab content activate issue fixed in Tabs Widget (Thanks David Gilfillan)
- Nested issue fixed in Accordion Widget (Thanks Peter Berta)
- Video player minor issue fixed in Video gallery Widget (Thanks Monika Cywinska)
- Auto Height issue fixed in Iframe Widget (Thanks Jürgen Baur)
- Heline Skin Follow Button link issue fixed in Profile Card Widget (Thanks Tobias Hümmerich)
- Query issue fixed in Easy Digital Downloads (Thanks David Smith)
- Svg Icon Rotate issue fixed in Advanced Icon Box widget
- Border radius issue fixed in Custom Gallery Widget
- Skin reverse direction issue fixed in Post Grid Widget (Thanks @DaDarkMan)
- Skin Horizontal Progress issue fixed in Reading Progress Widget (Thanks Jonathan White)
- Minor issue fixed for IOS in Hover Video Widget(Thanks Matthieu Michel)
- Language filter issue fixed in Google Review Widget (Thanks Eugen Merk)

## 5.6.3 [6th January 2021]

### Added

- Item wrapper link option added in Post Grid Widget
- Tooltip control added in Circle Menu Widget (Thanks Jay Andrew)
- Hide Arrow on Mobile option added in Logo Carousel Widget
- Overlay Blur Effect option added in Advanced Image Gallery
- Icon Some style control options added in Accordion Widget
- Thumbnav active style control options added in Slideshow Widget
- Arrows Icon select option added in Logo Carousel Widget
- Some control added in Price Table Widget

### Fixed

- Input focus color issue fixed in Search Widget
- Image link issue fixed, title advanced style controls added and column x small option added in Post Grid Widget
- Bug fixed in Document Viewer Widget (Thanks Adin Palacios)
- Size issue fixed at Animated Skin in Tags CLoud Widget (Thanks Wei Bi)

## 5.6.2 [5th December 2020]

### Fixed

- Some widget not showing after update 5.6.1

## 5.6.1 [2nd December 2020]

### Added

- Author Page Link added in Post Slider Widget (Thanks to boboo)
- Title Multi Color option added in Advanced Heading Widget

### Fixed

- Slide To Scroll issue fixed all carousel type widgets (Thanks Hall Underwood)
- ID issue fixed in Navbar Widget (Thanks Oleg Malkov)
- Justified Gallery issue fixed in Advanced Image Gallery Widget (Thanks René Broll)
- Some language string issue fixed in language file

## 5.6.0 [22th November 2020]

### Added

- [Vertical Menu](https://elementpack.pro/demo/element/vertical-menu/) Widget Added
- [Breadcrumbs](https://elementpack.pro/demo/element/breadcrumbs/) Widget Added
- [Charitable Campaigns](https://elementpack.pro/demo/element/charitable-campaigns/) Widget Added
- [Charitable Donations](https://elementpack.pro/demo/element/charitable-donations/) Widget Added
- [Charitable Donors](https://elementpack.pro/demo/element/charitable-donors/) Widget Added
- [Charitable Form](https://elementpack.pro/demo/element/charitable-form/) Widget Added
- [Charitable Login](https://elementpack.pro/demo/element/charitable-login/) Widget Added
- [Charitable Profile](https://elementpack.pro/demo/element/charitable-profile/) Widget Added
- [Charitable Registration](https://elementpack.pro/demo/element/charitable-registration/) Widget Added
- [Charitable Stat](https://elementpack.pro/demo/element/charitable-stat/) Widget Added
- [Give Donation History](https://elementpack.pro/demo/element/give-donation-history/) Widget Added
- [Give Donor Wall](https://elementpack.pro/demo/element/give-donation-wall/) Widget Added
- [Give Form Grid](https://elementpack.pro/demo/element/give-form-grid/) Widget Added
- [Give Form](https://elementpack.pro/demo/element/give-form/) Widget Added
- [Give Goal](https://elementpack.pro/demo/element/give-goal/) Widget Added
- [Give Login](https://elementpack.pro/demo/element/give-login/) Widget Added
- [Give Profile Editor](https://elementpack.pro/demo/element/give-profile-editor/) Widget Added
- [Give Receipt](https://elementpack.pro/demo/element/give-receipt/) Widget Added
- [Give Register](https://elementpack.pro/demo/element/give-register/) Widget Added
- [Give Totals](https://elementpack.pro/demo/element/give-totals/) Widget Added
- [Calendly](https://elementpack.pro/demo/element/calendly/) Widget Added
- [The Newsletter](https://elementpack.pro/demo/element/the-newsletter/) Widget Added
- Auto Hiding Menu option added in Navbar Widget
- Skin Flip Added in Member Widget
- Content Position & spacing option added in Hover Box Widget
- Slide Sets option added in Advanced Image Gallery Widget (Thanks Travis Kubicek)

### Fixed

- We optimize our all assets (css and javascript) for faster loading. Now our widget will load 50% faster than before.
- Line Circle color  and size issue fixed in Timeline Widget (Thanks Tajammul H. Qureshi)
- Button Alignment issue fixed in Fancy Tabs Widget
- Svg Color issue fixed in Fancy Tabs Widget
- Navigation fraction arrows and arrows spacing issue fixed
- Item Style issue fixed in Twitter Carousel Widget ( Thanks Lukas Bauerle )
- Height issue fixed in Open Street Map Widget (Thanks Laurent Oz-média)
- Parent Indicator fixed in Navbar Widget (Thanks Barak Levy)
- Quick view variation selection issue fixed in WooCommerce product widget (Thanks to Hannah)

## 5.5.1 [11th October 2020]

### Added

- Table header hide option added
- Element Pack Essential Shortcodes CountDown, Rating Added

### Fixed

- Instagram widget API issue fixed
- Template load issue fixed in template library
- Slider and carousel arrow fraction issue fixed

## 5.5.0 [6th October 2020]

### Added

- Custom JS Extended option added
- Button ID option added in advanced button widget
- Image Size option added in Fancy Card Widget
- A few new options added in Lottie Icon Box Widget
- Custom post type option added in Tags Cloud Widget
- [Element Pack Essential Shortcodes Alert, Author Avatar, Author Name, Badge, Breadcrumbs, Button, Clipboard(copy), Current Date, Current User, Label, Lightbox, Notification, Page Title, Page URL, Post Date, Site Title, Site URL, Tag List, Tooltip](https://elementpack.pro/knowledge-base/how-to-use-element-pack-essential-shortcodes/) Added
- HTML functionality added on Custom content in Modal Widget  (Thanks Hakeem Sisney)
- Invisible option added in marker widget
- Overlay color option added in portfolio carousel and gallery skin abetis, Fedara

### Fixed

- Link target issue fixed in Fancy Icons Widget (Thanks Shray Kumar)
- Checkbox style issue fixed in Formidable Forms Widget
- Loop issue fixed in Lottie Icon Box Widget
- Categories registered issue fixed (Thanks Tony Keller)

### Updated

- Template library completely restructured and make it future proof for upcoming huge template addition. now item search and filter will work smoothly

## 5.4.1 [24th September 2020]

### Added

- Static skin and Leading Column style option added in Table Widget
- Redirect on custom URL after logout option added in User Login Widget (Thanks David Stauble)

### Fixed

- Text background issue fixed in Slider Widget(Thanks Amos Klein)
- Item Border Radius & Link Icon Size issue fixed in Portfolio Gallery & Portfolio Carousel Widgets
- Placeholder Language change issue fixed in Simple Contact Form Widget (Thnaks Radu Irhasiu)
- CSV file URL issue fixed and added some control option in Table Widget

## 5.4.0 [18th September 2020]

### Added

- [Tags Cloud](https://elementpack.pro/demo/element/tag-cloud/) Widget Added
- [Notification](https://elementpack.pro/demo/element/notification/) Widget Added
- [Formidable Forms](https://elementpack.pro/demo/formidable-forms/) Widget Added

### Fixed

- Section delete problem in editor fixed
- Skin Hazel & Vast Text issue fixed in Post Slider Widget
- Honeycombs link disabled for editor (Thanks to Nathan Walker)
- ScrollSpy Time problem fixed in Tabs Widget (Thanks to Sage Techteam)

### Updated

- Navigation style controls format updated in every Carousel & Slider Type Widgets

## 5.3.2 [25th August 2020]

### Added

- Thumb Title HTML Tag option added in Post Slider Widget (Thanks Marco Barbera)
- Icon position option added in Toggle Widget (Thanks Thomas Breher)
- Link option on Icon added in Circle Info Widget (Thanks Juanita Samborski)
- Legend, xAxes, yAxes Color Options added in Chart Widget

### Fixed

- Live Paste issue fixed for WP 5.5
- Title style issue fixed in Timeline Widget (Thanks Susi Carreira)
- Conflict with Elementor Pro Lottie Widget (Thanks Chris Parrish)
- Minor issue solved in Reading Progress Widget (Thanks Mohamed Bakry)
- Border Radius issue Fixed in Image Accordion Widget (Thanks Jason Lynch)
- Navigation icon issue fixed in Timeline Widget
- Closed label option fixed in Business Hours Widget (Thanks Henley Tan)
- Font size of price issue fixed in WC-Product Widget (Thanks Kornchai)
- Tooltip editor style issue fixed in Iconnav Widget
- Content Height issue fixed in Fancy Tabs Widget

## 5.3.1 [31st July 2020]

### Fixed

- Element Pack tested for upcoming Elementor 3.0.0 and fixed all issues.
- Pause on Hover issue fixed in Advanced Image Gallery Widget (Thanks Radu Irhasiu)
- Layout broken on Firefox Browser fixed in Honeycombs Widget (Thanks Ingo Falk)

## 5.3.0 [26th July 2020]

### Added

- Visibility Control added for all widgets and sections
- Elementor Template Widget added in Appearance > widgets for show any pre-made template in sidebar
- Skin Tiny Countdown Added in CountDown Widget
- Icon Area Custom Width Option added in Fancy Tabs Widget
- Sub Label show/hide option added in Gravity Forms Widget

### Fixed

- Hover animation issue fixed in Scroll Button Widget
- Play-list padding and Description Typography issue fixed in Video Gallery Widget
- Border issue fixed in Logo Grid Widget
- List left side spacing issue fixed in Price List Widget
- Min Height issue fixed in Scroll Image Widget
- Item spacing issue fixed in Table of content Widget
- Input spacing, width, button width issue fixed in Gravity Forms Widget
- Animation issue fixed in Advanced Progress Bar Widget (Thanks Abdoul Ouedraogo)

## 5.2.0 [17th July 2020]

### Added

- [Hover Video](https://elementpack.pro/demo/element/hover-video/) Widget Added
- [Image Accordion](https://elementpack.pro/demo/element/image-accordion/) Widget Added
- [Image Expand](https://elementpack.pro/demo/element/image-expand/) Widget Added
- User Name show/hide option added in User Login Widget
- Fancy Animation added in Scroll Button Widget
- Arrows animation added in Step Flow Widget
- Slide Per column option added in Testimonial Carousel Widget
- Pagination Option Added in Testimonial Grid Widget
- Header Text Color option added in Table Of Content Widget
- Close Button some control option added in Modal Widget
- Currency position & format option added in Price Table Widget

### Fixed

- Avatar showing issue fixed in User Login Widget(Thanks Kornchai Dilokchareamkun)
- Post Grid skin alite & Harold Text limit issue fixed(Thanks Adi Heutschi)
- Title and button icon spacing issue fixed in Post Grid Tab Widget
- Pagination offset issue fixed
- Meta color issue fixed in Post Slider Widget
- Icon position & spacing issue fixed in Modal Widget
- Minor issue solved in Animated Heading Widget
- Label & Placeholder default not showing issue fixed in Simple Contact Form Widget
- Button svg icon default color issue fixed in Slider, SlideShow Widget
- Svg icon default color issue fixed in Toggle Widget
- Wc Add To Cart Not showing issue fixed in Add to cart Widget(Thanks Gerson Ruano)
- Icon Horizontal/vartical Offset issue fixed in Advanced Counter Widget
- Dropdown background color issue fixed in Table of Content Widgets
- Instagram API issue fixed you need to use new Access token system for get work it

### Updated

- Description control option updated in Advanced Icon Box Widget

### Removed

- Content Position default option removed in Slider, SlideShow widget

### Noted

- Instagram widget comment and like count feature remove due to new API don't support like and comment count features.

## 5.1.1 [29th June 2020]

### Added

- Hover Box Skin Flexure Added
- Text shadow option added in Interactive Card and Featured box Widget
- Meta Divider Color option added in Carousel Widget
- Svg Icon color change option added in Flip Box Widget
- Hover Image effect added in Hover Box Widget

### Fixed

- link Icon size issue field in Custom Gallery Widget
- Category style issue fixed in Post Gallery Widget
- Coupon & update button style issue fixed in WC Element Cart Page
- Portfolio Janes Skin editor style fixed
- Thumbnav color issue fixed in Thumb Gallery widget
- Icon position responsive issue fixed in Lottie Icon Box Widget (Thanks Abdoul Ouedraogo)
- Checkout Page Order Table style issue Fixed in WC Element Widget
- Order Tracking Form Button Style issue fixed in WC Element Widget
- Some color style issue fixed in Post Grid Widget
- Title link style issue fixed in Fancy Slider Widget
- Default style issue fixed in Fancy Card Widget
- Skin Olivier issue fixed in Timeline Widget (Thanks artemy leontyev, Jorge Morillas)
- Zoom Control style issue fixed in Open State Map Widget
- Navigation arrows responsive not showing issue fixed in Logo Carousel Widget

## 5.1.0 [18th June 2020]

### Added

- [Interactive Card](https://elementpack.pro/demo/element/interactive-card/) Widget Added
- Skin Split added in featured box Widget
- Skin Erect added in Price Table Widget
- Skin Janes added in Portfolio Gallery Widget
- Skin Janes added in Portfolio Carousel Widget
- Scrollspy on/off option added in Accordion widget (Thanks to Brendan Flanagan)
- Dynamic Bullets navigation and coverflow Effect and Scrollbar option added in carousel, custom carousel, Fancy Slider, Portfolio Carousel, slider, Testimonial Carousel, Twitter Carousel, Twitter Slider, WC Carousel Widget
- Prefix and Suffix added in Chart widget (Thanks to Omar Ali)
- Image hover effect option added in Hover Box Widget
- Meta Multiline option added in Testimonial Grid, Carousel, Slider Widgets
- Content, Dropdown menu show/hide option, logout text change option added in User Login Widget (Thanks to David Stauble)
- Anchor Link on/off option added in Events Calendar List, grid, carousel Widgets
- Spotlite Mode option added in Advanced Image Gallery
- Product Table Header show/hide, order, pagination show/hide, custom pagination option added in WC-Products widget (Thanks to Sameer Duwal)
- Custom input fields added for "PREV" and "NEXT" text in Post Slider widget Hazel skin - (Thanks to Thomas Breher)
- Add to Cart and Quick View button hide on mobile option added in WC Product Widget
- Css Filter added in Advanced google map Widget
- Item Match Height option added in WC Product & WC Carousel Widgets

### Updated

- WC Product skin table some script change and updated
- Some script change & change in Table Widget

### Fixed

- Custom Link style issue fixed in offcanvas widget
- Transform rotate responsive issue fixed in Transform Effect Extention (Thanks to Stefan Zahnd)
- UTC timezone fixed on dynamic style of Business hours widget (Thanks to Mariano Cucinotta)
- Match Height issue fixed in Testimonial Carousel Widget
- Dots Navigation Center Offset issue fixed in carousel, custom carousel, Fancy Slider, Portfolio Carousel, slider, Testimonial Carousel, Twitter Carousel, Twitter Slider, WC Carousel Widget
- Content Background issue fixed in Circle Info widget (Thanks to Adie D)
- Div overflow issue fixed in Help Desk widget (Thanks to Abdoul Ouedraogo)
- Navigation icons issue fixed in Events Calendar Carousel Widget (Thanks to Peter Sheppard)
- Welcome massage option issue fixed in User Login
- Placeholder not showing issue fixed in User register Widget
- Indicator & badge rotate issue fixed in Advanced Icon Box (Thanks to David Stauble)
- Mapbox imperceptible & Zoom icon issues fixed in Open Street Map Widget (Thanks to Sascha Tiebel & Shreyashi Kundu)
- Offset issue fixed in Advanced Icon Box & Lottie Icon Box Widgets

## 5.0.1 [22th May 2020]

### Added

- Toggle Custom Icon option added in Circle Menu
- 24 hours functionality added in Business Hours Widget (Thanks to Mariano Cucinotta)
- Now you can set Switcher A or B Active from control (Thanks to Sarwar Hasan)

### Updated

- Item Background Image option position Changed

### Fixed

- Image Compare issue fixed
- Divider issue fixed in Advanced Counter Widget
- Background Image position issue fixed in Hover Box Widget
- Checked icon not showing issue fixed in Everest Forms Widget
- Minor issue fixed in Business Hours Widget

## 5.0.0 [19th May 2020]

### Added

- Live copy option added you can directly copy and paste blocks from our demo pages
- Template library added in dashboard now you can easily import any of our template
- [Honeycombs](https://elementpack.pro/demo/element/honeycombs/) widget added
- [Step flow](https://elementpack.pro/demo/element/step-flow/) widget added
- [Featured Box](https://elementpack.pro/demo/element/featured-box/) widget added
- [Everest forms](https://elementpack.pro/demo/element/everest-form/) widget added
- Skin alite added in post grid widget
- Skin climax added in fancy card widget
- Tags added in Post Grid Widget ( Thanks to Adi Heutschi )
- Tooltip editor option added in Marker Widget
- Dynamic Style and Header section added in Business Hours Widget
- Envelope Skin divider size, color option added in Hover Box Widget
- Animation speed option added in Slideshow, Device Slider, Post Slider, Testimonial Slider, WC Slider Widget
- Toggle alignment option added in Circle Menu Widget
- Title HTML Custom Tags added for Video and Thumbnail title in Video Gallery Widget
- Modal width Option added in User login, User Register Widget
- (%) On/Off and Maximum custom value option added in Advanced Progress Bar widget
- Image Mask option added in Member widget
- Weather widget round temperature option added
- Toggle widget now attach with any widget
- Thumb Gallery title link option added
- Typography option added in Progress Pie widget ( Thanks to Lingxi Kong )
- Quantity style and some spacing option added in Quick view modal Section
- Auto Schema Markup functionallity added in FAQ widget
- Item active option added in Hover Box widget ( Thanks to Sven Kox )
- Item active option added in Fancy Tab widget
- Border Radius option add for Abetis, Fedara in Custom Gallery widget ( Thanks to Christopher Kingston )

### Updated

- Hash location and offset control added in Tabs, Post Gallery, Portfolio Gallery, FAQ and Accordion widget
- Table now support dynamic option
- static rating option added for Google in social proof widget
- Slider widget now support template load feature
- HTML Title Tag added in callout, Circle Info, Device Slider, Fancy List, Fancy Slider, Fancy Tabs, Flip Box, Hover Box, Panel Slider, Post Card,
  Post Grid, Post Block Modern, Post List, Slider, Single Post, Timeline, Trailer Box, WC Product, WC Carousel, WC Slider Widgets
- Particle Z-Index option added for better order/visibility with content
- Entrance animation added in logo grid, custom gallery widget
- Mouse grab option added in custom carousel widget
- Thumbnail link option added in carousel widget
- Advanced Heading on/off option added
- Script Updated and some awesome option added in Image Compare Widget [Note: handle, click option removed]

### Fixed

- Icon nav offcanvas icon show issue fixed (Thanks to Guillem Ros Macia)
- Anywhere Elementor and Elementor Template cache issue fixed
- RTL issue field in Video Gallery Widget
- Minor (icon alignment) issue  fixed in Circle Menu Widget (Thanks to Federico Mocati)
- Marker Text size issue fixed in marker widget - (Thanks to Maximilian Ciemienga)
- Icon horizontal, vertical offset issue fixed in Advanced Icon Box Widget
- Skin Hazel, Vast read-more button icon issue fixed in Post Slider Widget
- Labels not showing issue fixed on User Register, User Login widget (Thanks to Graham Bird)
- Navigation arrows Not showing issue fixed in Logo Carousel Widget (Thanks to A M Aliq)
- Button Icon/Text color issue fixed in Portfolio Gallery, Portfolio Carousel Widget
- Template caching issue fixed for all template selectable widgets
- Dynamic tag issue fixed for some widgets
- Offcanvas widget menu not selection issue fixed
- svg width issue fixed in Advanced Divider Widget (Thanks Abdoul Ouedraogo)
- Icon Position issue fixed in Table of content Widget (Thanks Abdoul Ouedraogo)
- Color issue fixed in Quick view modal section (Thanks Joshua)
- Links open in a new tab issue fixed in Fancy Tab widget (Thanks Stephan Breideneich)
- Sold out not showing issue fixed on WC Carousel, Slider and Product widgets (Thanks to VHSMatt)


## 4.7.1 [10th April 2020]

### Added

- Some awesome options added in marker widget
- Item Match height option added in hover box widget (Thanks to Omar Ali)

### Fixed

- Fahrenheit Unit (&#176;F) fixed in weather widget (Thanks to Geeky Tek)
- Skin Fable issue fixed in Events Calendar Carousel Widget
- Minor issue with Safari Browser of Circle Info widget fixed (Thanks to Mimmie Helgesson)

## 4.7.0 [9th April 2020]

### Added

- Twitter Grid Widget Added
- Envelope Skin added in Hover Box Widget
- Carousel, Thumb Gallery External link option added
- Quick View modal style control added in wc product widget
- Grid Entrance Animation added in Custom Gallery, Logo Grid, Post Gallery, Portfolio Gallery, WC-Products widget

### Fixed

- Add to cart deactived issue fixed in WC Slider
- Tabs widget fixed Sticky mode and Hash location problem
- Accordion, FAQ, Post Gallery, Portfolio Gallery, WooCommerce widget fixed Hash location problem
- Widget doesn't Spin to the last item issue fixed in Circle Info widget (Thanks to Pero Vidovic)
 -Toggle Element Initially Opened Setting issue fixed in Toggle widget (Thanks to Africam Team)
- Mouse activity issue fixed in Particles (Thanks to Juan Rojas)


### Updated

- Carousel, Custom Carousel, Portfolio Carousel, Events Calendar Carousel, Twitter Carousel, Testimonial Carousel, Tutor LMS Course Carousel, WC Carousel, Fancy Slider, Twitter Slider Navigation Updated
- Accordion, FAQ, Post Gallery, Portfolio Gallery, Tabs, WooCommerce widget added Hash Location ON/OFF option and also added Hash History


## 4.6.1 [12th March 2020]

### Added

- Quick View added in WC Carousel Widget
- Some Control option added in Fancy Icons Widget

### Fixed

- Whatsapp issue fixed in HelpDesk Widget
- Post block date format issue fixed (Thanks to Corey Lee)
- Image Magnifire widget magnification responsive issue fixed
- QRCode widget javascript and dynamic issue fixed
- 3rd party plugin admin javascript conflict issue fixed
- Element Pack Dashboard URL fixed and added submenu for better navigation
- Undefine slug or name PHP issue fixed for category function
- Advanced Button dynamic issue fixed
- Advanced Image Gallery icon issue fixed
- Fancy Icons widget icon hover color issue fixed
- Ninja Form widget icon issue fixed
- Mini Cart not showing on checkout page issue fixed

### Updated

- UIKit framework updated
- WooCommerce widget Filter Control updated and also added Hash Location Property
- Accordion widget updated and also added Title and ID both as an Hash Location Property with Scrollspy
- Tabs widget updated and also added Title and ID both as an Hash Location Property with Scrollspy
- FAQ widget updated and also added Title as an Hash Location Property with Scrollspy on Filter Bar
- Portfolio widget Filter Control updated and also added Hash Location Property
- Post Gallery widget Filter Control updated and also added Hash Location Property
- Advanced Icon Box Divider now added animation option + added some new divider style
- Social Proof widget now able to add static ratings option
- Toggle widget completely re-coded for the fix

### Removed

- Minimum Height, Center Slide, show Dotnav option removed in Fancy Slider Widget

## 4.6.0 [18th February 2020]

### Added

- [Advanced Divider](https://elementpack.pro/demo/element/advanced-divider/) Widget Added
- [Advanced Counter](https://elementpack.pro/demo/element/advanced-counter/) Widget Added
- [Fancy Icons](https://elementpack.pro/demo/fancy-icon/) Widget Added
- [Time Zone](https://elementpack.pro/demo/element/timezone/) Widget Added
- [Social Proof](https://elementpack.pro/demo/element/social-proof/) Widget Added
- Fancy Slider Widget Added
- Svg icon color added in Advanced Icon Box Widget
- External link option added in Tabs widget
- Submit Button option added in Search widget
- Quick View added in WC Product Widget

### Fixed

- Some issue fixed in Hover Box Widget
- Icon error issue fixed in Thumb Gallery skin Custom Widget
- Some issue fixed in Post Gallery Widget
- Thumb image error issue fixed in WC Product Widget
- Some issue fixed in Faq Widget

### Updated

- Some awesome features added in Advanced Progress Bar

## 4.5.0 [25th January 2020]

### Added

- [Google Reviews](https://elementpack.pro/demo/element/google-reviews/) Widget Added
- [Hover Box](https://elementpack.pro/demo/element/hover-box/) Widget Added
- [Fancy Tabs](https://elementpack.pro/demo/element/fancy-tabs/) Widget Added
- [weForm](https://elementpack.pro/demo/element/weform/) Widget Added
- [Source Code](https://elementpack.pro/demo/element/source-code/) Widget added
- [Events Calendar List](https://elementpack.pro/demo/element/event-list/) widget added
- [Reading Progress](https://elementpack.pro/demo/element/reading-progress/) Widget Added
- Title HTML Tag option added in Post Block Widget
- Fancy Animation option added in Lightbox Widget

### Fixed

- Read More Button Color issue fixed in Fancy Card Widget
- Icon Active Color issue fixed in Circle Info Widget
- User Login ajax error issue fixed

## 4.4.0 [17th January 2020]

### Added

- [Advanced progress bar](https://elementpack.pro/demo/element/advanced-progress-bar/) widget added
- [Fancy card](https://elementpack.pro/demo/element/fancy-card/) widget added
- [Changelog](https://elementpack.pro/demo/element/changelog/) widget added
- [Circle Info](https://elementpack.pro/demo/element/circle-info/) widget added
- [Logo grid](https://elementpack.pro/demo/element/logo-grid/) widget added
- [Logo carousel](https://elementpack.pro/demo/element/logo-carousel/) widget added
- [Portfolio carousel](https://elementpack.pro/demo/element/portfolio-carousel/) widget added
- [Portfolio list](https://elementpack.pro/demo/element/portfolio-list/) widget added
- Member widget band skin added
- Scroll image widget image scroll direction option added
- Thumbnav scroll option added in slideshow widget
- Social login option added in user login widget
- Custom password field option added in user register widget
- Lottie image widget icon json file upload & custom json code option added
- Lottie icon box widget icon json file upload & custom json code option added
- Contact form 7 widget input & placeholder typography option added
- Invisible reCaptcha (v3.0) option added for user login and user register widget

### Fixed

- Business hour align issue fixed
- Faq widget icon color issue fixed
- Scroll image widget link icon issue fixed
- Portfolio gallery widget filter issue fixed
- Lottie icon box widget icon some issue fixed
- Image magnifier zoom image position & ratio issue fixed
- User login widget checkbox color issue fixed

### Updated

- Accordion widget icon selection inline option updated
- Scroll image widget icon select option updated

### Note

- Event calendar related widget you need to re-active because event calendar settings changed and added separated on/off options

## 4.3.0 [18th December 2019]

### Added

- [Lottie Icon Box](https://elementpack.pro/demo/element/lottie-icon-box/) Widget Added
- [Fancy List](https://elementpack.pro/demo/element/fancy-list/) Widget Added
- Carousel Widget skin Ramble Added

### Fixed

- Trailer box Widget some design issue fixed
- Dark Mode Widget Some issue fixed
- Advanced Icon Box Button Icon position & spacing issue fixed
- Contact form captcha issue fixed

## 4.2.0 [15th December 2019]

### Added

- [Dark Mode](https://elementpack.pro/demo/element/dark-mode/) Widget Added
- [Equal Height](https://elementpack.pro/demo/element/widget-equal-height/) Elementor Extended option added for section
- Member Widget Ekip skin added
- Events Calendar Grid Widget Acara skin added
- Advanced Image Gallery Widget Lightbox Icon Option Added
- Profile Card Widget Follow Button Link Added
- Advanced Icon Box Widget Icon Inline Option Added
- Sub Title option added in Advanced icon box widget
- Trailer box button position option added

### Fixed

- Admin on/off issue fixed for Profile card widget
- CSV library php 7.4 issue fixed
- Custom gallery ACF image loading issue fixed
- Scroll Image ACF image loading issue fixed


## 4.1.0 [28th November 2019]

### Added

- [Tutor LMS Course Grid](https://elementpack.pro/demo/element/tutor-lms-course-grid/) Widget added
- [Tutor LMS Course Carousel](https://elementpack.pro/demo/element/tutor-lms-course-carousel/) Widget added
- [Lottie Image](https://elementpack.pro/demo/element/lottie-image/) Widget added
- [Svg Image](https://elementpack.pro/demo/element/svg-image/) Widget added
- Globally SVG Image upload support added
- Sweep on mobile on/off option added in tabs widget
- rating schema added in testimonial carousel
- typography option added for toggle widget
- padding option added for twitter slider widget
- Custom attributes option added in gravity form (Thanks to Lev)

### Fixed

- Category style fixed for Portfolio Gallery widget
- Content text size option added for Toggle widget
- Tooltip dynamic issue fixed
- Javascript related issue fixed for UIKit framework library
- RTL issue fixed for element pack dashboard
- Category caching issue fixed for some post related widget
- Lightbox transition issue fixed for hidden gallery
- Post excerpt issue fixed for events Calendar carousel and grid
- meta style added for portfolio widget
- Gravity form widgets issue fixed


## 4.0.1 [6th November 2019]

### Added

- Switcher widget badge option added
- Custom attributes Added for Advanced Button, Call Out, Dual Button, Download Monitor, price Table  Widgets

### Fixed

- Details text escape issue fixed for Custom Gallery widget
- Category style fixed for Portfolio Gallery widget
- Style issue fixed for Add to Cart WooCommerce widget


## 4.0.0 [2nd November 2019]

### Added

- Template Library added ( 10+ Ready pages + 10+ ready blocks added in library for test, 800+ are coming soon on next update)
- [Portfolio Gallery](https://elementpack.pro/demo/element/portfolio-gallery/) widget added
- [Profile Card](https://elementpack.pro/demo/element/profile-card/) widget added
- [Mini Cart WooCommerce](https://elementpack.pro/demo/element/woocommerce-mini-cart/) widget added
- Event calendar skin added
- Parallax effects now completely rebuild and added lot's of awesome effects
- Safari, chrome, Firefox, edge, mobile frame added for device slider and scroll image widget

### Updated

- Completely redesigned the dashboard with more user friendly look and feel
- All widgets script + css fully optimized and now load when that widget enable and have in that page.
- Content alignment option added
- Image ratio + read more button added for events Calendar carousel skin
- typography option added for mailchimp widget
- Alignment option added for post card widget
- Shadow height option back again in toggle widget
- WooCommerce Product widget redesigned for better look and user experience
- masonry option added for wc product widget
- Button alignment option added in carousel widget
- UiKit framework updated to latest version
- Video Gallery title background option added

### Fixed

- Device slider autoplay issue fixed for youtube video
- Advanced icon box separator issue fixed
- Image issue fixed for Carousel skin alice
- Description html issue fixed for custom gallery widget
- subtitle color issue fixed for tabs widget
- API issue fixed for Weather widget + changed the API from apixu to weatherstack

### Removed

- Forecast and details weather option removed from weather widget due to API provider limitation. We will add more provider soon.

### Note

- Parallax widgets completely re-coded so old parallax maybe not work properly and you need to set your control value again for better performance. We are sorry for this issue but i hope you will enjoy more smooth experience now and many options gives you more control about parallax for any elementor widget.


## 3.2.9 [27th September 2019]

### Fixed

- Category selection not working issue fixed in WC Product widget
- Pagination issue fixed for WC Product widget
- Member widget tooltip issue fixed

### Updated

- Height control % changed to vh method for better usability in Panel Slider widget


## 3.2.8 [25th September 2019]

### Added

- New skin (Annal) added in Events Calendar Grid widget
- Icon box widget on hover color option added
- Events Calendar carousel show/hide option added for each meta
- Switcher widget now support in-page section link by ID
- Hover color control added in Accordion + Tabs widget (Thanks to Fafarafiel Fin)

### Updated

- All widget now more secure and properly escape from user input

### Fixed

- Scroll Navigation duplicate id issue fixed (Thanks to Martin Svocak)
- Advanced Heading editor sub heading spacing issue fixed
- WC widgets control default value issue fixed


## 3.2.7 [07th September 2019]

### Added

- On click bg and on press ESC close option added in Offcanvas widget (Thanks to Julian Welek)
- Iframe widget now support ID in custom attributes

### Fixed

- Sticky section child sticky issue fixed for some edge cases (Thanks to Gerard Bravo)
- User login profile icon missing issue fixed
- Advanced image gallery lightbox icon missing issue fixed (Thanks to Pierre Hansen)

### Updated

- UIKit framework updated to latest version 3.2
- Properly Sanitizing and Escaping some widgets for security purpose


## 3.2.6 [05th September 2019]

### Added

- User login dropdown and modal skin text responsive show/hide option added
- Advanced image gallery icon option added in hidden gallery (Thanks to Simon Andrews)
- Toggle widget initially open option added (Thanks to Simon Andrews)

### Fixed

- User login and register widget text now more device friendly (Thanks to Jon Monkey)
- Plugin details not showing issue fixed


## 3.2.5 [04th September 2019]

### Added

- Callout widget icon style option added
- Carousel widget icon missing style added
- All template based widget direct edit link option added.
- Table widget responsive option added
- Social share added Flipboard and WeChat. switch StumbleUpon to Mix. deleted GooglePlus.
- Offset option added in Post slider, Post card, Post block,
- LIghtbox video max height option added for video resize.

### Updated

- Chart Script updated
- Social share script updated
- Events Calendar Grid and Carousel query totally updated
- Woocommerce Product, Carousel, Slider Query now more reliable

### Fixed

- All widgets font awesome 5 issue fixed
- License deactivation issue fixed
- Custom gallery default video missing issue fixed
- Timeline show icon issue fixed
- Table of content index button click issue fixed
- Section sticky issue fixed

### Note

- Some icon maybe you need to manually select after this update or any page you need to re-save. Because we updated all icons to fontawesome 5. We are apologize about this issue because of elementor fontawesome 5 updated in > 2.6 so we updated them too.


## 3.2.4 [11th August 2019]

### Added

- Icon box widget separator option added
- Member widget social on/off option added
- Search widget ajax search option added
- Register widget additional text color option added

### Fixed

- Custom gallery lightbox issue fixed (Make sure you are using different images for items)
- WPML license activate issue fixed
- Settings page php 7.3 issue fixed
- Scroll image link dynamic issue fixed
- Fix Slideshow/Slider triggering show events to often initially

## 3.2.3 [31th July 2019]

### Added

- Instagram classic grid skin added

### Updated

- Element Pack settings now more readable

### Fixed

- Gallery Lightbox issue fixed
- News Ticker script issue fixed
- Custom Gallery new tab issue fixed for others skin
- Circle Menu css glitch fixed
- Iframe shortcode url issue fixed for lazyload option
- All carousel and slider navigation issue fixed
- Trailer box overlay radius issue fixed


## 3.2.2 [26th July 2019]

### Fixed

- Crypto currency widget error fixed

## 3.2.1 [26th july 2019]

### Fixed

- Version Update issue fixed

## 3.2.0 [25th July 2019]

### Added

- [Events Calendar Carousel](https://elementpack.pro/demo/element/event-carousel/) widget added
- [Events Calendar Grid](https://elementpack.pro/demo/element/event-grid/) widget added
- [Crypto Currency table](https://elementpack.pro/demo/element/crypto-currency-table/) widget added
- [Crypto Currency card](https://elementpack.pro/demo/element/crypto-currency-card/) widget added
- [Transform](https://elementpack.pro/demo/element/transform-example/) option added in motion effect section
- Woocommerce Carousel widget added new skin
- Viber and Skype link added HelpDesk widget
- Advanced Image Gallery Justified Gallery option added
- Chart widget squire size + aspect ratio option added for better responsive
- User login checkbox color option added
- Scroll Nav Dot size option added

### Updated

- Fontawesome 5 upgraded to Advanced Icon Box widget
- News Ticker script updated + optimize the style
- Ingstagram widget completely rebuild with access token so now you can show unlimited images

### Fixed

- Helpdesk Firefox hidden issue fixed
- Table widget control issue fixed
- Woocommerce product widget
- Carousel, Custom Carousel, Testimonial Carousel and Panel slider widget speed issue fixed
- Custom gallery direct link issue fixed
- Navbar widget dropdown issue fixed
- Testimonial slider widget thumbnail issue fixed
- Video gallery horizontal mode thumbnail fullwidth issue fixed


## 3.1.4 [4th July 2019]

### Fixed

- Navbar parent indicator issue fixed
- Custom gallery new tab issue fixed

## 3.1.3 [3rd July 2019]

### Fixed

- Settings not loading issue fixed
- Slider revolution widget issue fixed
- License activation issue fixed for some edge cases


## 3.1.2 [30th June 2019]

### Added

- Advanced Icon box icon more size option added
- Specific Search option added in search widget

### Fixed

- Post Gallery new tab open option added
- Mailchimp Newsletter script optimized
- User login remember me fixed
- Others minor issue fixed


## 3.1.1 [1st June 2019]

### Fixed

- Custom gallery skin issue fixed
- Testimonial slider skin issue fixed


## 3.1.0 [1st June 2019]

### Added

- WPML Support added now all widget fully compatible with WPML
- Header and Footer builder added (Required Rooten theme 2.0+)
- Testimonial meta position change option added (Thanks to Gary Smith)
- IconNav icon color option added
- Marker icon now select any fontawesome icon (Thanks to Vion Zow)
- New licensing system added
- Audio player shortcode support added
- Slideshow widget text now you can set width separately (Thanks to Blerim Gajtani)

### Updated

- Custom gallery direct link option updated
- Template selection option now back for all template based widget

### Fixed

- Static date format issue fixed
- Marker caption issue fixed
- ACF issue for Custom carousel + Advanced Image Gallery fixed (Thanks to Soporte Gekkota)
- Chart widget float (0.00) value issue fixed (Thanks to Florian Fendt)
- editor.css RTL issue fixed
- Tooltip offset and distance issue fixed (Thanks to Rhym Zow)
- FAQ multi category filter issue fixed
- Now editor load more faster with all widgets + huge code re-factor + optimized
- advanced button style i issue fixed
- Carousel & Custom carousel widget tablet responsive issue fixed
- Custom gallery new tab issue fixed
- Some post widget static date issue fixed
- Default category not showing in overly in post gallery (Thanks to Blerim Gajtani)


## 3.0.11 [17th April 2019]

### Added

- [Table of content regular layout added](https://elementpack.pro/demo/table-of-content-layout-regular/)
- User login logged in custom text and custom register link option added

### Fixed

- Tabs mobile mode fullwidth not working for justify align
- Tabs showing wrong control for bottom layout
- Table of content header missing in offcanvas layout
- Price list link pointer not showing
- WPForm pro version issue fixed
- Overall post query performance improved


## 3.0.10 [5th April 2019]

### Added

- Custom gallery now support thumbnail direct link
- Advanced heading split space option added (Thanks to Alexandre Maciel)
- Advanced image gallery lightbox transition option added
- Post gallery lightbox transition option added
- Table of content index header option added

### Updated

- Improve widget javascript
- Update support & doc link
- Switcher control now more user friendly

### Fixed

- Testimonial match height now set by default but you can change it from option
- Device slider dynamic content show issue fixed
- Toggle dynamic content show issue fixed
- Helpdesk style conflict issue fixed (Thanks to Alex Shram)
- Price list text area custom link issue fixed (Thanks to Yan Thiaudiere)
- Cookie consent Expiry Date issue fixed
- Carousel arrow responsive issue fixed
- Custom gallery condition issue fixed
- Device slider dynamic issue fixed (Thanks to Cengiz Karaman)
- HelpDesk tooltip issue fixed
- Price Table ribbon condition issue fixed
- Protected content login form issue fixed
- Tabs responsive issue fixed and full width nav option added for mobile (Thanks to Mohammad Rafi)
- Thumb gallery content condition issue fixed
- Twitter slider item background option added (because of fade transition)


## 3.0.9 [10th March 2019]

### Added

- Tabs now you can set sticky nav mode
- Price table heading tag change option added
- Section sticky issue fixed for inner section

### Updated

- Section Sticky and Schedule content controls move to advanced tab

### Fixed

- Testimonial carousel, slider and grid excerpt issue fixed, now you can show formated text (You need to update the testimonials plugin too for get this feature)
- Open Street map on scroll map zoom issue fixed


## 3.0.8 [06th March 2019]

### Fixed

- Animated Heading php error issue fixed

## 3.0.7 [06th March 2019]

### Added

- Offcanvas custom link option added
- Testimonial Carousel match height option added
- Marker tooltip added more placement option

### Fixed

- Elementor 2.5.0 compatibility issue fixed
- Animated Heading loading issue
- Weather API error issue fixed
- Tooltip script updated and fixed some minor issue
- Fix some widgets alter tag issue

### Removed

- element pack theme define removed for some speedup issue


## 3.0.6 [03rd March 2019]

### Added

- Weather Condition name option added
- Accordion and tabs widget hash location auto show option added
- Audio player loop option added (Thanks to Todd)
- Advanced Image Gallery Tilt scale option added

### Fixed

- Advanced image gallery hidden gallery text and style issue fixed (Thanks to Darryl)
- Advanced image gallery always overlay issue fixed
- Woocommerce Carousel image alter name fixed (Thanks to vperesyp)
- Image Compare border radius issue fixed (Thanks to Christian Holzner)
- Woocommerce Product Table script optimized
- Advanced icon box onclick event not working
- Scroll Button flickering issue fixed
- Tabs and accordion shortcode render issue fixed
- Admin settings name issue fixed
- Advanced heading rotate issue fixed
- Thumb gallery post reset issue fixed


## 3.0.5 [16th February 2019]

### Added

- Post slider skin vast and hazel now you can set post limit

### Updated

- 3rd Party widgets settings more understandable

### Fixed

- Dual Button onclick event issue fixed
- System info object bug issue fixed (Thanks to Xseam, huberu, creatifworks)
- Instagram widget CORS issue fixed
- Some widgets icon missing issue fixed
- Booked calendar widget on/off issue fixed
- Particle JS not defined some edge cases
- Iframe widget auto height not defined some edge cases
- Weather widget today layout icon not showing
- Fixed some performance issue


## 3.0.4 [13th February 2019]

### Fixed

- Panel slider spacing issue fixed (Thanks to Tommy Keller)
- Audio player Title typography issue fixed
- Audio player button issue fixed
- svg include error issue fixed


## 3.0.3 [12th February 2019]

### Added

- All widgets icons re-designed now more understandable for user

### Fixed

- Weather icon missing and some condition issue fixed (Thanks to Nathalie)
- Testimonial post loop issue fixed (Thanks to Alex Shram)
- Audio player skin and icon align issue fixed (Thanks to Ameel MD)
- Advanced Icon box readmore button condition issue fixed
- Post Grid paddle skin php error issue fixed (Thanks to Theuns Coetzee)


## 3.0.2 [1st February 2019]

### Added

- Iframe auto height option added

### Updated

- Weather widget completely re-coded with new weather API
- Elementor/AE Template selector changed with text input (because it's slowdown all over element pack, we will add new search based template select option in new major update)
- UIKit updated to 3.0.3

### Fixed

- Post Slider text color fixed
- Open Street Map Empty Marker fixed
- Offcanvas widget do wrong behavior
- Icon Nav Offcanvas menu wrong behavior issue fixed
- Update checker php 7.3 issue fixed
- Minor style issue fixed for some widgets
- Memory limit issue optimized


## 3.0.1 [15th January 2019]

### Updated

- Elementor 2.4.0 compatibility tested
- UIKit Updated to 3.0.2
- Table of Content Button Hover Option Added
- Simple Contact Form Contact Number Added
- Post Block Featured Image Style Added
- Mailchimp Before Icon Added
- Dropbar Button Offset Added
- Price Table Margin, Shadow Added
- Panel Slider Script Optimize
- Table Script Optimize
- WC Carousel Script Optimize
- Post Slider Skin Hazel Right Part Color
- Login Widget Edit Profile Link Turn On/Off Added
- Particles javascript optimize for better loading
- Slideshow, WC Slider, Testimonial slider, Device slider, new ticker, post slider and thumb gallery widget more smooth touch behavior

### Fixed

- Post Slider Skin Vast Image Cover Fix
- Offcanvas Close Button Dynamic
- Timeline Olivier Skin Responsive Fix
- Instagram Ovelay-Gap, Overlay Icon Size, Follow Me, Image CSS Filter Added
- Chart Type Doughnut Fixed
- Audio Player Player Volume Line Height Fixed
- Video Player Player Volume Line Height Fixed
- Timeline Animation Fixed

### Note

- Rooten theme update issue fixed, if you using this theme please update it.


## 3.0.0 [7th January 2019]

### Note

- If you want to upgrade version 2.x to 3.0 so you must keep a backup your website if you used modal widget because modal completely changed. If you upgrade it to version 3.0 your modal will be disappear and you should re-make it again. But if you can recover it by following this doc: https://bdthemes.com/support/knowledge/details/38/

### Added
- [Open Street Map](https://bdthemes.net/demo/wordpress/element-pack/element/open-street-map/) Widget added
- [Video Gallery](https://bdthemes.net/demo/wordpress/element-pack/element/video-gallery/) widget added
- [Help Desk](https://bdthemes.net/demo/wordpress/element-pack/element/help-desk/) widget added
- [Charts](https://bdthemes.net/demo/wordpress/element-pack/element/charts/) widget added
- [360 Degree Product Viewer](https://bdthemes.net/demo/wordpress/element-pack/element/360-product-viewer/) widget added
- [WooCommerce Slider](https://bdthemes.net/demo/wordpress/element-pack/element/woocommerce-slider/) widget added
- [Table of content](https://bdthemes.net/demo/wordpress/element-pack/table-of-content-test-post/) fully re-coded
- Modal widget completely re-coded and custom link option added
- Timeline widget compeletely re-coded added new skin
- Added some future prove stability for existing widgets [No more break like audio player, modal etc]

### Updated

- Image Magnifier widget script optimized
- Instagram widget script optimized
- Search widget default icon color option added
- Tabs widget automatic ID added in title
- Cookie consent widget script update + new push down option added for top position
- Custom carousel script optimized
- Carousel render option added for hidden elements (for example tabs/accordion etc)
- Toggle widget textarea change to Editor
- Profile link added for twitter avatar in twitter carousel + slider widget
- Cookie consent widget script update + new pushdown option added
- Device Slider widget title link added
- Testimonial slider and carousel script optimized
- Twitter slider and carousel script optimized

### Fixed

- Audio player minor style issue fixed
- All Carousel mobile arrow issue fixed
- Lightbox widget dynamic issue fixed
- Post slider height issue fixed
- Testimonial slider responsive issue fixed and image resize option added
- Advanced Heading Gradient and image issue fixed for Firefox/EDGE
- Post gallery excerpt issue fixed
- Weather widget script issue fixed


### Removed

- Weather widget yahoo provider removed [because yahoo shutdown his weather api]

### Language

- All language string added in pot file


## 2.6.5 [09 December 2018]

### Added

- Advanced Icon Box Onclick Javascript event option added

### Fixed

- Post list margin issue fixed for astra theme
- Scroll image background cover issue fixed for image framing
- Carousel transition duration issue fixed
- Dual button separated radius issue fixed
- Call out center layout overflow issue fixed

### Updated

- Responsive option added for content spacing in FAQ widget
- Carousel arrow and dots position now can control responsive
- All grid filter update with more customization option
- Advanced Image gallery always show caption now more optimized


## 2.6.4 [07 December 2018]

### Added

- Properly Checked and add support for WordPress 5.0
- Advanced Image Gallery always caption show option added
- Simple Contact form optional contact email option added in settings
- Device slider kenburn option added
- Dual button separated radius option added
- Global tooltip edit option added in page setting
- Price Table tooltip option added for feature list
- Scroll Image frame option added
- Custom Content skin added in custom carousel widget


### Updated

- Advanced Heading text shadow option added for main heading
- Carousel and Slider widget script loading optimized
- FAQ bottom space & space between responsive added
- Marker bg now can add gradient color and image
- Post list thumbnail styles added
- Scroll Nav tooltip updated
- In Search widget toogle icon size + icon change option added
- Tab widget Contact spacing and Tab spacing now control in responsive
- Testimonial Slider/Carousel default thumbnail added
- Slideshow and Thumb Gallery reverse kenburn option added
- Woo Product Grid filter option added


### Fixed

- Advanced Icon Box read more show hide issue fixed
- Carousel default image issue fixed
- Simple Contact form Reply-to issue fixed
- Contact Form 7 Space between issue fixed
- Flipbox and Price List Elementor 2.3.4 compatiblity issue fixed
- Ninja form color and bg issue fixed
- Post block margin issue fixed
- Post grid limit issue fixed
- Post grid tab title color, margin and typography fixed
- Post slider high resolution image align and Kenburn issue fixed
- Register widget php error fixed
- Image Magnifier image select option fixed

### Language

- Main po language file updated


## 2.6.3 [16 November 2018]

### Added

- Post Grid widget reverse skin added
- Simple Contact Form widget reCAPTCHA option added
- Single post excerpt option added
- Now you can select/deselect all widget in element pack settings
- Slider and Post Slider widget kenburn effect added
- News ticker widget height control and date option added
- Lightbox widget lightbox style option added in page settings
- Iframe widget sandbox and scrollbar option added
- Sticky Section active shadow option added
- Tiny layout added in weather widget
- Scroll nav content offset option added

### Fixed

- Post gallery tags filter not filtered correctly
- Post excerpt format all universal way
- Carousel item gap option fixed
- Mailchimp input width issue fixed
- Widget tooltip id issue fixed
- User register dropdown skin and event countdown skin php 7.1 error fixed
- Thumb gallery, post list, post slider, post grid, post card, post block modern, post gallery, carousel etc image placeholder fixed
- Item gap problem fixed for carousel skin alice
- Fix wrong alert for api key in advanced google map widget
- Audio and Video player dynamic URL issue fixed
- Fixed User register conflict with default registration
- Timeline custom skin icon issue fixed
- Some widgets script improved for jQuery load in footer

### Updated

- Post card query changed, now you can select any post type
- Mailchimp widget input field fullwidth problem fixed
- Main Heading now you can split and add separated style in advanced heading

### Changed

- Audio player URL structrue changed, now you can select hosted audio easily
- Custom Carousel lighbox style moved to page settings for globally style all lightbox
- Protected content widget completely re-code for more flexible usage
- Iframe widget controls re-arranged for better user experience


### Removed

- Progress pie delay and steps control removed

### Language

- Edit profile language string missing fixed
- Main po language file updated

### Note

- You need to select your audio source again because of some core changes (We are sorry for this issue)
- Protected content widget page maybe you need to re save (We are sorry for this issue)


## 2.6.2 [28 October 2018]

### Fixed

- Element Pack Site Minified Javascript issue fixed
- Fix height of Masonry Grid
- Fix Sticky hiding with Offcanvas in overlay mode
- Fix Parallax in combination with Offcanvas in overlay mode
- Post gallery category color not changing issue fixed


## 2.6.1 [28 October 2018]

### Added

- Advanced icon box advanced radius option added
- Post block featured item height option added
- Icon link on hover option added in Scroll Image
- Single post widget excerpt option added
- Trailer box text spacing option added

### Fixed

- Register widget conflict with some theme
- Business hour widget width issue fixed
- Circle menu jQuery loading issue fixed
- Custom gallery height issue fixed
- Icon nav script updated for speed up workflow
- Post gallery category style fixed
- Protected content message option issue fixed
- QRcode widget jQuery loading issue fixed
- WC Product exclude option multiple product issue fixed
- New widgets on/off issue fixed in settings page

### Updated

- Elementor extended options added [EP] tag for better understand
- Marker tooltip control more organize
- Panel slider slide image align updated

### Removed

- Iframe has wrong control that removed

### Language

- Language file updated
- Element Pack name now intake with english name


## 2.6.0 [22 October 2018]

### Added

- [Protected Content](https://elementpack.pro/demo/element/protected-content/) Widget Added
- [Advanced Icon Box](https://elementpack.pro/demo/element/advanced-icon-box/) Widget Added
- [Iframe](https://elementpack.pro/demo/element/iframe/) Widget added
- [Advanced Image Gallery](https://elementpack.pro/demo/element/advanced-image-gallery/) Carousel skin added
- [Post Grid](https://elementpack.pro/demo/element/post-grid/) Widget Harold skin added
- Icon nav widget icon bottom text option added
- Panel Slider global item link option added
- Scroll Image Widget badge option added
- WC Product skin exclude product option added
- Dom functions support selectors
- Advanced Google map api key warning added
- Pause on hover option added in carousel, [wc carousel](https://elementpack.pro/demo/element/woocommerce-products/), testimonial carousel, custom carousel, slider, twitter carousel widget
- Dual button separated box shadow option added
- Image compare widget few new option added
- User Login dropdown skin width option added

### Updated

- Marker tooltip position now can set individually
- Post block now you can select any post type
- Table of content button now set anywhere + can re-position for table and mobile device
- Panel slider height issue updated + image size option added

### Fixed

- Thumb gallery custom skin button style issue fixed
- Testimonial Slider Single skin arrow issue fixed
- Progress pie duplicate issue fixed
- Instagram loading issue fixed when jQuery loaded in footer
- control name conflict issue fixed for some edge cases
- Dual button editor template issue fixed
- Simple contact form submit button align issue fixed
- Custom gallery lightbox next issue fixed
- Parallax section wrong opacity value issue fixed
- Image compare widget editor load, duplicate issue fixed
- Image Magnifier widget editor load, duplicate issue fixed
- Instagram widget editor load, duplicate issue fixed
- Preserve color not working if class is set on internally used svg icons
- Close color being overwritten from toolbar in Lightbox component
- Modal not hiding upon being destroyed
- Using node as offset in position mixin
- Using Height Match component on elements with different offsetParents
- Rounding error in Height Match component
- Sticky placeholder height on resize
- Starting/stopping of autoplay in Lightbox
- Initially wrong position of background image in Parallax component
- Calling `isActive` on `undefined` in Navbar component
- Fix `isInView` function for elements with zero width and height
- Support Expired license invalid issue fixed

### Changed

- Advanced image gallery layout changed to skin
- Viewport Height component no longer sets a `height` except for IE
- Viewport Height component no longer forces `box-sizing: border-box`
- Improve Tooltip performance
- Improve Parallax performance
- Improve Sticky performance
- Rename `selModal` to `selContainer` and `selPanel` to `selContent` in Overflow Auto component

### Removed

- Remove `::-moz-selection` which is not needed anymore
- Remove component `init` hook
- Remove component `ready` hook


### Language

- Main language file updated
- Some missing language string translated properly


## 2.5.5 [30 September 2018]

### Added

- Testimonial Single Skin added
- Panel Slider Middle Skin added
- User login widget logged in user details + custom menu option added
- WooCommerce Carousel category selection and align option added
- Tabs widget subtitle option added
- Post grid pagination option added
- Search widget icon size option added

### Updated

- WooCommerce Product table huge improvement done
- Custom carousel more improved and responsive break point now work from elementor settings and lightbox color option now fixed
- Carousel, Wc Carousel, Twitter Carousel, Panel Slider and Testimonials Carousel responsive break point now work from elementor settings
- Progress pie now animate when it is come in viewport
- Table of content now responsive friendly
- Timeline widget now more animated
- Weather widget now select open weather map or yahoo weather data

### Fixed

- Particles js loading issue fixed
- FAQ excerpt issue fixed
- Gravity form error message, radio and checkbox style fixed
- Advanced heading default origin set to top-left
- Post gallery pagination style now more improved
- Post Grid tab widget loading issue fixed
- Slider autoplay and loop issue fixed
- Table widget search, pagination etc style issue fixed

### Note

- If you use custom carousel, thumb gallery, weather, WC product (table or default skin)  widgets in your any page so please go to that page and re-save the page, because those widget some settings changed



## 2.5.4 [11 September 2018]

### Added

- [Widget Tooltip](https://elementpack.pro/demo/element/widget-tooltip/) options added for all widget
- Carousel skin alice added and vertical layout moved to skin vertical
- WooCommerce product table category and tag option added
- WooCommerce product table thumbnail lightbox option added
- Panel slider skew option added
- FAQ widget excerpt limit and readmore button added

### Updated

- All widget code improved and more reliable
- IconNav widget tooltip updated with more option
- Marker tooltip updated with more features
- Add more margin between accordion title and icon
- Ribbon now rotate, set x offset and padding

### Fixed

- Registration notification email issue fixed
- Timeline icon size bug fixed for custom skin
- Fix form placeholder color in Edge
- Fix accordion icon position if title is wrapping into the next line
- Fix Slider incorrectly showing navigation
- Fix element queuing in Scrollspy component
- Fix parallax translating to subpixels
- Fix SVGs not preserving their aspect ratio in IE11
- Fix lazy loading images in Edge

### Removed

- Remove fix for uppercase SVGs attributes in Edge on Windows 10 older than build 16251



## 2.5.3 [21 August 2018]

### Added

- [Testimonial Slider](https://elementpack.pro/demo/element/testimonial-slider/) widget added Thumb skin
- [Post Gallery](https://elementpack.pro/demo/element/post-gallery/) widget added Trosia skin
- [Post Grid](https://elementpack.pro/demo/element/post-grid/) widget added Trosia skin
- Carousel Center slide option added

### Updated

- UIKit framework updated to latest version

### Fixed

- Custom carousel autoplay bug fixed
- Countdown safari bug fixed
- Device slider youtube video loop issue fixed
- Post Gallery and Advanced Image Gallery masonry bottom gap bug fixed
- Hidden gallery lightbox bug fixed
- Post Galery Fedara and Abetis skin lightbox bug fixed


## 2.5.2 [4th August 2018]

### Added

- [Image Magnify](https://elementpack.pro/demo/element/image-magnifier/) widget added
- WooCommerce table skin added in [wc product](https://elementpack.pro/demo/element/woocommerce-products/) widget
- Advanced Button attention animation option added
- Call out button attention animation added
- Scroll Button fixed position option added
- Trailer box zoom effect option added
- Testimonial Carousel category option added
- Post grid thumbnail size added
- Post card thumbnail size added
- Post block modern thumbnail size added
- Slideshow thumbnav opacity added

### Updated

- Simple contact form now name and email can half width
- Post gallery tilt effect now more realistic
- WooCommerce Product widget completely re-write with more options and fixed loading issue
- Custom Gallery now you can select video, youtube, vimeo, google map, website as lightbox link

### Fixed

- WC Carousel badge style bug fixed
- Register dropdown and modal button wrong text fixed
- Custom Gallery lightbox bug fixed
- User register icon spacing bug fixed
- Testimonials slider quotation icon now set typography
- Carousel vertical layout padding bug and item hover bg issue fixed
- Advanced image gallery now support dynamic post gallery


## 2.5.1 [23 July 2018]

### Updated

- Member widget alternative image option added

### Fixed

- User register php 7.2 issue fixed
- Navbar widget WPML Language menu issue fixed


## 2.5.0 [22 July 2018]

### Added

- [User Registration](https://elementpack.pro/demo/element/user-register/) Widget added
- [Twitter Slider](https://elementpack.pro/demo/element/twitter-slider/) widget added
- [WooCommerce Product Carousel](https://elementpack.pro/demo/element/woocommerce-carousel/) Widget added
- [Simple Contact Form](https://elementpack.pro/demo/element/simple-contact-form/) Widget added
- Advanced Heading gradient and main heading style added
- Scroll nav style option added
- Scroll Image widget external link option added
- Post Gallery excerpt and pagination option added
- Trailer box tilt and zoom option added

### Updated

- Post, Twitter, Custom Instagram, Testimonials Carousel shadow option added
- Gradient, Image, Main Heading Style added in Advanced Heading
- Autoplay fix in all Carousel and Slider
- Shadow style improve in all type of carousel widget
- Scroll to bottom option added in Slider and Slideshow Widget

### Changed

- Image Gallery, Scroll Image, Marker widget default lightbox changed

### Fixed

- Testimonial Slider, Carousel and Grid thumbnail show/hide issue fixed
- Testimonial rating align issue fixed when thumb off
- Carousel Vertical layout responsive issue fixed


## 2.4.1 [4th July 2018]


### Added

- [Testimonials grid](https://elementpack.pro/demo/element/testimonial-grid/) widget added

### Fixed

- Base typography broken issue fixed


## 2.4.0 [4th July 2018]

### Added

- [Post Grid Tab](https://elementpack.pro/demo/element/post-grid-tab/) Widget added
- [Dual Button](https://elementpack.pro/demo/element/dual-button/) widget added
- [Instagram](https://elementpack.pro/demo/element/instagram/) Widget added
- [Table of Content](https://bdthemes.net/demo/wordpress/element-pack/table-of-content-test-post/) Widget added
- [Add to Cart](https://elementpack.pro/demo/element/woocommerce-add-to-cart/) Woocommerce single button widget added
- Elementor 2.1 compatibility added

### Updated

- Table press responsive option added
- Advanced button 3 new effect added
- Post Grid style updated
- UIKit framework updated to latest version

### Fixed

- Comment disqus and facebook script now load async
- Version wrong number fixed
- Device slider style issue fixed
- Tabs title html escape removed
- Testimonial Carousel + Slider arrow and mobile style issue fixed
- Gravity Form show/hide title and ajax load switch fixed


## 2.3.0 [15 June 2018]

### Added

- [Post list](https://elementpack.pro/demo/element/post-list/) widget added
- [Post Grid Carmie Skin](https://elementpack.pro/demo/element/post-grid/) added

### Updated

- Gravity form title and description show/hide option added
- Advanced Image Gallery Thumbnail option added for hidden gallery
- Advanced Image Gallery now added standalone lightbox
- Active padding option added in elementor section sticky
- Post Grid now support Custom Post Type
- Post Gallery now added standalone lightbox
- Thumb Gallery button typography added
- Post slider pagination typography added
- Circle menu icon size issue fixed
- Advanced Image Gallery, Animated Heading, Audio Player, Video Player, Circle Menu, Cookie Consent, Device slider, Flip Box, Icon Nav, Image Compare, Lightbox, 	Member, Price List, Progress Pie, QRCode, Scroll Image, Switcher Add some dynamic field.

###	Fixed

- Lightbox google map source fixed
- event calender countdown widget php 7 error fixed

## 2.2.0 [6 June 2018]

### Added

- [Easy Digital Download Download View](https://elementpack.pro/demo/element/easy-digital-downloads/) Widget Added
- [Easy Digital Download Download History](https://elementpack.pro/demo/element/easy-digital-downloads-history/) WIdget Added
- [Easy Digital Download Purchase History](https://elementpack.pro/demo/element/easy-digital-downloads-purchase-history/) WIdget Added
- [Easy Digital Download Profile](https://elementpack.pro/demo/element/easy-download-portfolio-editor/) Widget Added
- [BuddyPress Member](https://elementpack.pro/demo/element/buddypress-member/) Widget added
- [BuddyPress Friends](https://elementpack.pro/demo/element/buddypress-friends/) Widget added
- [BuddyPress Group](https://elementpack.pro/demo/element/buddypress-group/) Widget added
- [Business Hour](https://elementpack.pro/demo/element/business-hours/) Widget added
- [TablePress](https://elementpack.pro/demo/element/business-hours/) Widget added
- [Lightbox](https://elementpack.pro/demo/element/lightbox/) Widget added
- [Single Post](https://elementpack.pro/demo/element/single-post/) Widget added
- [Cookie Consent](https://elementpack.pro/demo/element/cookie-consent/) Widget added
- [Pricing Table Button integrate The Easy Digital Download](https://elementpack.pro/demo/element/pricing-table/)

### Updated

- UIKit Framework updated to latest version

## 2.1.0 [21 May 2018]

### Added

- [Twitter Carousel Widget added](https://elementpack.pro/demo/element/testimonial-carousel/)
- [Circle Menu Widget added](https://elementpack.pro/demo/element/circle-menu/)
- [Scroll Image Widget added](https://elementpack.pro/demo/element/scroll-image/)

### Updated

- Slideshow widget arrows and dots and thumbnav now position 7 places
- Testimonial Carousel arrows and dots now position 7 places
- Testimonial Slider arrows and dots now position 7 places
- UIKit updated to latest version
- Section Sticky active background color added
- Post gallery Grid, Filter, Masonry and Gap Settings re-coded for better usablity + optimized code and script.
- Advanced Heading Offset and Rotate option now work on tablet and mobile
- Offcanvas vw width added instead of % width

### Fixed

- Carousel thumb resize was not working
- License key error some edge cases
- Post gallery icon missing fixed
- Post slider button hover color bug fixed
- Post block skin was missing


## 2.0.4

### Updated

- Modal splash screen & exit popup bug for some edge cases

### Fixed

- Custom carousel widget arrows and dots now position 7 places


## 2.0.3 [11th May 2018]

### Fixed

- Advanced Image gallery height bug for some edge cases
- Custom gallery height bug for some edge cases


## 2.0.2

### Updated

- Modal content typography added

### Fixed

- Modal custom content shortcode not executed properly
- Advanced Heading not showing bug fixed


## 2.0.1 [9th May 2018]

### Added

- [Carousel widget arrows and dots now position 7 places](https://elementpack.pro/demo/element/carousel/)

### Updated

- Offcanvas % width added
- Timeline Left, Right align option added

### Fixed

- wpDataTables css issue fixed
- Switcher widget AE Template and Elementor Template mismatch fixed.


## 2.0.0 [6th May 2018]

### Added

- [Audio Player](https://elementpack.pro/demo/element/audio-player/) Widget added
- [Video Player](https://elementpack.pro/demo/element/video-player/) Widget added
- [Weather](https://elementpack.pro/demo/element/weather/) Widget added
- [Table](https://elementpack.pro/demo/element/table/) Widget added
- [FAQ](https://elementpack.pro/demo/element/faq/) Widget added
- [Pricing table 7 Layout + Partait Skin added](https://elementpack.pro/demo/element/pricing-table/)
- [Member Widget Partait Skin Added](https://elementpack.pro/demo/element/member/)
- Dynamic option added which widget possible to apply (This features available who are using elementor pro version)
- All widget now added EP badge for find out easily

### Updated

- Modal widget splash screen + exit popup options added and all control reorganized.
- Offcanvas responsive width control added
- Editor now added EP badge and hover blue color for all widget to identify easily
- Carousel Vertical layout added

### Fixed

- Gravity Form style issue fixed in edit mode
- Offcanvas and Icon Nav offcanvas style conflict fixed
- Parallax script loading fixed when parallax not used
- Updater class php 7 error fixed
- Advanced heading php error fixed
- User login dropdown skin widget php error fixed
- Animated heading widget php error fixed
- Parallax background widget php error fixed



## 1.12.0 [19th April 2018]

### Added

- [Icon Navigation](https://elementpack.pro/demo/element/icon-nav/) Widget added
- [Gravity Form](https://elementpack.pro/demo/element/gravity-forms/) Widget Added
- [Ninja Form](https://elementpack.pro/demo/element/ninja-forms/) Widget added
- [Caldera Form](https://elementpack.pro/demo/element/caldera-form/) Widget added
- [Parallax Option added in section](https://elementpack.pro/demo/element/parallax-section/)
- [Comment](https://elementpack.pro/demo/element/comment/) Widget added

### Updated

- Woocommerce category more refined
- Advanced Button editing now super fast
- Accordion Anywhere Elementor and Elementor Template source selection added
- Tabs Anywhere Elementor and Elementor Template source selection added
- Dropbar Anywhere Elementor and Elementor Template source selection added
- Member social icon bg color + padding option added
- UIKit framework updated to latest version

### Fixed

- Marker zoom and tooltip issue fixed and animation radius now work with radius
- Core code more optimized
- Slider RTL issue fixed

### Language

- Polish [PL] Language added


## 1.11.0 [06 April 2018]

### Added

- [Advanced Button](https://elementpack.pro/demo/element/advanced-button/) Widget added
- [Post Grid](https://elementpack.pro/demo/element/post-grid/) Widget added
- [Toggle](https://elementpack.pro/demo/element/toggle/) Widget added
- [Switcher](https://elementpack.pro/demo/element/switcher/) Widget added
- [QuForm](https://elementpack.pro/demo/element/quform/) Widget added
- Licensing system added [Please use your purchase key to get update automatically

### Updated

- Woocommerce Category column gap option added
- Offcanvas now select elementor template and anywhere elementor template alternative of sidebar.

### Removed

- Woocommerce Category margin removed

### Fixed

- Navbar php 7 warning fixed
- Advanced Image Gallery Hidden layout animation fixed
- Modal fullscreen height fixed, fullscreen flickr issue fixed and default background color added
- Custom carousel icon issue fixed, video icons now works properly, coverflow animation fixed
- Social share icon editor issue fixed
- Google map missing api key issue fixed
- Advanced image gallery button animation fixed
- Post Slider and Vast Skin excerpt show issue fixed
- Some widget css style improved
- Booked Calendar member only option fixed

### Language

- Language Updated and [CZ, ID, MY, NL, BR, ZH] languages added


## 1.10.0 [27 March 2018]

### Added

- [Search](https://elementpack.pro/demo/element/search/) Widget added
- [Device Slider](https://elementpack.pro/demo/element/device-slider/) Widget added
- [Booked Calendar](https://elementpack.pro/demo/element/booked-calendar/) Widget added
- [Layer Slider](https://elementpack.pro/demo/element/layer-slider/) Widget added
- [bbPress](https://elementpack.pro/demo/element/bbpress/) Widget added
- [Download Monitor](https://elementpack.pro/demo/element/download-monitor/) Widget added
- [Post Slider Vast Skin added](https://elementpack.pro/demo/element/post-slider/)
- [Custom Timeline Skin Added](https://elementpack.pro/demo/element/timeline/)
- [Animated Heading Typed Layout added](https://elementpack.pro/demo/element/animated-heading/)
- [Testimonials Carousel Vyxo Skin Added](https://elementpack.pro/demo/element/testimonial-carousel/)

### Updated

- Slideshow thumb nav option added
- Navbar and Offcanvas menu offset option added for matching column gap
- Advanced Image Gallery, Post Gallery and Custom Gallery Widget tilt effect added
- HOT and NEW badge added by css class in Navbar widget
- Advanced image gallery widget icon now can resize

### Fixed

- Revolution slider alias issue fixed
- Thumb Gallery mobile size fullscreen issue fixed
- Post gallery filter bug fixed

### Language

- Language file added [DE, ES, FR, HE, IT, JP, RU, HK]
- Language file updated.


## 1.9.0 [17 March 2018]

### Added

- [Advanced Image Gallery](https://elementpack.pro/demo/element/advanced-image-gallery/) Widget added
- [Navbar](https://elementpack.pro/demo/element/navbar/) Widget added
- [Accordion](https://elementpack.pro/demo/element/accordion/) Widget added
- [Tabs](https://elementpack.pro/demo/element/tabs/) Widget added
- [Timeline](https://elementpack.pro/demo/element/timeline/) Widget added
- [WP Forms](https://elementpack.pro/demo/element/wp-forms/) Widget added
- [Section Sticky Options added](https://bdthemes.net/demo/wordpress/element-pack/sticky-section/)
- [Thumb Gallery Widget Custom Content Skin added + Content Transition option added](https://elementpack.pro/demo/element/thumb-gallery/)

### Updated

- Carousel Thumbnail linked
- Countdown Widget now align 2 way
- QR Code Widget now set own page url automatically and can align properly
- Custom Gallery Masonry option added

### Fixed

- Post Gallery Widget masonry fixed
- Event Calendar Countdown Skin alignment issue fixed
- Flipbox Widget button size issue fixed
- 3rd Party Widget ON/OFF options fixed
- Many small bug fixed + css style improved

### Language

- Language file updated.


## 1.8.0 [05 March 2018]

### Added

- [Advanced Google Map Widget added](https://elementpack.pro/demo/element/advanced-google-map/)
- [QR Code Widget added](https://elementpack.pro/demo/element/qr-code/)
- [Flip Box Widget added](https://elementpack.pro/demo/element/flip-box/)
- [Post Gallery Fedara, Abetis Skin added](https://elementpack.pro/demo/element/post-gallery/)
- [Custom Gallery Fedara, Abetis Skin added](https://elementpack.pro/demo/element/custom-gallery/)
- [Event Calendar Post Countdown added in Countdown Widget](https://elementpack.pro/demo/element/event-calendar-countdown/)
- [Offcanvas Button align + size option added](https://elementpack.pro/demo/element/offcanvas/)
- [Member Widget Calm Skin added](https://elementpack.pro/demo/element/member/)
- [Dropbar Widget align + size option added](https://elementpack.pro/demo/element/dropbar/)
- Widget ON/OFF option added in settings sage
- 3rd Party Widget ON/OFF option added in setting page
- Elementor Extended option ON/OFF added in setting page

### Changed

- Carousel Widget now more flexible for color change

### Fixed

- All CSS re-factor and removed some unnecessary css, separated rarely used css. [old was 490KB now 233KB]
- Drop first load dropbar show fixed
- Many more css and javascript optimized
- Testimonials Slider Rating color fixed
- Modal widget full widget mode content style now accessible


## 1.7.0 [21 February 2018]

### Added

- [User Login Widget added with 3 skin [Normal + Dropdown + Modal]](https://elementpack.pro/demo/element/user-login/)
- [Modal widget button align, size, Content overflow scroll option added and improve the edit speed.](https://elementpack.pro/demo/element/modal/)
- [Member widget Phaedra skin added](https://elementpack.pro/demo/element/member/)
- [Testimonial Carousel widget twyla skin added](https://elementpack.pro/demo/element/testimonial-carousel/)

### Updated

- UIKit framework updated to latest version + UIKit icons added.
- Marker widget now more interactive
- Modal button now can align properly
- Custom Gallery Lightbox icon re-arrange for better ux

### Language

- Language file updated


## 1.6.0 [14 February 2018]

### Added

- [Advanced Heading](https://elementpack.pro/demo/element/advanced-heading/) widget added
- [News Ticker](https://elementpack.pro/demo/element/news-ticker/) widget added
- Plugin Auto Updater function added
- Scheduled Section option added in section option
- New Business Page added
- 2 Agency Homepage added
- Watch Shop Homepage added

### Updated

- Scroll nav widget responsive improved
- Slideshow Widget title now support html tag
- Slider Widget title now support html tag

### Fixed

- Box shadow option fix for call out widget
- Custom Gallery Mobile size overlap bug fixed
- Slider widget button hover color fixed
- Post slider language translation issue fixed


## 1.5.1 [06 February 2018]

### Added

- Business plan, Online Course, Event Management Demo Content added

### Fixed
- Single Widget save issue fixed

### Removed
- Remove some unnecessary code and files


## 1.5.0 [06 February 2018]

### Added

- [Custom Gallery](https://elementpack.pro/demo/element/custom-gallery/) widget added
- [Dropbar](https://elementpack.pro/demo/element/dropbar/) widget added
- [Thumb Gallery](https://elementpack.pro/demo/element/thumb-gallery/) widget added
- [Scroll Nav](https://elementpack.pro/demo/element/scrollnav/) widget added
- [Section Particles option added [element built-in section]](https://elementpack.pro/demo/element/section-particles/)
- [Element Parallax for all widget [even all built-in widget]](https://elementpack.pro/demo/element/element-parallax/)
- [Section Background Parallax [elementor built-in section]](https://elementpack.pro/demo/element/parallax-background/)

### Updated

- Update UIKit framework
- Fix some widget style issue

### Fixed

- Post Gallery fix some color issue
- Post block read more style issue fixed
- Pricing list vertical align issue fixed
- Slideshow read more button icon align issue fixed


## 1.4.0 [26 January 2018]

### Added

- [Post Gallery](https://elementpack.pro/demo/element/post-gallery/) Widget added
- [Animated Heading](https://elementpack.pro/demo/element/animated-heading/) Widget added
- [Post block added 2 Extra Skin](https://elementpack.pro/demo/element/post-block/)
- [Slideshow added fullscreen option](https://elementpack.pro/demo/element/slideshow/)

### Updated

- Many internal function improve for better performance

### Fixed
- Testimonial carousel widget fixed some styling issue
- Pricing list widget Pricing title + text gap fixed
- Woocommerce single product select option fixed
- Slideshow widget fixed some styling issue
- Testimonial slider widget fixed some styling issue

### Removed

- Woocommerce Custom product select option removed (we will add another custom product select widget)


## 1.3.0 [17 January 2018]

### Added

- [Custom Carousel](https://elementpack.pro/demo/element/custom-carousel/) Widget added
- [Post Block](https://elementpack.pro/demo/element/post-block/) Widget added
- [Post Slider](https://elementpack.pro/demo/element/post-slider/) Widget added

### Updated

- Minor Improve Call out Widget
- Multiple instance color and style issue fixed for Modal
- Multiple instance color and style issue fixed for Offcanvas
- Minor Improve Slideshow widget
- UIKit framework updated

## 1.2.0 [12th January 2018]

### Added

- [SlideShow](https://elementpack.pro/demo/element/slideshow/) Widget added
- [Offcanvas](https://elementpack.pro/demo/element/offcanvas/) Widget added
- [Social Share](https://elementpack.pro/demo/element/social-share/) Widget added
- [Scroll Button](https://elementpack.pro/demo/element/scroll-button/) Widget added

### Updated

- Minor Improve Progress Pie
- Minor Improve Slider
- Minor Improve Trailer box
- Minor Improve Image Compare

### Language

- Update Language File

## 1.1.0 [5th January 2018]


### Added

- [CountDown](https://elementpack.pro/demo/element/countdown/) Widget added
- [Carousel](https://elementpack.pro/demo/element/carousel/) Widget added
- [Member](https://elementpack.pro/demo/element/member/) Widget added
- [Marker](https://elementpack.pro/demo/element/marker/) Widget added

### Updated

- Minor improvement in Post Card
- Minor improvement in Testimonials Carousel
- Minor improvement in Post Block Modern
- Minor improvement in Slider

## 1.0.0
- Initial Release## 5.4.2 [Word In Progree]

### Added

- Button ID option added in advanced button widget
- Image Size option added in Fancy Card Widget

### Fixed

- Link target issue fixed in Fancy Icons Widget (Thanks Shray Kumar)
- Checkbox style issue fixed in Formidable Forms Widget

## 5.4.1 [24th September 2020]

### Added

- Static skin and Leading Column style option added in Table Widget
- Redirect on custom URL after logout option added in User Login Widget (Thanks David Stauble)

### Fixed

- Text background issue fixed in Slider Widget(Thanks Amos Klein)
- Item Border Radius & Link Icon Size issue fixed in Portfolio Gallery & Portfolio Carousel Widgets
- Placeholder Language change issue fixed in Simple Contact Form Widget (Thnaks Radu Irhasiu)
- CSV file URL issue fixed and added some control option in Table Widget

## 5.4.0 [18th September 2020]

### Added

- [Tags Cloud](https://elementpack.pro/demo/element/tag-cloud/) Widget Added
- [Notification](https://elementpack.pro/demo/element/notification/) Widget Added
- [Formidable Forms](https://elementpack.pro/demo/formidable-forms/) Widget Added

### Fixed

- Section delete problem in editor fixed
- Skin Hazel & Vast Text issue fixed in Post Slider Widget
- Honeycombs link disabled for editor (Thanks to Nathan Walker)
- ScrollSpy Time problem fixed in Tabs Widget (Thanks to Sage Techteam)

### Updated

- Navigation style controls format updated in every Carousel & Slider Type Widgets

## 5.3.2 [25th August 2020]

### Added

- Thumb Title HTML Tag option added in Post Slider Widget (Thanks Marco Barbera)
- Icon position option added in Toggle Widget (Thanks Thomas Breher)
- Link option on Icon added in Circle Info Widget (Thanks Juanita Samborski)
- Legend, xAxes, yAxes Color Options added in Chart Widget

### Fixed

- Live Paste issue fixed for WP 5.5
- Title style issue fixed in Timeline Widget (Thanks Susi Carreira)
- Conflict with Elementor Pro Lottie Widget (Thanks Chris Parrish)
- Minor issue solved in Reading Progress Widget (Thanks Mohamed Bakry)
- Border Radius issue Fixed in Image Accordion Widget (Thanks Jason Lynch)
- Navigation icon issue fixed in Timeline Widget
- Closed label option fixed in Business Hours Widget (Thanks Henley Tan)
- Font size of price issue fixed in WC-Product Widget (Thanks Kornchai)
- Tooltip editor style issue fixed in Iconnav Widget
- Content Height issue fixed in Fancy Tabs Widget

## 5.3.1 [31st July 2020]

### Fixed

- Element Pack tested for upcoming Elementor 3.0.0 and fixed all issues.
- Pause on Hover issue fixed in Advanced Image Gallery Widget (Thanks Radu Irhasiu)
- Layout broken on Firefox Browser fixed in Honeycombs Widget (Thanks Ingo Falk)

## 5.3.0 [26th July 2020]

### Added

- Visibility Control added for all widgets and sections
- Elementor Template Widget added in Appearance > widgets for show any pre-made template in sidebar
- Skin Tiny Countdown Added in CountDown Widget
- Icon Area Custom Width Option added in Fancy Tabs Widget
- Sub Label show/hide option added in Gravity Forms Widget

### Fixed

- Hover animation issue fixed in Scroll Button Widget
- Play-list padding and Description Typography issue fixed in Video Gallery Widget
- Border issue fixed in Logo Grid Widget
- List left side spacing issue fixed in Price List Widget
- Min Height issue fixed in Scroll Image Widget
- Item spacing issue fixed in Table of content Widget
- Input spacing, width, button width issue fixed in Gravity Forms Widget
- Animation issue fixed in Advanced Progress Bar Widget (Thanks Abdoul Ouedraogo)

## 5.2.0 [17th July 2020]

### Added

- [Hover Video](https://elementpack.pro/demo/element/hover-video/) Widget Added
- [Image Accordion](https://elementpack.pro/demo/element/image-accordion/) Widget Added
- [Image Expand](https://elementpack.pro/demo/element/image-expand/) Widget Added
- User Name show/hide option added in User Login Widget
- Fancy Animation added in Scroll Button Widget
- Arrows animation added in Step Flow Widget
- Slide Per column option added in Testimonial Carousel Widget
- Pagination Option Added in Testimonial Grid Widget
- Header Text Color option added in Table Of Content Widget
- Close Button some control option added in Modal Widget
- Currency position & format option added in Price Table Widget

### Fixed

- Avatar showing issue fixed in User Login Widget(Thanks Kornchai Dilokchareamkun)
- Post Grid skin alite & Harold Text limit issue fixed(Thanks Adi Heutschi)
- Title and button icon spacing issue fixed in Post Grid Tab Widget
- Pagination offset issue fixed
- Meta color issue fixed in Post Slider Widget
- Icon position & spacing issue fixed in Modal Widget
- Minor issue solved in Animated Heading Widget
- Label & Placeholder default not showing issue fixed in Simple Contact Form Widget
- Button svg icon default color issue fixed in Slider, SlideShow Widget
- Svg icon default color issue fixed in Toggle Widget
- Wc Add To Cart Not showing issue fixed in Add to cart Widget(Thanks Gerson Ruano)
- Icon Horizontal/vartical Offset issue fixed in Advanced Counter Widget
- Dropdown background color issue fixed in Table of Content Widgets
- Instagram API issue fixed you need to use new Access token system for get work it

### Updated

- Description control option updated in Advanced Icon Box Widget

### Removed

- Content Position default option removed in Slider, SlideShow widget

### Noted

- Instagram widget comment and like count feature remove due to new API don't support like and comment count features.

## 5.1.1 [29th June 2020]

### Added

- Hover Box Skin Flexure Added
- Text shadow option added in Interactive Card and Featured box Widget
- Meta Divider Color option added in Carousel Widget
- Svg Icon color change option added in Flip Box Widget
- Hover Image effect added in Hover Box Widget

### Fixed

- link Icon size issue field in Custom Gallery Widget
- Category style issue fixed in Post Gallery Widget
- Coupon & update button style issue fixed in WC Element Cart Page
- Portfolio Janes Skin editor style fixed
- Thumbnav color issue fixed in Thumb Gallery widget
- Icon position responsive issue fixed in Lottie Icon Box Widget (Thanks Abdoul Ouedraogo)
- Checkout Page Order Table style issue Fixed in WC Element Widget
- Order Tracking Form Button Style issue fixed in WC Element Widget
- Some color style issue fixed in Post Grid Widget
- Title link style issue fixed in Fancy Slider Widget
- Default style issue fixed in Fancy Card Widget
- Skin Olivier issue fixed in Timeline Widget (Thanks artemy leontyev, Jorge Morillas)
- Zoom Control style issue fixed in Open State Map Widget
- Navigation arrows responsive not showing issue fixed in Logo Carousel Widget

## 5.1.0 [18th June 2020]

### Added

- [Interactive Card](https://elementpack.pro/demo/element/interactive-card/) Widget Added
- Skin Split added in featured box Widget
- Skin Erect added in Price Table Widget
- Skin Janes added in Portfolio Gallery Widget
- Skin Janes added in Portfolio Carousel Widget
- Scrollspy on/off option added in Accordion widget (Thanks to Brendan Flanagan)
- Dynamic Bullets navigation and coverflow Effect and Scrollbar option added in carousel, custom carousel, Fancy Slider, Portfolio Carousel, slider, Testimonial Carousel, Twitter Carousel, Twitter Slider, WC Carousel Widget
- Prefix and Suffix added in Chart widget (Thanks to Omar Ali)
- Image hover effect option added in Hover Box Widget
- Meta Multiline option added in Testimonial Grid, Carousel, Slider Widgets
- Content, Dropdown menu show/hide option, logout text change option added in User Login Widget (Thanks to David Stauble)
- Anchor Link on/off option added in Events Calendar List, grid, carousel Widgets
- Spotlite Mode option added in Advanced Image Gallery
- Product Table Header show/hide, order, pagination show/hide, custom pagination option added in WC-Products widget (Thanks to Sameer Duwal)
- Custom input fields added for "PREV" and "NEXT" text in Post Slider widget Hazel skin - (Thanks to Thomas Breher)
- Add to Cart and Quick View button hide on mobile option added in WC Product Widget
- Css Filter added in Advanced google map Widget
- Item Match Height option added in WC Product & WC Carousel Widgets

### Updated

- WC Product skin table some script change and updated
- Some script change & change in Table Widget

### Fixed

- Custom Link style issue fixed in offcanvas widget
- Transform rotate responsive issue fixed in Transform Effect Extention (Thanks to Stefan Zahnd)
- UTC timezone fixed on dynamic style of Business hours widget (Thanks to Mariano Cucinotta)
- Match Height issue fixed in Testimonial Carousel Widget
- Dots Navigation Center Offset issue fixed in carousel, custom carousel, Fancy Slider, Portfolio Carousel, slider, Testimonial Carousel, Twitter Carousel, Twitter Slider, WC Carousel Widget
- Content Background issue fixed in Circle Info widget (Thanks to Adie D)
- Div overflow issue fixed in Help Desk widget (Thanks to Abdoul Ouedraogo)
- Navigation icons issue fixed in Events Calendar Carousel Widget (Thanks to Peter Sheppard)
- Welcome massage option issue fixed in User Login
- Placeholder not showing issue fixed in User register Widget
- Indicator & badge rotate issue fixed in Advanced Icon Box (Thanks to David Stauble)
- Mapbox imperceptible & Zoom icon issues fixed in Open Street Map Widget (Thanks to Sascha Tiebel & Shreyashi Kundu)
- Offset issue fixed in Advanced Icon Box & Lottie Icon Box Widgets

## 5.0.1 [22th May 2020]

### Added

- Toggle Custom Icon option added in Circle Menu
- 24 hours functionality added in Business Hours Widget (Thanks to Mariano Cucinotta)
- Now you can set Switcher A or B Active from control (Thanks to Sarwar Hasan)

### Updated

- Item Background Image option position Changed

### Fixed

- Image Compare issue fixed
- Divider issue fixed in Advanced Counter Widget
- Background Image position issue fixed in Hover Box Widget
- Checked icon not showing issue fixed in Everest Forms Widget
- Minor issue fixed in Business Hours Widget

## 5.0.0 [19th May 2020]

### Added

- Live copy option added you can directly copy and paste blocks from our demo pages
- Template library added in dashboard now you can easily import any of our template
- [Honeycombs](https://elementpack.pro/demo/element/honeycombs/) widget added
- [Step flow](https://elementpack.pro/demo/element/step-flow/) widget added
- [Featured Box](https://elementpack.pro/demo/element/featured-box/) widget added
- [Everest forms](https://elementpack.pro/demo/element/everest-form/) widget added
- Skin alite added in post grid widget
- Skin climax added in fancy card widget
- Tags added in Post Grid Widget ( Thanks to Adi Heutschi )
- Tooltip editor option added in Marker Widget
- Dynamic Style and Header section added in Business Hours Widget
- Envelope Skin divider size, color option added in Hover Box Widget
- Animation speed option added in Slideshow, Device Slider, Post Slider, Testimonial Slider, WC Slider Widget
- Toggle alignment option added in Circle Menu Widget
- Title HTML Custom Tags added for Video and Thumbnail title in Video Gallery Widget
- Modal width Option added in User login, User Register Widget
- (%) On/Off and Maximum custom value option added in Advanced Progress Bar widget
- Image Mask option added in Member widget
- Weather widget round temperature option added
- Toggle widget now attach with any widget
- Thumb Gallery title link option added
- Typography option added in Progress Pie widget ( Thanks to Lingxi Kong )
- Quantity style and some spacing option added in Quick view modal Section
- Auto Schema Markup functionallity added in FAQ widget
- Item active option added in Hover Box widget ( Thanks to Sven Kox )
- Item active option added in Fancy Tab widget
- Border Radius option add for Abetis, Fedara in Custom Gallery widget ( Thanks to Christopher Kingston )

### Updated

- Hash location and offset control added in Tabs, Post Gallery, Portfolio Gallery, FAQ and Accordion widget
- Table now support dynamic option
- static rating option added for Google in social proof widget
- Slider widget now support template load feature
- HTML Title Tag added in callout, Circle Info, Device Slider, Fancy List, Fancy Slider, Fancy Tabs, Flip Box, Hover Box, Panel Slider, Post Card,
  Post Grid, Post Block Modern, Post List, Slider, Single Post, Timeline, Trailer Box, WC Product, WC Carousel, WC Slider Widgets
- Particle Z-Index option added for better order/visibility with content
- Entrance animation added in logo grid, custom gallery widget
- Mouse grab option added in custom carousel widget
- Thumbnail link option added in carousel widget
- Advanced Heading on/off option added
- Script Updated and some awesome option added in Image Compare Widget [Note: handle, click option removed]

### Fixed

- Icon nav offcanvas icon show issue fixed (Thanks to Guillem Ros Macia)
- Anywhere Elementor and Elementor Template cache issue fixed
- RTL issue field in Video Gallery Widget
- Minor (icon alignment) issue  fixed in Circle Menu Widget (Thanks to Federico Mocati)
- Marker Text size issue fixed in marker widget - (Thanks to Maximilian Ciemienga)
- Icon horizontal, vertical offset issue fixed in Advanced Icon Box Widget
- Skin Hazel, Vast read-more button icon issue fixed in Post Slider Widget
- Labels not showing issue fixed on User Register, User Login widget (Thanks to Graham Bird)
- Navigation arrows Not showing issue fixed in Logo Carousel Widget (Thanks to A M Aliq)
- Button Icon/Text color issue fixed in Portfolio Gallery, Portfolio Carousel Widget
- Template caching issue fixed for all template selectable widgets
- Dynamic tag issue fixed for some widgets
- Offcanvas widget menu not selection issue fixed
- svg width issue fixed in Advanced Divider Widget (Thanks Abdoul Ouedraogo)
- Icon Position issue fixed in Table of content Widget (Thanks Abdoul Ouedraogo)
- Color issue fixed in Quick view modal section (Thanks Joshua)
- Links open in a new tab issue fixed in Fancy Tab widget (Thanks Stephan Breideneich)
- Sold out not showing issue fixed on WC Carousel, Slider and Product widgets (Thanks to VHSMatt)


## 4.7.1 [10th April 2020]

### Added

- Some awesome options added in marker widget
- Item Match height option added in hover box widget (Thanks to Omar Ali)

### Fixed

- Fahrenheit Unit (&#176;F) fixed in weather widget (Thanks to Geeky Tek)
- Skin Fable issue fixed in Events Calendar Carousel Widget
- Minor issue with Safari Browser of Circle Info widget fixed (Thanks to Mimmie Helgesson)

## 4.7.0 [9th April 2020]

### Added

- Twitter Grid Widget Added
- Envelope Skin added in Hover Box Widget
- Carousel, Thumb Gallery External link option added
- Quick View modal style control added in wc product widget
- Grid Entrance Animation added in Custom Gallery, Logo Grid, Post Gallery, Portfolio Gallery, WC-Products widget

### Fixed

- Add to cart deactived issue fixed in WC Slider
- Tabs widget fixed Sticky mode and Hash location problem
- Accordion, FAQ, Post Gallery, Portfolio Gallery, WooCommerce widget fixed Hash location problem
- Widget doesn't Spin to the last item issue fixed in Circle Info widget (Thanks to Pero Vidovic)
 -Toggle Element Initially Opened Setting issue fixed in Toggle widget (Thanks to Africam Team)
- Mouse activity issue fixed in Particles (Thanks to Juan Rojas)


### Updated

- Carousel, Custom Carousel, Portfolio Carousel, Events Calendar Carousel, Twitter Carousel, Testimonial Carousel, Tutor LMS Course Carousel, WC Carousel, Fancy Slider, Twitter Slider Navigation Updated
- Accordion, FAQ, Post Gallery, Portfolio Gallery, Tabs, WooCommerce widget added Hash Location ON/OFF option and also added Hash History


## 4.6.1 [12th March 2020]

### Added

- Quick View added in WC Carousel Widget
- Some Control option added in Fancy Icons Widget

### Fixed

- Whatsapp issue fixed in HelpDesk Widget
- Post block date format issue fixed (Thanks to Corey Lee)
- Image Magnifire widget magnification responsive issue fixed
- QRCode widget javascript and dynamic issue fixed
- 3rd party plugin admin javascript conflict issue fixed
- Element Pack Dashboard URL fixed and added submenu for better navigation
- Undefine slug or name PHP issue fixed for category function
- Advanced Button dynamic issue fixed
- Advanced Image Gallery icon issue fixed
- Fancy Icons widget icon hover color issue fixed
- Ninja Form widget icon issue fixed
- Mini Cart not showing on checkout page issue fixed

### Updated

- UIKit framework updated
- WooCommerce widget Filter Control updated and also added Hash Location Property
- Accordion widget updated and also added Title and ID both as an Hash Location Property with Scrollspy
- Tabs widget updated and also added Title and ID both as an Hash Location Property with Scrollspy
- FAQ widget updated and also added Title as an Hash Location Property with Scrollspy on Filter Bar
- Portfolio widget Filter Control updated and also added Hash Location Property
- Post Gallery widget Filter Control updated and also added Hash Location Property
- Advanced Icon Box Divider now added animation option + added some new divider style
- Social Proof widget now able to add static ratings option
- Toggle widget completely re-coded for the fix

### Removed

- Minimum Height, Center Slide, show Dotnav option removed in Fancy Slider Widget

## 4.6.0 [18th February 2020]

### Added

- [Advanced Divider](https://elementpack.pro/demo/element/advanced-divider/) Widget Added
- [Advanced Counter](https://elementpack.pro/demo/element/advanced-counter/) Widget Added
- [Fancy Icons](https://elementpack.pro/demo/fancy-icon/) Widget Added
- [Time Zone](https://elementpack.pro/demo/element/timezone/) Widget Added
- [Social Proof](https://elementpack.pro/demo/element/social-proof/) Widget Added
- Fancy Slider Widget Added
- Svg icon color added in Advanced Icon Box Widget
- External link option added in Tabs widget
- Submit Button option added in Search widget
- Quick View added in WC Product Widget

### Fixed

- Some issue fixed in Hover Box Widget
- Icon error issue fixed in Thumb Gallery skin Custom Widget
- Some issue fixed in Post Gallery Widget
- Thumb image error issue fixed in WC Product Widget
- Some issue fixed in Faq Widget

### Updated

- Some awesome features added in Advanced Progress Bar

## 4.5.0 [25th January 2020]

### Added

- [Google Reviews](https://elementpack.pro/demo/element/google-reviews/) Widget Added
- [Hover Box](https://elementpack.pro/demo/element/hover-box/) Widget Added
- [Fancy Tabs](https://elementpack.pro/demo/element/fancy-tabs/) Widget Added
- [weForm](https://elementpack.pro/demo/element/weform/) Widget Added
- [Source Code](https://elementpack.pro/demo/element/source-code/) Widget added
- [Events Calendar List](https://elementpack.pro/demo/element/event-list/) widget added
- [Reading Progress](https://elementpack.pro/demo/element/reading-progress/) Widget Added
- Title HTML Tag option added in Post Block Widget
- Fancy Animation option added in Lightbox Widget

### Fixed

- Read More Button Color issue fixed in Fancy Card Widget
- Icon Active Color issue fixed in Circle Info Widget
- User Login ajax error issue fixed

## 4.4.0 [17th January 2020]

### Added

- [Advanced progress bar](https://elementpack.pro/demo/element/advanced-progress-bar/) widget added
- [Fancy card](https://elementpack.pro/demo/element/fancy-card/) widget added
- [Changelog](https://elementpack.pro/demo/element/changelog/) widget added
- [Circle Info](https://elementpack.pro/demo/element/circle-info/) widget added
- [Logo grid](https://elementpack.pro/demo/element/logo-grid/) widget added
- [Logo carousel](https://elementpack.pro/demo/element/logo-carousel/) widget added
- [Portfolio carousel](https://elementpack.pro/demo/element/portfolio-carousel/) widget added
- [Portfolio list](https://elementpack.pro/demo/element/portfolio-list/) widget added
- Member widget band skin added
- Scroll image widget image scroll direction option added
- Thumbnav scroll option added in slideshow widget
- Social login option added in user login widget
- Custom password field option added in user register widget
- Lottie image widget icon json file upload & custom json code option added
- Lottie icon box widget icon json file upload & custom json code option added
- Contact form 7 widget input & placeholder typography option added
- Invisible reCaptcha (v3.0) option added for user login and user register widget

### Fixed

- Business hour align issue fixed
- Faq widget icon color issue fixed
- Scroll image widget link icon issue fixed
- Portfolio gallery widget filter issue fixed
- Lottie icon box widget icon some issue fixed
- Image magnifier zoom image position & ratio issue fixed
- User login widget checkbox color issue fixed

### Updated

- Accordion widget icon selection inline option updated
- Scroll image widget icon select option updated

### Note

- Event calendar related widget you need to re-active because event calendar settings changed and added separated on/off options

## 4.3.0 [18th December 2019]

### Added

- [Lottie Icon Box](https://elementpack.pro/demo/element/lottie-icon-box/) Widget Added
- [Fancy List](https://elementpack.pro/demo/element/fancy-list/) Widget Added
- Carousel Widget skin Ramble Added

### Fixed

- Trailer box Widget some design issue fixed
- Dark Mode Widget Some issue fixed
- Advanced Icon Box Button Icon position & spacing issue fixed
- Contact form captcha issue fixed

## 4.2.0 [15th December 2019]

### Added

- [Dark Mode](https://elementpack.pro/demo/element/dark-mode/) Widget Added
- [Equal Height](https://elementpack.pro/demo/element/widget-equal-height/) Elementor Extended option added for section
- Member Widget Ekip skin added
- Events Calendar Grid Widget Acara skin added
- Advanced Image Gallery Widget Lightbox Icon Option Added
- Profile Card Widget Follow Button Link Added
- Advanced Icon Box Widget Icon Inline Option Added
- Sub Title option added in Advanced icon box widget
- Trailer box button position option added

### Fixed

- Admin on/off issue fixed for Profile card widget
- CSV library php 7.4 issue fixed
- Custom gallery ACF image loading issue fixed
- Scroll Image ACF image loading issue fixed


## 4.1.0 [28th November 2019]

### Added

- [Tutor LMS Course Grid](https://elementpack.pro/demo/element/tutor-lms-course-grid/) Widget added
- [Tutor LMS Course Carousel](https://elementpack.pro/demo/element/tutor-lms-course-carousel/) Widget added
- [Lottie Image](https://elementpack.pro/demo/element/lottie-image/) Widget added
- [Svg Image](https://elementpack.pro/demo/element/svg-image/) Widget added
- Globally SVG Image upload support added
- Sweep on mobile on/off option added in tabs widget
- rating schema added in testimonial carousel
- typography option added for toggle widget
- padding option added for twitter slider widget
- Custom attributes option added in gravity form (Thanks to Lev)

### Fixed

- Category style fixed for Portfolio Gallery widget
- Content text size option added for Toggle widget
- Tooltip dynamic issue fixed
- Javascript related issue fixed for UIKit framework library
- RTL issue fixed for element pack dashboard
- Category caching issue fixed for some post related widget
- Lightbox transition issue fixed for hidden gallery
- Post excerpt issue fixed for events Calendar carousel and grid
- meta style added for portfolio widget
- Gravity form widgets issue fixed


## 4.0.1 [6th November 2019]

### Added

- Switcher widget badge option added
- Custom attributes Added for Advanced Button, Call Out, Dual Button, Download Monitor, price Table  Widgets

### Fixed

- Details text escape issue fixed for Custom Gallery widget
- Category style fixed for Portfolio Gallery widget
- Style issue fixed for Add to Cart WooCommerce widget


## 4.0.0 [2nd November 2019]

### Added

- Template Library added ( 10+ Ready pages + 10+ ready blocks added in library for test, 800+ are coming soon on next update)
- [Portfolio Gallery](https://elementpack.pro/demo/element/portfolio-gallery/) widget added
- [Profile Card](https://elementpack.pro/demo/element/profile-card/) widget added
- [Mini Cart WooCommerce](https://elementpack.pro/demo/element/woocommerce-mini-cart/) widget added
- Event calendar skin added
- Parallax effects now completely rebuild and added lot's of awesome effects
- Safari, chrome, Firefox, edge, mobile frame added for device slider and scroll image widget

### Updated

- Completely redesigned the dashboard with more user friendly look and feel
- All widgets script + css fully optimized and now load when that widget enable and have in that page.
- Content alignment option added
- Image ratio + read more button added for events Calendar carousel skin
- typography option added for mailchimp widget
- Alignment option added for post card widget
- Shadow height option back again in toggle widget
- WooCommerce Product widget redesigned for better look and user experience
- masonry option added for wc product widget
- Button alignment option added in carousel widget
- UiKit framework updated to latest version
- Video Gallery title background option added

### Fixed

- Device slider autoplay issue fixed for youtube video
- Advanced icon box separator issue fixed
- Image issue fixed for Carousel skin alice
- Description html issue fixed for custom gallery widget
- subtitle color issue fixed for tabs widget
- API issue fixed for Weather widget + changed the API from apixu to weatherstack

### Removed

- Forecast and details weather option removed from weather widget due to API provider limitation. We will add more provider soon.

### Note

- Parallax widgets completely re-coded so old parallax maybe not work properly and you need to set your control value again for better performance. We are sorry for this issue but i hope you will enjoy more smooth experience now and many options gives you more control about parallax for any elementor widget.


## 3.2.9 [27th September 2019]

### Fixed

- Category selection not working issue fixed in WC Product widget
- Pagination issue fixed for WC Product widget
- Member widget tooltip issue fixed

### Updated

- Height control % changed to vh method for better usability in Panel Slider widget


## 3.2.8 [25th September 2019]

### Added

- New skin (Annal) added in Events Calendar Grid widget
- Icon box widget on hover color option added
- Events Calendar carousel show/hide option added for each meta
- Switcher widget now support in-page section link by ID
- Hover color control added in Accordion + Tabs widget (Thanks to Fafarafiel Fin)

### Updated

- All widget now more secure and properly escape from user input

### Fixed

- Scroll Navigation duplicate id issue fixed (Thanks to Martin Svocak)
- Advanced Heading editor sub heading spacing issue fixed
- WC widgets control default value issue fixed


## 3.2.7 [07th September 2019]

### Added

- On click bg and on press ESC close option added in Offcanvas widget (Thanks to Julian Welek)
- Iframe widget now support ID in custom attributes

### Fixed

- Sticky section child sticky issue fixed for some edge cases (Thanks to Gerard Bravo)
- User login profile icon missing issue fixed
- Advanced image gallery lightbox icon missing issue fixed (Thanks to Pierre Hansen)

### Updated

- UIKit framework updated to latest version 3.2
- Properly Sanitizing and Escaping some widgets for security purpose


## 3.2.6 [05th September 2019]

### Added

- User login dropdown and modal skin text responsive show/hide option added
- Advanced image gallery icon option added in hidden gallery (Thanks to Simon Andrews)
- Toggle widget initially open option added (Thanks to Simon Andrews)

### Fixed

- User login and register widget text now more device friendly (Thanks to Jon Monkey)
- Plugin details not showing issue fixed


## 3.2.5 [04th September 2019]

### Added

- Callout widget icon style option added
- Carousel widget icon missing style added
- All template based widget direct edit link option added.
- Table widget responsive option added
- Social share added Flipboard and WeChat. switch StumbleUpon to Mix. deleted GooglePlus.
- Offset option added in Post slider, Post card, Post block,
- LIghtbox video max height option added for video resize.

### Updated

- Chart Script updated
- Social share script updated
- Events Calendar Grid and Carousel query totally updated
- Woocommerce Product, Carousel, Slider Query now more reliable

### Fixed

- All widgets font awesome 5 issue fixed
- License deactivation issue fixed
- Custom gallery default video missing issue fixed
- Timeline show icon issue fixed
- Table of content index button click issue fixed
- Section sticky issue fixed

### Note

- Some icon maybe you need to manually select after this update or any page you need to re-save. Because we updated all icons to fontawesome 5. We are apologize about this issue because of elementor fontawesome 5 updated in > 2.6 so we updated them too.


## 3.2.4 [11th August 2019]

### Added

- Icon box widget separator option added
- Member widget social on/off option added
- Search widget ajax search option added
- Register widget additional text color option added

### Fixed

- Custom gallery lightbox issue fixed (Make sure you are using different images for items)
- WPML license activate issue fixed
- Settings page php 7.3 issue fixed
- Scroll image link dynamic issue fixed
- Fix Slideshow/Slider triggering show events to often initially

## 3.2.3 [31th July 2019]

### Added

- Instagram classic grid skin added

### Updated

- Element Pack settings now more readable

### Fixed

- Gallery Lightbox issue fixed
- News Ticker script issue fixed
- Custom Gallery new tab issue fixed for others skin
- Circle Menu css glitch fixed
- Iframe shortcode url issue fixed for lazyload option
- All carousel and slider navigation issue fixed
- Trailer box overlay radius issue fixed


## 3.2.2 [26th July 2019]

### Fixed

- Crypto currency widget error fixed

## 3.2.1 [26th july 2019]

### Fixed

- Version Update issue fixed

## 3.2.0 [25th July 2019]

### Added

- [Events Calendar Carousel](https://elementpack.pro/demo/element/event-carousel/) widget added
- [Events Calendar Grid](https://elementpack.pro/demo/element/event-grid/) widget added
- [Crypto Currency table](https://elementpack.pro/demo/element/crypto-currency-table/) widget added
- [Crypto Currency card](https://elementpack.pro/demo/element/crypto-currency-card/) widget added
- [Transform](https://elementpack.pro/demo/element/transform-example/) option added in motion effect section
- Woocommerce Carousel widget added new skin
- Viber and Skype link added HelpDesk widget
- Advanced Image Gallery Justified Gallery option added
- Chart widget squire size + aspect ratio option added for better responsive
- User login checkbox color option added
- Scroll Nav Dot size option added

### Updated

- Fontawesome 5 upgraded to Advanced Icon Box widget
- News Ticker script updated + optimize the style
- Ingstagram widget completely rebuild with access token so now you can show unlimited images

### Fixed

- Helpdesk Firefox hidden issue fixed
- Table widget control issue fixed
- Woocommerce product widget
- Carousel, Custom Carousel, Testimonial Carousel and Panel slider widget speed issue fixed
- Custom gallery direct link issue fixed
- Navbar widget dropdown issue fixed
- Testimonial slider widget thumbnail issue fixed
- Video gallery horizontal mode thumbnail fullwidth issue fixed


## 3.1.4 [4th July 2019]

### Fixed

- Navbar parent indicator issue fixed
- Custom gallery new tab issue fixed

## 3.1.3 [3rd July 2019]

### Fixed

- Settings not loading issue fixed
- Slider revolution widget issue fixed
- License activation issue fixed for some edge cases


## 3.1.2 [30th June 2019]

### Added

- Advanced Icon box icon more size option added
- Specific Search option added in search widget

### Fixed

- Post Gallery new tab open option added
- Mailchimp Newsletter script optimized
- User login remember me fixed
- Others minor issue fixed


## 3.1.1 [1st June 2019]

### Fixed

- Custom gallery skin issue fixed
- Testimonial slider skin issue fixed


## 3.1.0 [1st June 2019]

### Added

- WPML Support added now all widget fully compatible with WPML
- Header and Footer builder added (Required Rooten theme 2.0+)
- Testimonial meta position change option added (Thanks to Gary Smith)
- IconNav icon color option added
- Marker icon now select any fontawesome icon (Thanks to Vion Zow)
- New licensing system added
- Audio player shortcode support added
- Slideshow widget text now you can set width separately (Thanks to Blerim Gajtani)

### Updated

- Custom gallery direct link option updated
- Template selection option now back for all template based widget

### Fixed

- Static date format issue fixed
- Marker caption issue fixed
- ACF issue for Custom carousel + Advanced Image Gallery fixed (Thanks to Soporte Gekkota)
- Chart widget float (0.00) value issue fixed (Thanks to Florian Fendt)
- editor.css RTL issue fixed
- Tooltip offset and distance issue fixed (Thanks to Rhym Zow)
- FAQ multi category filter issue fixed
- Now editor load more faster with all widgets + huge code re-factor + optimized
- advanced button style i issue fixed
- Carousel & Custom carousel widget tablet responsive issue fixed
- Custom gallery new tab issue fixed
- Some post widget static date issue fixed
- Default category not showing in overly in post gallery (Thanks to Blerim Gajtani)


## 3.0.11 [17th April 2019]

### Added

- [Table of content regular layout added](https://elementpack.pro/demo/table-of-content-layout-regular/)
- User login logged in custom text and custom register link option added

### Fixed

- Tabs mobile mode fullwidth not working for justify align
- Tabs showing wrong control for bottom layout
- Table of content header missing in offcanvas layout
- Price list link pointer not showing
- WPForm pro version issue fixed
- Overall post query performance improved

## 3.0.10 [5th April 2019]

### Added

- Custom gallery now support thumbnail direct link
- Advanced heading split space option added (Thanks to Alexandre Maciel)
- Advanced image gallery lightbox transition option added
- Post gallery lightbox transition option added
- Table of content index header option added

### Updated

- Improve widget javascript
- Update support & doc link
- Switcher control now more user friendly

### Fixed

- Testimonial match height now set by default but you can change it from option
- Device slider dynamic content show issue fixed
- Toggle dynamic content show issue fixed
- Helpdesk style conflict issue fixed (Thanks to Alex Shram)
- Price list text area custom link issue fixed (Thanks to Yan Thiaudiere)
- Cookie consent Expiry Date issue fixed
- Carousel arrow responsive issue fixed
- Custom gallery condition issue fixed
- Device slider dynamic issue fixed (Thanks to Cengiz Karaman)
- HelpDesk tooltip issue fixed
- Price Table ribbon condition issue fixed
- Protected content login form issue fixed
- Tabs responsive issue fixed and full width nav option added for mobile (Thanks to Mohammad Rafi)
- Thumb gallery content condition issue fixed
- Twitter slider item background option added (because of fade transition)


## 3.0.9 [10th March 2019]

### Added

- Tabs now you can set sticky nav mode
- Price table heading tag change option added
- Section sticky issue fixed for inner section

### Updated

- Section Sticky and Schedule content controls move to advanced tab

### Fixed

- Testimonial carousel, slider and grid excerpt issue fixed, now you can show formated text (You need to update the testimonials plugin too for get this feature)
- Open Street map on scroll map zoom issue fixed


## 3.0.8 [06th March 2019]

### Fixed

- Animated Heading php error issue fixed

## 3.0.7 [06th March 2019]

### Added

- Offcanvas custom link option added
- Testimonial Carousel match height option added
- Marker tooltip added more placement option

### Fixed

- Elementor 2.5.0 compatibility issue fixed
- Animated Heading loading issue
- Weather API error issue fixed
- Tooltip script updated and fixed some minor issue
- Fix some widgets alter tag issue

### Removed

- element pack theme define removed for some speedup issue


## 3.0.6 [03rd March 2019]

### Added

- Weather Condition name option added
- Accordion and tabs widget hash location auto show option added
- Audio player loop option added (Thanks to Todd)
- Advanced Image Gallery Tilt scale option added

### Fixed

- Advanced image gallery hidden gallery text and style issue fixed (Thanks to Darryl)
- Advanced image gallery always overlay issue fixed
- Woocommerce Carousel image alter name fixed (Thanks to vperesyp)
- Image Compare border radius issue fixed (Thanks to Christian Holzner)
- Woocommerce Product Table script optimized
- Advanced icon box onclick event not working
- Scroll Button flickering issue fixed
- Tabs and accordion shortcode render issue fixed
- Admin settings name issue fixed
- Advanced heading rotate issue fixed
- Thumb gallery post reset issue fixed


## 3.0.5 [16th February 2019]

### Added

- Post slider skin vast and hazel now you can set post limit

### Updated

- 3rd Party widgets settings more understandable

### Fixed

- Dual Button onclick event issue fixed
- System info object bug issue fixed (Thanks to Xseam, huberu, creatifworks)
- Instagram widget CORS issue fixed
- Some widgets icon missing issue fixed
- Booked calendar widget on/off issue fixed
- Particle JS not defined some edge cases
- Iframe widget auto height not defined some edge cases
- Weather widget today layout icon not showing
- Fixed some performance issue


## 3.0.4 [13th February 2019]

### Fixed

- Panel slider spacing issue fixed (Thanks to Tommy Keller)
- Audio player Title typography issue fixed
- Audio player button issue fixed
- svg include error issue fixed


## 3.0.3 [12th February 2019]

### Added

- All widgets icons re-designed now more understandable for user

### Fixed

- Weather icon missing and some condition issue fixed (Thanks to Nathalie)
- Testimonial post loop issue fixed (Thanks to Alex Shram)
- Audio player skin and icon align issue fixed (Thanks to Ameel MD)
- Advanced Icon box readmore button condition issue fixed
- Post Grid paddle skin php error issue fixed (Thanks to Theuns Coetzee)


## 3.0.2 [1st February 2019]

### Added

- Iframe auto height option added

### Updated

- Weather widget completely re-coded with new weather API
- Elementor/AE Template selector changed with text input (because it's slowdown all over element pack, we will add new search based template select option in new major update)
- UIKit updated to 3.0.3

### Fixed

- Post Slider text color fixed
- Open Street Map Empty Marker fixed
- Offcanvas widget do wrong behavior
- Icon Nav Offcanvas menu wrong behavior issue fixed
- Update checker php 7.3 issue fixed
- Minor style issue fixed for some widgets
- Memory limit issue optimized


## 3.0.1 [15th January 2019]

### Updated

- Elementor 2.4.0 compatibility tested
- UIKit Updated to 3.0.2
- Table of Content Button Hover Option Added
- Simple Contact Form Contact Number Added
- Post Block Featured Image Style Added
- Mailchimp Before Icon Added
- Dropbar Button Offset Added
- Price Table Margin, Shadow Added
- Panel Slider Script Optimize
- Table Script Optimize
- WC Carousel Script Optimize
- Post Slider Skin Hazel Right Part Color
- Login Widget Edit Profile Link Turn On/Off Added
- Particles javascript optimize for better loading
- Slideshow, WC Slider, Testimonial slider, Device slider, new ticker, post slider and thumb gallery widget more smooth touch behavior

### Fixed

- Post Slider Skin Vast Image Cover Fix
- Offcanvas Close Button Dynamic
- Timeline Olivier Skin Responsive Fix
- Instagram Ovelay-Gap, Overlay Icon Size, Follow Me, Image CSS Filter Added
- Chart Type Doughnut Fixed
- Audio Player Player Volume Line Height Fixed
- Video Player Player Volume Line Height Fixed
- Timeline Animation Fixed

### Note

- Rooten theme update issue fixed, if you using this theme please update it.


## 3.0.0 [7th January 2019]

### Note

- If you want to upgrade version 2.x to 3.0 so you must keep a backup your website if you used modal widget because modal completely changed. If you upgrade it to version 3.0 your modal will be disappear and you should re-make it again. But if you can recover it by following this doc: https://bdthemes.com/support/knowledge/details/38/

### Added
- [Open Street Map](https://bdthemes.net/demo/wordpress/element-pack/element/open-street-map/) Widget added
- [Video Gallery](https://bdthemes.net/demo/wordpress/element-pack/element/video-gallery/) widget added
- [Help Desk](https://bdthemes.net/demo/wordpress/element-pack/element/help-desk/) widget added
- [Charts](https://bdthemes.net/demo/wordpress/element-pack/element/charts/) widget added
- [360 Degree Product Viewer](https://bdthemes.net/demo/wordpress/element-pack/element/360-product-viewer/) widget added
- [WooCommerce Slider](https://bdthemes.net/demo/wordpress/element-pack/element/woocommerce-slider/) widget added
- [Table of content](https://bdthemes.net/demo/wordpress/element-pack/table-of-content-test-post/) fully re-coded
- Modal widget completely re-coded and custom link option added
- Timeline widget compeletely re-coded added new skin
- Added some future prove stability for existing widgets [No more break like audio player, modal etc]

### Updated

- Image Magnifier widget script optimized
- Instagram widget script optimized
- Search widget default icon color option added
- Tabs widget automatic ID added in title
- Cookie consent widget script update + new push down option added for top position
- Custom carousel script optimized
- Carousel render option added for hidden elements (for example tabs/accordion etc)
- Toggle widget textarea change to Editor
- Profile link added for twitter avatar in twitter carousel + slider widget
- Cookie consent widget script update + new pushdown option added
- Device Slider widget title link added
- Testimonial slider and carousel script optimized
- Twitter slider and carousel script optimized

### Fixed

- Audio player minor style issue fixed
- All Carousel mobile arrow issue fixed
- Lightbox widget dynamic issue fixed
- Post slider height issue fixed
- Testimonial slider responsive issue fixed and image resize option added
- Advanced Heading Gradient and image issue fixed for Firefox/EDGE
- Post gallery excerpt issue fixed
- Weather widget script issue fixed


### Removed

- Weather widget yahoo provider removed [because yahoo shutdown his weather api]

### Language

- All language string added in pot file


## 2.6.5 [09 December 2018]

### Added

- Advanced Icon Box Onclick Javascript event option added

### Fixed

- Post list margin issue fixed for astra theme
- Scroll image background cover issue fixed for image framing
- Carousel transition duration issue fixed
- Dual button separated radius issue fixed
- Call out center layout overflow issue fixed

### Updated

- Responsive option added for content spacing in FAQ widget
- Carousel arrow and dots position now can control responsive
- All grid filter update with more customization option
- Advanced Image gallery always show caption now more optimized


## 2.6.4 [07 December 2018]

### Added

- Properly Checked and add support for WordPress 5.0
- Advanced Image Gallery always caption show option added
- Simple Contact form optional contact email option added in settings
- Device slider kenburn option added
- Dual button separated radius option added
- Global tooltip edit option added in page setting
- Price Table tooltip option added for feature list
- Scroll Image frame option added
- Custom Content skin added in custom carousel widget


### Updated

- Advanced Heading text shadow option added for main heading
- Carousel and Slider widget script loading optimized
- FAQ bottom space & space between responsive added
- Marker bg now can add gradient color and image
- Post list thumbnail styles added
- Scroll Nav tooltip updated
- In Search widget toogle icon size + icon change option added
- Tab widget Contact spacing and Tab spacing now control in responsive
- Testimonial Slider/Carousel default thumbnail added
- Slideshow and Thumb Gallery reverse kenburn option added
- Woo Product Grid filter option added


### Fixed

- Advanced Icon Box read more show hide issue fixed
- Carousel default image issue fixed
- Simple Contact form Reply-to issue fixed
- Contact Form 7 Space between issue fixed
- Flipbox and Price List Elementor 2.3.4 compatiblity issue fixed
- Ninja form color and bg issue fixed
- Post block margin issue fixed
- Post grid limit issue fixed
- Post grid tab title color, margin and typography fixed
- Post slider high resolution image align and Kenburn issue fixed
- Register widget php error fixed
- Image Magnifier image select option fixed

### Language

- Main po language file updated


## 2.6.3 [16 November 2018]

### Added

- Post Grid widget reverse skin added
- Simple Contact Form widget reCAPTCHA option added
- Single post excerpt option added
- Now you can select/deselect all widget in element pack settings
- Slider and Post Slider widget kenburn effect added
- News ticker widget height control and date option added
- Lightbox widget lightbox style option added in page settings
- Iframe widget sandbox and scrollbar option added
- Sticky Section active shadow option added
- Tiny layout added in weather widget
- Scroll nav content offset option added

### Fixed

- Post gallery tags filter not filtered correctly
- Post excerpt format all universal way
- Carousel item gap option fixed
- Mailchimp input width issue fixed
- Widget tooltip id issue fixed
- User register dropdown skin and event countdown skin php 7.1 error fixed
- Thumb gallery, post list, post slider, post grid, post card, post block modern, post gallery, carousel etc image placeholder fixed
- Item gap problem fixed for carousel skin alice
- Fix wrong alert for api key in advanced google map widget
- Audio and Video player dynamic URL issue fixed
- Fixed User register conflict with default registration
- Timeline custom skin icon issue fixed
- Some widgets script improved for jQuery load in footer

### Updated

- Post card query changed, now you can select any post type
- Mailchimp widget input field fullwidth problem fixed
- Main Heading now you can split and add separated style in advanced heading

### Changed

- Audio player URL structrue changed, now you can select hosted audio easily
- Custom Carousel lighbox style moved to page settings for globally style all lightbox
- Protected content widget completely re-code for more flexible usage
- Iframe widget controls re-arranged for better user experience


### Removed

- Progress pie delay and steps control removed

### Language

- Edit profile language string missing fixed
- Main po language file updated

### Note

- You need to select your audio source again because of some core changes (We are sorry for this issue)
- Protected content widget page maybe you need to re save (We are sorry for this issue)


## 2.6.2 [28 October 2018]

### Fixed

- Element Pack Site Minified Javascript issue fixed
- Fix height of Masonry Grid
- Fix Sticky hiding with Offcanvas in overlay mode
- Fix Parallax in combination with Offcanvas in overlay mode
- Post gallery category color not changing issue fixed


## 2.6.1 [28 October 2018]

### Added

- Advanced icon box advanced radius option added
- Post block featured item height option added
- Icon link on hover option added in Scroll Image
- Single post widget excerpt option added
- Trailer box text spacing option added

### Fixed

- Register widget conflict with some theme
- Business hour widget width issue fixed
- Circle menu jQuery loading issue fixed
- Custom gallery height issue fixed
- Icon nav script updated for speed up workflow
- Post gallery category style fixed
- Protected content message option issue fixed
- QRcode widget jQuery loading issue fixed
- WC Product exclude option multiple product issue fixed
- New widgets on/off issue fixed in settings page

### Updated

- Elementor extended options added [EP] tag for better understand
- Marker tooltip control more organize
- Panel slider slide image align updated

### Removed

- Iframe has wrong control that removed

### Language

- Language file updated
- Element Pack name now intake with english name


## 2.6.0 [22 October 2018]

### Added

- [Protected Content](https://elementpack.pro/demo/element/protected-content/) Widget Added
- [Advanced Icon Box](https://elementpack.pro/demo/element/advanced-icon-box/) Widget Added
- [Iframe](https://elementpack.pro/demo/element/iframe/) Widget added
- [Advanced Image Gallery](https://elementpack.pro/demo/element/advanced-image-gallery/) Carousel skin added
- [Post Grid](https://elementpack.pro/demo/element/post-grid/) Widget Harold skin added
- Icon nav widget icon bottom text option added
- Panel Slider global item link option added
- Scroll Image Widget badge option added
- WC Product skin exclude product option added
- Dom functions support selectors
- Advanced Google map api key warning added
- Pause on hover option added in carousel, [wc carousel](https://elementpack.pro/demo/element/woocommerce-products/), testimonial carousel, custom carousel, slider, twitter carousel widget
- Dual button separated box shadow option added
- Image compare widget few new option added
- User Login dropdown skin width option added

### Updated

- Marker tooltip position now can set individually
- Post block now you can select any post type
- Table of content button now set anywhere + can re-position for table and mobile device
- Panel slider height issue updated + image size option added

### Fixed

- Thumb gallery custom skin button style issue fixed
- Testimonial Slider Single skin arrow issue fixed
- Progress pie duplicate issue fixed
- Instagram loading issue fixed when jQuery loaded in footer
- control name conflict issue fixed for some edge cases
- Dual button editor template issue fixed
- Simple contact form submit button align issue fixed
- Custom gallery lightbox next issue fixed
- Parallax section wrong opacity value issue fixed
- Image compare widget editor load, duplicate issue fixed
- Image Magnifier widget editor load, duplicate issue fixed
- Instagram widget editor load, duplicate issue fixed
- Preserve color not working if class is set on internally used svg icons
- Close color being overwritten from toolbar in Lightbox component
- Modal not hiding upon being destroyed
- Using node as offset in position mixin
- Using Height Match component on elements with different offsetParents
- Rounding error in Height Match component
- Sticky placeholder height on resize
- Starting/stopping of autoplay in Lightbox
- Initially wrong position of background image in Parallax component
- Calling `isActive` on `undefined` in Navbar component
- Fix `isInView` function for elements with zero width and height
- Support Expired license invalid issue fixed

### Changed

- Advanced image gallery layout changed to skin
- Viewport Height component no longer sets a `height` except for IE
- Viewport Height component no longer forces `box-sizing: border-box`
- Improve Tooltip performance
- Improve Parallax performance
- Improve Sticky performance
- Rename `selModal` to `selContainer` and `selPanel` to `selContent` in Overflow Auto component

### Removed

- Remove `::-moz-selection` which is not needed anymore
- Remove component `init` hook
- Remove component `ready` hook


### Language

- Main language file updated
- Some missing language string translated properly


## 2.5.5 [30 September 2018]

### Added

- Testimonial Single Skin added
- Panel Slider Middle Skin added
- User login widget logged in user details + custom menu option added
- WooCommerce Carousel category selection and align option added
- Tabs widget subtitle option added
- Post grid pagination option added
- Search widget icon size option added

### Updated

- WooCommerce Product table huge improvement done
- Custom carousel more improved and responsive break point now work from elementor settings and lightbox color option now fixed
- Carousel, Wc Carousel, Twitter Carousel, Panel Slider and Testimonials Carousel responsive break point now work from elementor settings
- Progress pie now animate when it is come in viewport
- Table of content now responsive friendly
- Timeline widget now more animated
- Weather widget now select open weather map or yahoo weather data

### Fixed

- Particles js loading issue fixed
- FAQ excerpt issue fixed
- Gravity form error message, radio and checkbox style fixed
- Advanced heading default origin set to top-left
- Post gallery pagination style now more improved
- Post Grid tab widget loading issue fixed
- Slider autoplay and loop issue fixed
- Table widget search, pagination etc style issue fixed

### Note

- If you use custom carousel, thumb gallery, weather, WC product (table or default skin)  widgets in your any page so please go to that page and re-save the page, because those widget some settings changed



## 2.5.4 [11 September 2018]

### Added

- [Widget Tooltip](https://elementpack.pro/demo/element/widget-tooltip/) options added for all widget
- Carousel skin alice added and vertical layout moved to skin vertical
- WooCommerce product table category and tag option added
- WooCommerce product table thumbnail lightbox option added
- Panel slider skew option added
- FAQ widget excerpt limit and readmore button added

### Updated

- All widget code improved and more reliable
- IconNav widget tooltip updated with more option
- Marker tooltip updated with more features
- Add more margin between accordion title and icon
- Ribbon now rotate, set x offset and padding

### Fixed

- Registration notification email issue fixed
- Timeline icon size bug fixed for custom skin
- Fix form placeholder color in Edge
- Fix accordion icon position if title is wrapping into the next line
- Fix Slider incorrectly showing navigation
- Fix element queuing in Scrollspy component
- Fix parallax translating to subpixels
- Fix SVGs not preserving their aspect ratio in IE11
- Fix lazy loading images in Edge

### Removed

- Remove fix for uppercase SVGs attributes in Edge on Windows 10 older than build 16251



## 2.5.3 [21 August 2018]

### Added

- [Testimonial Slider](https://elementpack.pro/demo/element/testimonial-slider/) widget added Thumb skin
- [Post Gallery](https://elementpack.pro/demo/element/post-gallery/) widget added Trosia skin
- [Post Grid](https://elementpack.pro/demo/element/post-grid/) widget added Trosia skin
- Carousel Center slide option added

### Updated

- UIKit framework updated to latest version

### Fixed

- Custom carousel autoplay bug fixed
- Countdown safari bug fixed
- Device slider youtube video loop issue fixed
- Post Gallery and Advanced Image Gallery masonry bottom gap bug fixed
- Hidden gallery lightbox bug fixed
- Post Galery Fedara and Abetis skin lightbox bug fixed


## 2.5.2 [4th August 2018]

### Added

- [Image Magnify](https://elementpack.pro/demo/element/image-magnifier/) widget added
- WooCommerce table skin added in [wc product](https://elementpack.pro/demo/element/woocommerce-products/) widget
- Advanced Button attention animation option added
- Call out button attention animation added
- Scroll Button fixed position option added
- Trailer box zoom effect option added
- Testimonial Carousel category option added
- Post grid thumbnail size added
- Post card thumbnail size added
- Post block modern thumbnail size added
- Slideshow thumbnav opacity added

### Updated

- Simple contact form now name and email can half width
- Post gallery tilt effect now more realistic
- WooCommerce Product widget completely re-write with more options and fixed loading issue
- Custom Gallery now you can select video, youtube, vimeo, google map, website as lightbox link

### Fixed

- WC Carousel badge style bug fixed
- Register dropdown and modal button wrong text fixed
- Custom Gallery lightbox bug fixed
- User register icon spacing bug fixed
- Testimonials slider quotation icon now set typography
- Carousel vertical layout padding bug and item hover bg issue fixed
- Advanced image gallery now support dynamic post gallery


## 2.5.1 [23 July 2018]

### Updated

- Member widget alternative image option added

### Fixed

- User register php 7.2 issue fixed
- Navbar widget WPML Language menu issue fixed


## 2.5.0 [22 July 2018]

### Added

- [User Registration](https://elementpack.pro/demo/element/user-register/) Widget added
- [Twitter Slider](https://elementpack.pro/demo/element/twitter-slider/) widget added
- [WooCommerce Product Carousel](https://elementpack.pro/demo/element/woocommerce-carousel/) Widget added
- [Simple Contact Form](https://elementpack.pro/demo/element/simple-contact-form/) Widget added
- Advanced Heading gradient and main heading style added
- Scroll nav style option added
- Scroll Image widget external link option added
- Post Gallery excerpt and pagination option added
- Trailer box tilt and zoom option added

### Updated

- Post, Twitter, Custom Instagram, Testimonials Carousel shadow option added
- Gradient, Image, Main Heading Style added in Advanced Heading
- Autoplay fix in all Carousel and Slider
- Shadow style improve in all type of carousel widget
- Scroll to bottom option added in Slider and Slideshow Widget

### Changed

- Image Gallery, Scroll Image, Marker widget default lightbox changed

### Fixed

- Testimonial Slider, Carousel and Grid thumbnail show/hide issue fixed
- Testimonial rating align issue fixed when thumb off
- Carousel Vertical layout responsive issue fixed


## 2.4.1 [4th July 2018]


### Added

- [Testimonials grid](https://elementpack.pro/demo/element/testimonial-grid/) widget added

### Fixed

- Base typography broken issue fixed


## 2.4.0 [4th July 2018]

### Added

- [Post Grid Tab](https://elementpack.pro/demo/element/post-grid-tab/) Widget added
- [Dual Button](https://elementpack.pro/demo/element/dual-button/) widget added
- [Instagram](https://elementpack.pro/demo/element/instagram/) Widget added
- [Table of Content](https://bdthemes.net/demo/wordpress/element-pack/table-of-content-test-post/) Widget added
- [Add to Cart](https://elementpack.pro/demo/element/woocommerce-add-to-cart/) Woocommerce single button widget added
- Elementor 2.1 compatibility added

### Updated

- Table press responsive option added
- Advanced button 3 new effect added
- Post Grid style updated
- UIKit framework updated to latest version

### Fixed

- Comment disqus and facebook script now load async
- Version wrong number fixed
- Device slider style issue fixed
- Tabs title html escape removed
- Testimonial Carousel + Slider arrow and mobile style issue fixed
- Gravity Form show/hide title and ajax load switch fixed


## 2.3.0 [15 June 2018]

### Added

- [Post list](https://elementpack.pro/demo/element/post-list/) widget added
- [Post Grid Carmie Skin](https://elementpack.pro/demo/element/post-grid/) added

### Updated

- Gravity form title and description show/hide option added
- Advanced Image Gallery Thumbnail option added for hidden gallery
- Advanced Image Gallery now added standalone lightbox
- Active padding option added in elementor section sticky
- Post Grid now support Custom Post Type
- Post Gallery now added standalone lightbox
- Thumb Gallery button typography added
- Post slider pagination typography added
- Circle menu icon size issue fixed
- Advanced Image Gallery, Animated Heading, Audio Player, Video Player, Circle Menu, Cookie Consent, Device slider, Flip Box, Icon Nav, Image Compare, Lightbox, 	Member, Price List, Progress Pie, QRCode, Scroll Image, Switcher Add some dynamic field.

###	Fixed

- Lightbox google map source fixed
- event calender countdown widget php 7 error fixed

## 2.2.0 [6 June 2018]

### Added

- [Easy Digital Download Download View](https://elementpack.pro/demo/element/easy-digital-downloads/) Widget Added
- [Easy Digital Download Download History](https://elementpack.pro/demo/element/easy-digital-downloads-history/) WIdget Added
- [Easy Digital Download Purchase History](https://elementpack.pro/demo/element/easy-digital-downloads-purchase-history/) WIdget Added
- [Easy Digital Download Profile](https://elementpack.pro/demo/element/easy-download-portfolio-editor/) Widget Added
- [BuddyPress Member](https://elementpack.pro/demo/element/buddypress-member/) Widget added
- [BuddyPress Friends](https://elementpack.pro/demo/element/buddypress-friends/) Widget added
- [BuddyPress Group](https://elementpack.pro/demo/element/buddypress-group/) Widget added
- [Business Hour](https://elementpack.pro/demo/element/business-hours/) Widget added
- [TablePress](https://elementpack.pro/demo/element/business-hours/) Widget added
- [Lightbox](https://elementpack.pro/demo/element/lightbox/) Widget added
- [Single Post](https://elementpack.pro/demo/element/single-post/) Widget added
- [Cookie Consent](https://elementpack.pro/demo/element/cookie-consent/) Widget added
- [Pricing Table Button integrate The Easy Digital Download](https://elementpack.pro/demo/element/pricing-table/)

### Updated

- UIKit Framework updated to latest version

## 2.1.0 [21 May 2018]

### Added

- [Twitter Carousel Widget added](https://elementpack.pro/demo/element/testimonial-carousel/)
- [Circle Menu Widget added](https://elementpack.pro/demo/element/circle-menu/)
- [Scroll Image Widget added](https://elementpack.pro/demo/element/scroll-image/)

### Updated

- Slideshow widget arrows and dots and thumbnav now position 7 places
- Testimonial Carousel arrows and dots now position 7 places
- Testimonial Slider arrows and dots now position 7 places
- UIKit updated to latest version
- Section Sticky active background color added
- Post gallery Grid, Filter, Masonry and Gap Settings re-coded for better usablity + optimized code and script.
- Advanced Heading Offset and Rotate option now work on tablet and mobile
- Offcanvas vw width added instead of % width

### Fixed

- Carousel thumb resize was not working
- License key error some edge cases
- Post gallery icon missing fixed
- Post slider button hover color bug fixed
- Post block skin was missing


## 2.0.4

### Updated

- Modal splash screen & exit popup bug for some edge cases

### Fixed

- Custom carousel widget arrows and dots now position 7 places


## 2.0.3 [11th May 2018]

### Fixed

- Advanced Image gallery height bug for some edge cases
- Custom gallery height bug for some edge cases


## 2.0.2

### Updated

- Modal content typography added

### Fixed

- Modal custom content shortcode not executed properly
- Advanced Heading not showing bug fixed


## 2.0.1 [9th May 2018]

### Added

- [Carousel widget arrows and dots now position 7 places](https://elementpack.pro/demo/element/carousel/)

### Updated

- Offcanvas % width added
- Timeline Left, Right align option added

### Fixed

- wpDataTables css issue fixed
- Switcher widget AE Template and Elementor Template mismatch fixed.


## 2.0.0 [6th May 2018]

### Added

- [Audio Player](https://elementpack.pro/demo/element/audio-player/) Widget added
- [Video Player](https://elementpack.pro/demo/element/video-player/) Widget added
- [Weather](https://elementpack.pro/demo/element/weather/) Widget added
- [Table](https://elementpack.pro/demo/element/table/) Widget added
- [FAQ](https://elementpack.pro/demo/element/faq/) Widget added
- [Pricing table 7 Layout + Partait Skin added](https://elementpack.pro/demo/element/pricing-table/)
- [Member Widget Partait Skin Added](https://elementpack.pro/demo/element/member/)
- Dynamic option added which widget possible to apply (This features available who are using elementor pro version)
- All widget now added EP badge for find out easily

### Updated

- Modal widget splash screen + exit popup options added and all control reorganized.
- Offcanvas responsive width control added
- Editor now added EP badge and hover blue color for all widget to identify easily
- Carousel Vertical layout added

### Fixed

- Gravity Form style issue fixed in edit mode
- Offcanvas and Icon Nav offcanvas style conflict fixed
- Parallax script loading fixed when parallax not used
- Updater class php 7 error fixed
- Advanced heading php error fixed
- User login dropdown skin widget php error fixed
- Animated heading widget php error fixed
- Parallax background widget php error fixed



## 1.12.0 [19th April 2018]

### Added

- [Icon Navigation](https://elementpack.pro/demo/element/icon-nav/) Widget added
- [Gravity Form](https://elementpack.pro/demo/element/gravity-forms/) Widget Added
- [Ninja Form](https://elementpack.pro/demo/element/ninja-forms/) Widget added
- [Caldera Form](https://elementpack.pro/demo/element/caldera-form/) Widget added
- [Parallax Option added in section](https://elementpack.pro/demo/element/parallax-section/)
- [Comment](https://elementpack.pro/demo/element/comment/) Widget added

### Updated

- Woocommerce category more refined
- Advanced Button editing now super fast
- Accordion Anywhere Elementor and Elementor Template source selection added
- Tabs Anywhere Elementor and Elementor Template source selection added
- Dropbar Anywhere Elementor and Elementor Template source selection added
- Member social icon bg color + padding option added
- UIKit framework updated to latest version

### Fixed

- Marker zoom and tooltip issue fixed and animation radius now work with radius
- Core code more optimized
- Slider RTL issue fixed

### Language

- Polish [PL] Language added


## 1.11.0 [06 April 2018]

### Added

- [Advanced Button](https://elementpack.pro/demo/element/advanced-button/) Widget added
- [Post Grid](https://elementpack.pro/demo/element/post-grid/) Widget added
- [Toggle](https://elementpack.pro/demo/element/toggle/) Widget added
- [Switcher](https://elementpack.pro/demo/element/switcher/) Widget added
- [QuForm](https://elementpack.pro/demo/element/quform/) Widget added
- Licensing system added [Please use your purchase key to get update automatically

### Updated

- Woocommerce Category column gap option added
- Offcanvas now select elementor template and anywhere elementor template alternative of sidebar.

### Removed

- Woocommerce Category margin removed

### Fixed

- Navbar php 7 warning fixed
- Advanced Image Gallery Hidden layout animation fixed
- Modal fullscreen height fixed, fullscreen flickr issue fixed and default background color added
- Custom carousel icon issue fixed, video icons now works properly, coverflow animation fixed
- Social share icon editor issue fixed
- Google map missing api key issue fixed
- Advanced image gallery button animation fixed
- Post Slider and Vast Skin excerpt show issue fixed
- Some widget css style improved
- Booked Calendar member only option fixed

### Language

- Language Updated and [CZ, ID, MY, NL, BR, ZH] languages added


## 1.10.0 [27 March 2018]

### Added

- [Search](https://elementpack.pro/demo/element/search/) Widget added
- [Device Slider](https://elementpack.pro/demo/element/device-slider/) Widget added
- [Booked Calendar](https://elementpack.pro/demo/element/booked-calendar/) Widget added
- [Layer Slider](https://elementpack.pro/demo/element/layer-slider/) Widget added
- [bbPress](https://elementpack.pro/demo/element/bbpress/) Widget added
- [Download Monitor](https://elementpack.pro/demo/element/download-monitor/) Widget added
- [Post Slider Vast Skin added](https://elementpack.pro/demo/element/post-slider/)
- [Custom Timeline Skin Added](https://elementpack.pro/demo/element/timeline/)
- [Animated Heading Typed Layout added](https://elementpack.pro/demo/element/animated-heading/)
- [Testimonials Carousel Vyxo Skin Added](https://elementpack.pro/demo/element/testimonial-carousel/)

### Updated

- Slideshow thumb nav option added
- Navbar and Offcanvas menu offset option added for matching column gap
- Advanced Image Gallery, Post Gallery and Custom Gallery Widget tilt effect added
- HOT and NEW badge added by css class in Navbar widget
- Advanced image gallery widget icon now can resize

### Fixed

- Revolution slider alias issue fixed
- Thumb Gallery mobile size fullscreen issue fixed
- Post gallery filter bug fixed

### Language

- Language file added [DE, ES, FR, HE, IT, JP, RU, HK]
- Language file updated.


## 1.9.0 [17 March 2018]

### Added

- [Advanced Image Gallery](https://elementpack.pro/demo/element/advanced-image-gallery/) Widget added
- [Navbar](https://elementpack.pro/demo/element/navbar/) Widget added
- [Accordion](https://elementpack.pro/demo/element/accordion/) Widget added
- [Tabs](https://elementpack.pro/demo/element/tabs/) Widget added
- [Timeline](https://elementpack.pro/demo/element/timeline/) Widget added
- [WPForms](https://elementpack.pro/demo/element/wp-forms/) Widget added
- [Section Sticky Options added](https://bdthemes.net/demo/wordpress/element-pack/sticky-section/)
- [Thumb Gallery Widget Custom Content Skin added + Content Transition option added](https://elementpack.pro/demo/element/thumb-gallery/)

### Updated

- Carousel Thumbnail linked
- Countdown Widget now align 2 way
- QR Code Widget now set own page url automatically and can align properly
- Custom Gallery Masonry option added

### Fixed

- Post Gallery Widget masonry fixed
- Event Calendar Countdown Skin alignment issue fixed
- Flipbox Widget button size issue fixed
- 3rd Party Widget ON/OFF options fixed
- Many small bug fixed + css style improved

### Language

- Language file updated.


## 1.8.0 [05 March 2018]

### Added

- [Advanced Google Map Widget added](https://elementpack.pro/demo/element/advanced-google-map/)
- [QR Code Widget added](https://elementpack.pro/demo/element/qr-code/)
- [Flip Box Widget added](https://elementpack.pro/demo/element/flip-box/)
- [Post Gallery Fedara, Abetis Skin added](https://elementpack.pro/demo/element/post-gallery/)
- [Custom Gallery Fedara, Abetis Skin added](https://elementpack.pro/demo/element/custom-gallery/)
- [Event Calendar Post Countdown added in Countdown Widget](https://elementpack.pro/demo/element/event-calendar-countdown/)
- [Offcanvas Button align + size option added](https://elementpack.pro/demo/element/offcanvas/)
- [Member Widget Calm Skin added](https://elementpack.pro/demo/element/member/)
- [Dropbar Widget align + size option added](https://elementpack.pro/demo/element/dropbar/)
- Widget ON/OFF option added in settings sage
- 3rd Party Widget ON/OFF option added in setting page
- Elementor Extended option ON/OFF added in setting page

### Changed

- Carousel Widget now more flexible for color change

### Fixed

- All CSS re-factor and removed some unnecessary css, separated rarely used css. [old was 490KB now 233KB]
- Drop first load dropbar show fixed
- Many more css and javascript optimized
- Testimonials Slider Rating color fixed
- Modal widget full widget mode content style now accessible


## 1.7.0 [21 February 2018]

### Added

- [User Login Widget added with 3 skin [Normal + Dropdown + Modal]](https://elementpack.pro/demo/element/user-login/)
- [Modal widget button align, size, Content overflow scroll option added and improve the edit speed.](https://elementpack.pro/demo/element/modal/)
- [Member widget Phaedra skin added](https://elementpack.pro/demo/element/member/)
- [Testimonial Carousel widget twyla skin added](https://elementpack.pro/demo/element/testimonial-carousel/)

### Updated

- UIKit framework updated to latest version + UIKit icons added.
- Marker widget now more interactive
- Modal button now can align properly
- Custom Gallery Lightbox icon re-arrange for better ux

### Language

- Language file updated


## 1.6.0 [14 February 2018]

### Added

- [Advanced Heading](https://elementpack.pro/demo/element/advanced-heading/) widget added
- [News Ticker](https://elementpack.pro/demo/element/news-ticker/) widget added
- Plugin Auto Updater function added
- Scheduled Section option added in section option
- New Business Page added
- 2 Agency Homepage added
- Watch Shop Homepage added

### Updated

- Scroll nav widget responsive improved
- Slideshow Widget title now support html tag
- Slider Widget title now support html tag

### Fixed

- Box shadow option fix for call out widget
- Custom Gallery Mobile size overlap bug fixed
- Slider widget button hover color fixed
- Post slider language translation issue fixed


## 1.5.1 [06 February 2018]

### Added

- Business plan, Online Course, Event Management Demo Content added

### Fixed
- Single Widget save issue fixed

### Removed
- Remove some unnecessary code and files


## 1.5.0 [06 February 2018]

### Added

- [Custom Gallery](https://elementpack.pro/demo/element/custom-gallery/) widget added
- [Dropbar](https://elementpack.pro/demo/element/dropbar/) widget added
- [Thumb Gallery](https://elementpack.pro/demo/element/thumb-gallery/) widget added
- [Scroll Nav](https://elementpack.pro/demo/element/scrollnav/) widget added
- [Section Particles option added [element built-in section]](https://elementpack.pro/demo/element/section-particles/)
- [Element Parallax for all widget [even all built-in widget]](https://elementpack.pro/demo/element/element-parallax/)
- [Section Background Parallax [elementor built-in section]](https://elementpack.pro/demo/element/parallax-background/)

### Updated

- Update UIKit framework
- Fix some widget style issue

### Fixed

- Post Gallery fix some color issue
- Post block read more style issue fixed
- Pricing list vertical align issue fixed
- Slideshow read more button icon align issue fixed


## 1.4.0 [26 January 2018]

### Added

- [Post Gallery](https://elementpack.pro/demo/element/post-gallery/) Widget added
- [Animated Heading](https://elementpack.pro/demo/element/animated-heading/) Widget added
- [Post block added 2 Extra Skin](https://elementpack.pro/demo/element/post-block/)
- [Slideshow added fullscreen option](https://elementpack.pro/demo/element/slideshow/)

### Updated

- Many internal function improve for better performance

### Fixed
- Testimonial carousel widget fixed some styling issue
- Pricing list widget Pricing title + text gap fixed
- Woocommerce single product select option fixed
- Slideshow widget fixed some styling issue
- Testimonial slider widget fixed some styling issue

### Removed

- Woocommerce Custom product select option removed (we will add another custom product select widget)


## 1.3.0 [17 January 2018]

### Added

- [Custom Carousel](https://elementpack.pro/demo/element/custom-carousel/) Widget added
- [Post Block](https://elementpack.pro/demo/element/post-block/) Widget added
- [Post Slider](https://elementpack.pro/demo/element/post-slider/) Widget added

### Updated

- Minor Improve Call out Widget
- Multiple instance color and style issue fixed for Modal
- Multiple instance color and style issue fixed for Offcanvas
- Minor Improve Slideshow widget
- UIKit framework updated

## 1.2.0 [12th January 2018]

### Added

- [SlideShow](https://elementpack.pro/demo/element/slideshow/) Widget added
- [Offcanvas](https://elementpack.pro/demo/element/offcanvas/) Widget added
- [Social Share](https://elementpack.pro/demo/element/social-share/) Widget added
- [Scroll Button](https://elementpack.pro/demo/element/scroll-button/) Widget added

### Updated

- Minor Improve Progress Pie
- Minor Improve Slider
- Minor Improve Trailer box
- Minor Improve Image Compare

### Language

- Update Language File

## 1.1.0 [5th January 2018]


### Added

- [CountDown](https://elementpack.pro/demo/element/countdown/) Widget added
- [Carousel](https://elementpack.pro/demo/element/carousel/) Widget added
- [Member](https://elementpack.pro/demo/element/member/) Widget added
- [Marker](https://elementpack.pro/demo/element/marker/) Widget added

### Updated

- Minor improvement in Post Card
- Minor improvement in Testimonials Carousel
- Minor improvement in Post Block Modern
- Minor improvement in Slider

## 1.0.0
- Initial Release
